--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: icinga
--

--CREATE PROCEDURAL LANGUAGE plpgsql;


--ALTER PROCEDURAL LANGUAGE plpgsql OWNER TO icinga;

SET search_path = public, pg_catalog;

--
-- Name: from_unixtime(integer); Type: FUNCTION; Schema: public; Owner: icinga
--

CREATE FUNCTION from_unixtime(integer) RETURNS timestamp without time zone
    LANGUAGE sql
    AS $_$
	 SELECT to_timestamp($1)::timestamp AS result
$_$;


ALTER FUNCTION public.from_unixtime(integer) OWNER TO icinga;

--
-- Name: unix_timestamp(timestamp without time zone); Type: FUNCTION; Schema: public; Owner: icinga
--

CREATE FUNCTION unix_timestamp(timestamp without time zone) RETURNS bigint
    LANGUAGE sql
    AS $_$
	SELECT EXTRACT(EPOCH FROM $1)::bigint AS result;
$_$;


ALTER FUNCTION public.unix_timestamp(timestamp without time zone) OWNER TO icinga;

CREATE TYPE bool_enum AS ENUM ('0','1');


--
-- Name: tbl_autodiscovery; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_autodiscovery (
    id integer NOT NULL,
    iprange character varying(256) NOT NULL,
    state smallint DEFAULT (0)::smallint NOT NULL,
    count integer DEFAULT 0 NOT NULL,
    file_name character varying(256) DEFAULT NULL::character varying
);


ALTER TABLE public.tbl_autodiscovery OWNER TO icinga;

--
-- Name: tbl_autodiscovery_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_autodiscovery_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_autodiscovery_id_seq OWNER TO icinga;

--
-- Name: tbl_autodiscovery_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_autodiscovery_id_seq OWNED BY tbl_autodiscovery.id;


--
-- Name: tbl_autodiscovery_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_autodiscovery_id_seq', 1, false);


--
-- Name: tbl_command; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_command (
    id integer NOT NULL,
    command_name character varying(255) NOT NULL,
    display_name character varying(255) NOT NULL,
    command_line text NOT NULL,
    command_description text NOT NULL,
    command_type smallint DEFAULT (0)::smallint NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
   active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL,
    is_system_defined smallint DEFAULT (1)::smallint NOT NULL
);


ALTER TABLE public.tbl_command OWNER TO icinga;

--
-- Name: tbl_command_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_command_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_command_id_seq OWNER TO icinga;

--
-- Name: tbl_command_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_command_id_seq OWNED BY tbl_command.id;


--
-- Name: tbl_command_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_command_id_seq', 1, false);


--
-- Name: tbl_configtarget; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_configtarget (
    id integer NOT NULL,
    target character varying(255) NOT NULL,
    alias character varying(255) NOT NULL,
    server character varying(255) NOT NULL,
    method character varying(255) NOT NULL,
    "user" character varying(255) NOT NULL,
    password character varying(255) NOT NULL,
    ssh_key_path character varying(255) NOT NULL,
    basedir character varying(255) NOT NULL,
    hostconfig character varying(255) NOT NULL,
    serviceconfig character varying(255) NOT NULL,
    backupdir character varying(255) NOT NULL,
    hostbackup character varying(255) NOT NULL,
    servicebackup character varying(255) NOT NULL,
    nagiosbasedir character varying(255) NOT NULL,
    importdir character varying(255) NOT NULL,
    picturedir character varying(255) NOT NULL,
    commandfile character varying(255) NOT NULL,
    binaryfile character varying(255) NOT NULL,
    pidfile character varying(255) NOT NULL,
    conffile character varying(255) NOT NULL,
    version smallint DEFAULT (3)::smallint NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
   active bool_enum DEFAULT ('1') NOT NULL,
    nodelete smallint DEFAULT (0)::smallint NOT NULL,
    last_modified timestamp without time zone NOT NULL
);


ALTER TABLE public.tbl_configtarget OWNER TO icinga;

--
-- Name: tbl_configtarget_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_configtarget_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_configtarget_id_seq OWNER TO icinga;

--
-- Name: tbl_configtarget_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_configtarget_id_seq OWNED BY tbl_configtarget.id;


--
-- Name: tbl_configtarget_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_configtarget_id_seq', 1, false);


--
-- Name: tbl_contact; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_contact (
    id integer NOT NULL,
    contact_name character varying(255) NOT NULL,
    alias character varying(255) NOT NULL,
    contactgroups integer DEFAULT 0 NOT NULL,
    contactgroups_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    host_notifications_enabled smallint DEFAULT (2)::smallint NOT NULL,
    service_notifications_enabled smallint DEFAULT (2)::smallint NOT NULL,
    host_notification_period integer DEFAULT 0 NOT NULL,
    service_notification_period integer DEFAULT 0 NOT NULL,
    host_notification_options character varying(20) NOT NULL,
    service_notification_options character varying(20) NOT NULL,
    host_notification_commands integer DEFAULT 0 NOT NULL,
    host_notification_commands_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    service_notification_commands integer DEFAULT 0 NOT NULL,
    service_notification_commands_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    can_submit_commands smallint DEFAULT (2)::smallint NOT NULL,
    retain_status_information smallint DEFAULT (2)::smallint NOT NULL,
    retain_nonstatus_information smallint DEFAULT (2)::smallint NOT NULL,
    email character varying(255) NOT NULL,
    pager character varying(255) NOT NULL,
    address1 character varying(255) NOT NULL,
    address2 character varying(255) NOT NULL,
    address3 character varying(255) NOT NULL,
    address4 character varying(255) NOT NULL,
    address5 character varying(255) NOT NULL,
    address6 character varying(255) NOT NULL,
    name character varying(255) NOT NULL,
    use_variables smallint DEFAULT (0)::smallint NOT NULL,
    use_template smallint DEFAULT (0)::smallint NOT NULL,
    use_template_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
   active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public.tbl_contact OWNER TO icinga;

--
-- Name: tbl_contact_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_contact_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_contact_id_seq OWNER TO icinga;

--
-- Name: tbl_contact_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_contact_id_seq OWNED BY tbl_contact.id;


--
-- Name: tbl_contact_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_contact_id_seq', 4, false);


--
-- Name: tbl_contactgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_contactgroup (
    id integer NOT NULL,
    contactgroup_name character varying(255) NOT NULL,
    alias character varying(255) NOT NULL,
    members integer DEFAULT 0 NOT NULL,
    contactgroup_members integer DEFAULT 0 NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
   active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public.tbl_contactgroup OWNER TO icinga;

--
-- Name: tbl_contactgroup_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_contactgroup_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_contactgroup_id_seq OWNER TO icinga;

--
-- Name: tbl_contactgroup_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_contactgroup_id_seq OWNED BY tbl_contactgroup.id;


--
-- Name: tbl_contactgroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_contactgroup_id_seq', 1, false);


--
-- Name: tbl_contacttemplate; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_contacttemplate (
    id integer NOT NULL,
    template_name character varying(255) NOT NULL,
    alias character varying(255) NOT NULL,
    contactgroups integer DEFAULT 0 NOT NULL,
    contactgroups_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    host_notifications_enabled smallint DEFAULT (2)::smallint NOT NULL,
    service_notifications_enabled smallint DEFAULT (2)::smallint NOT NULL,
    host_notification_period integer DEFAULT 0 NOT NULL,
    service_notification_period integer DEFAULT 0 NOT NULL,
    host_notification_options character varying(20) NOT NULL,
    service_notification_options character varying(20) NOT NULL,
    host_notification_commands integer DEFAULT 0 NOT NULL,
    host_notification_commands_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    service_notification_commands integer DEFAULT 0 NOT NULL,
    service_notification_commands_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    can_submit_commands smallint DEFAULT (2)::smallint NOT NULL,
    retain_status_information smallint DEFAULT (2)::smallint NOT NULL,
    retain_nonstatus_information smallint DEFAULT (2)::smallint NOT NULL,
    email character varying(255) NOT NULL,
    pager character varying(255) NOT NULL,
    address1 character varying(255) NOT NULL,
    address2 character varying(255) NOT NULL,
    address3 character varying(255) NOT NULL,
    address4 character varying(255) NOT NULL,
    address5 character varying(255) NOT NULL,
    address6 character varying(255) NOT NULL,
    use_variables smallint DEFAULT (0)::smallint NOT NULL,
    use_template smallint DEFAULT (0)::smallint NOT NULL,
    use_template_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    register bool_enum DEFAULT ('0') NOT NULL,
   active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public.tbl_contacttemplate OWNER TO icinga;

--
-- Name: tbl_contacttemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_contacttemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_contacttemplate_id_seq OWNER TO icinga;

--
-- Name: tbl_contacttemplate_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_contacttemplate_id_seq OWNED BY tbl_contacttemplate.id;


--
-- Name: tbl_contacttemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_contacttemplate_id_seq', 1, false);


--
-- Name: tbl_datadomain; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_datadomain (
    id integer NOT NULL,
    domain character varying(255) NOT NULL,
    alias character varying(255) NOT NULL,
    targets integer NOT NULL,
    version smallint DEFAULT (3)::smallint NOT NULL,
    enable_common smallint DEFAULT (0)::smallint NOT NULL,
    utf8_decode smallint DEFAULT (0)::smallint NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
   active bool_enum DEFAULT ('1') NOT NULL,
    nodelete smallint DEFAULT (0)::smallint NOT NULL,
    last_modified timestamp without time zone NOT NULL
);


ALTER TABLE public.tbl_datadomain OWNER TO icinga;

--
-- Name: tbl_datadomain_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_datadomain_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_datadomain_id_seq OWNER TO icinga;

--
-- Name: tbl_datadomain_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_datadomain_id_seq OWNED BY tbl_datadomain.id;


--
-- Name: tbl_datadomain_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_datadomain_id_seq', 1, false);


--
-- Name: tbl_group; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_group (
    id integer NOT NULL,
    groupname character varying(255) NOT NULL,
    description character varying(255) NOT NULL,
    users smallint DEFAULT (0)::smallint NOT NULL,
   active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL
);


ALTER TABLE public.tbl_group OWNER TO icinga;

--
-- Name: tbl_group_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_group_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_group_id_seq OWNER TO icinga;

--
-- Name: tbl_group_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_group_id_seq OWNED BY tbl_group.id;


--
-- Name: tbl_group_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_group_id_seq', 1, false);


--
-- Name: tbl_host; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_host (
    id integer NOT NULL,
    host_name character varying(255) NOT NULL,
    alias character varying(255) NOT NULL,
    display_name character varying(255) NOT NULL,
    address character varying(255) NOT NULL,
    hw_address character varying(255) DEFAULT NULL::character varying,
    hw_user character varying(255) DEFAULT NULL::character varying,
    hw_password character varying(255) DEFAULT NULL::character varying,
    hw_type smallint DEFAULT (0)::smallint NOT NULL,
    soft_type smallint NOT NULL,
    parents smallint DEFAULT (0)::smallint NOT NULL,
    parents_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    hostgroups smallint DEFAULT (0)::smallint NOT NULL,
    hostgroups_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    check_command text NOT NULL,
    use_template smallint DEFAULT (0)::smallint NOT NULL,
    use_template_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    initial_state character varying(20) NOT NULL,
    max_check_attempts integer,
    check_interval integer,
    retry_interval integer,
    active_checks_enabled smallint DEFAULT (2)::smallint NOT NULL,
    passive_checks_enabled smallint DEFAULT (2)::smallint NOT NULL,
    check_period integer DEFAULT 0 NOT NULL,
    obsess_over_host smallint DEFAULT (2)::smallint NOT NULL,
    check_freshness smallint DEFAULT (2)::smallint NOT NULL,
    freshness_threshold integer,
    event_handler integer DEFAULT 0 NOT NULL,
    event_handler_enabled smallint DEFAULT (2)::smallint NOT NULL,
    low_flap_threshold integer,
    high_flap_threshold integer,
    flap_detection_enabled smallint DEFAULT (2)::smallint NOT NULL,
    flap_detection_options character varying(20) NOT NULL,
    process_perf_data smallint DEFAULT (2)::smallint NOT NULL,
    retain_status_information smallint DEFAULT (2)::smallint NOT NULL,
    retain_nonstatus_information smallint DEFAULT (2)::smallint NOT NULL,
    contacts smallint DEFAULT (0)::smallint NOT NULL,
    contacts_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    contact_groups smallint DEFAULT (0)::smallint NOT NULL,
    contact_groups_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    notification_interval integer,
    notification_period integer DEFAULT 0 NOT NULL,
    first_notification_delay integer,
    notification_options character varying(20) NOT NULL,
    notifications_enabled smallint DEFAULT (2)::smallint NOT NULL,
    stalking_options character varying(20) NOT NULL,
    notes character varying(255) NOT NULL,
    notes_url character varying(255) NOT NULL,
    action_url character varying(255) NOT NULL,
    icon_image character varying(500) NOT NULL,
    icon_image_alt character varying(255) NOT NULL,
    vrml_image character varying(255) NOT NULL,
    statusmap_image character varying(255) NOT NULL,
    "2d_coords" character varying(255) NOT NULL,
    "3d_coords" character varying(255) NOT NULL,
    use_variables smallint DEFAULT (0)::smallint NOT NULL,
    name character varying(255) NOT NULL,
    --register bool_enum DEFAULT ('1') NOT NULL,
    --active bool_enum DEFAULT ('1') NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public.tbl_host OWNER TO icinga;

--
-- Name: tbl_host_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_host_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_host_id_seq OWNER TO icinga;

--
-- Name: tbl_host_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_host_id_seq OWNED BY tbl_host.id;


--
-- Name: tbl_host_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_host_id_seq', 1, false);


--
-- Name: tbl_hostdependency; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_hostdependency (
    id integer NOT NULL,
    config_name character varying(255) NOT NULL,
    dependent_host_name smallint DEFAULT (0)::smallint NOT NULL,
    dependent_hostgroup_name smallint DEFAULT (0)::smallint NOT NULL,
    host_name smallint DEFAULT (0)::smallint NOT NULL,
    hostgroup_name smallint DEFAULT (0)::smallint NOT NULL,
    inherits_parent smallint DEFAULT (0)::smallint NOT NULL,
    execution_failure_criteria character varying(20) NOT NULL,
    notification_failure_criteria character varying(20) NOT NULL,
    dependency_period integer DEFAULT 0 NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL,
    import_hash character varying(255) NOT NULL
);


ALTER TABLE public.tbl_hostdependency OWNER TO icinga;

--
-- Name: tbl_hostdependency_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_hostdependency_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_hostdependency_id_seq OWNER TO icinga;

--
-- Name: tbl_hostdependency_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_hostdependency_id_seq OWNED BY tbl_hostdependency.id;


--
-- Name: tbl_hostdependency_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_hostdependency_id_seq', 1, false);


--
-- Name: tbl_hostdistribution; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_hostdistribution (
    id integer NOT NULL,
    hosttype_id smallint NOT NULL,
    distribution_name character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.tbl_hostdistribution OWNER TO icinga;

--
-- Name: tbl_hostdistribution_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_hostdistribution_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_hostdistribution_id_seq OWNER TO icinga;

--
-- Name: tbl_hostdistribution_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_hostdistribution_id_seq OWNED BY tbl_hostdistribution.id;


--
-- Name: tbl_hostdistribution_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_hostdistribution_id_seq', 1, false);


--
-- Name: tbl_hostescalation; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_hostescalation (
    id integer NOT NULL,
    config_name character varying(255) NOT NULL,
    host_name smallint DEFAULT (0)::smallint NOT NULL,
    hostgroup_name smallint DEFAULT (0)::smallint NOT NULL,
    contacts smallint DEFAULT (0)::smallint NOT NULL,
    contact_groups smallint DEFAULT (0)::smallint NOT NULL,
    first_notification integer,
    last_notification integer,
    notification_interval integer,
    escalation_period integer DEFAULT 0 NOT NULL,
    escalation_options character varying(20) NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL,
    import_hash character varying(255) NOT NULL
);


ALTER TABLE public.tbl_hostescalation OWNER TO icinga;

--
-- Name: tbl_hostescalation_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_hostescalation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_hostescalation_id_seq OWNER TO icinga;

--
-- Name: tbl_hostescalation_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_hostescalation_id_seq OWNED BY tbl_hostescalation.id;


--
-- Name: tbl_hostescalation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_hostescalation_id_seq', 1, false);


--
-- Name: tbl_hostextinfo; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_hostextinfo (
    id integer NOT NULL,
    host_name integer NOT NULL,
    notes character varying(255) NOT NULL,
    notes_url character varying(255) NOT NULL,
    action_url character varying(255) NOT NULL,
    statistik_url character varying(255) NOT NULL,
    icon_image character varying(500) NOT NULL,
    icon_image_alt character varying(255) NOT NULL,
    vrml_image character varying(255) NOT NULL,
    statusmap_image character varying(255) NOT NULL,
    "2d_coords" character varying(255) NOT NULL,
    "3d_coords" character varying(255) NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public.tbl_hostextinfo OWNER TO icinga;

--
-- Name: tbl_hostextinfo_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_hostextinfo_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_hostextinfo_id_seq OWNER TO icinga;

--
-- Name: tbl_hostextinfo_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_hostextinfo_id_seq OWNED BY tbl_hostextinfo.id;


--
-- Name: tbl_hostextinfo_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_hostextinfo_id_seq', 1, false);


--
-- Name: tbl_hostgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_hostgroup (
    id integer NOT NULL,
    hostgroup_name character varying(255) NOT NULL,
    alias character varying(255) NOT NULL,
    members smallint DEFAULT (0)::smallint NOT NULL,
    hostgroup_members smallint DEFAULT (0)::smallint NOT NULL,
    notes character varying(255) NOT NULL,
    notes_url character varying(255) NOT NULL,
    action_url character varying(255) NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public.tbl_hostgroup OWNER TO icinga;

--
-- Name: tbl_hostgroup_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_hostgroup_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_hostgroup_id_seq OWNER TO icinga;

--
-- Name: tbl_hostgroup_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_hostgroup_id_seq OWNED BY tbl_hostgroup.id;


--
-- Name: tbl_hostgroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_hostgroup_id_seq', 1, false);

--
-- Name: tbl_notification_info; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_notification_info (
    id integer NOT NULL,
    detail text,
    year smallint,
    month smallint,
    day smallint,
    "time" time,
    level character varying(255)
);

ALTER TABLE public.tbl_notification_info OWNER TO icinga;

--
-- Name: tbl_notification_info_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_notification_info_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_notification_info_id_seq OWNER TO icinga;

--
-- Name: tbl_notification_info_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_notification_info_id_seq OWNED BY tbl_notification_info.id;

--
-- Name: tbl_notification_info_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_notification_info_id_seq', 1, false);

--
-- Name: tbl_hosthardwaretype; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_hosthardwaretype (
    id integer NOT NULL,
    hosthardware_name character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.tbl_hosthardwaretype OWNER TO icinga;

--
-- Name: tbl_hosthardwaretype_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_hosthardwaretype_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_hosthardwaretype_id_seq OWNER TO icinga;

--
-- Name: tbl_hosthardwaretype_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_hosthardwaretype_id_seq OWNED BY tbl_hosthardwaretype.id;


--
-- Name: tbl_hosthardwaretype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_hosthardwaretype_id_seq', 1, false);


--
-- Name: tbl_hosttemplate; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_hosttemplate (
    id integer NOT NULL,
    template_name character varying(255) NOT NULL,
    alias character varying(255) NOT NULL,
    parents smallint DEFAULT (0)::smallint NOT NULL,
    parents_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    hostgroups smallint DEFAULT (0)::smallint NOT NULL,
    hostgroups_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    check_command text NOT NULL,
    use_template smallint DEFAULT (0)::smallint NOT NULL,
    use_template_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    initial_state character varying(20) NOT NULL,
    max_check_attempts integer,
    check_interval integer,
    retry_interval integer,
    active_checks_enabled smallint DEFAULT (2)::smallint NOT NULL,
    passive_checks_enabled smallint DEFAULT (2)::smallint NOT NULL,
    check_period integer DEFAULT 0 NOT NULL,
    obsess_over_host smallint DEFAULT (2)::smallint NOT NULL,
    check_freshness smallint DEFAULT (2)::smallint NOT NULL,
    freshness_threshold integer,
    event_handler integer DEFAULT 0 NOT NULL,
    event_handler_enabled smallint DEFAULT (2)::smallint NOT NULL,
    low_flap_threshold integer,
    high_flap_threshold integer,
    flap_detection_enabled smallint DEFAULT (2)::smallint NOT NULL,
    flap_detection_options character varying(20) NOT NULL,
    process_perf_data smallint DEFAULT (2)::smallint NOT NULL,
    retain_status_information smallint DEFAULT (2)::smallint NOT NULL,
    retain_nonstatus_information smallint DEFAULT (2)::smallint NOT NULL,
    contacts smallint DEFAULT (0)::smallint NOT NULL,
    contacts_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    contact_groups smallint DEFAULT (0)::smallint NOT NULL,
    contact_groups_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    notification_interval integer,
    notification_period integer DEFAULT 0 NOT NULL,
    first_notification_delay integer,
    notification_options character varying(20) NOT NULL,
    notifications_enabled smallint DEFAULT (2)::smallint NOT NULL,
    stalking_options character varying(20) NOT NULL,
    notes character varying(255) NOT NULL,
    notes_url character varying(255) NOT NULL,
    action_url character varying(255) NOT NULL,
    icon_image character varying(500) NOT NULL,
    icon_image_alt character varying(255) NOT NULL,
    vrml_image character varying(255) NOT NULL,
    statusmap_image character varying(255) NOT NULL,
    "2d_coords" character varying(255) NOT NULL,
    "3d_coords" character varying(255) NOT NULL,
    use_variables smallint DEFAULT (0)::smallint NOT NULL,
    register bool_enum DEFAULT ('0') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public.tbl_hosttemplate OWNER TO icinga;

--
-- Name: tbl_hosttemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_hosttemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_hosttemplate_id_seq OWNER TO icinga;

--
-- Name: tbl_hosttemplate_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_hosttemplate_id_seq OWNED BY tbl_hosttemplate.id;


--
-- Name: tbl_hosttemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_hosttemplate_id_seq', 1, false);


--
-- Name: tbl_hosttype; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_hosttype (
    id integer NOT NULL,
    type_name character varying(255) DEFAULT NULL::character varying,
    type_description character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.tbl_hosttype OWNER TO icinga;

--
-- Name: tbl_hosttype_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_hosttype_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_hosttype_id_seq OWNER TO icinga;

--
-- Name: tbl_hosttype_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_hosttype_id_seq OWNED BY tbl_hosttype.id;


--
-- Name: tbl_hosttype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_hosttype_id_seq', 1, false);


--
-- Name: tbl_info; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_info (
    id integer NOT NULL,
    key1 character varying(100) NOT NULL,
    key2 character varying(100) NOT NULL,
    version character varying(50) NOT NULL,
    language character varying(50) NOT NULL,
    infotext text NOT NULL
);


ALTER TABLE public.tbl_info OWNER TO icinga;

--
-- Name: tbl_info_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_info_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_info_id_seq OWNER TO icinga;

--
-- Name: tbl_info_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_info_id_seq OWNED BY tbl_info.id;


--
-- Name: tbl_info_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_info_id_seq', 1, false);


--
-- Name: tbl_ipmidetailinfo; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_ipmidetailinfo (
    ipmi_device_id integer NOT NULL,
    ipmi_device_ip character varying(20) DEFAULT ''::character varying,
    ipmi_device_user character varying(255) DEFAULT ''::character varying,
    ipmi_device_pwd character varying(255) DEFAULT ''::character varying,
    host_id integer NOT NULL
);


ALTER TABLE public.tbl_ipmidetailinfo OWNER TO icinga;

--
-- Name: tbl_ipmidetailinfo_ipmi_device_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_ipmidetailinfo_ipmi_device_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_ipmidetailinfo_ipmi_device_id_seq OWNER TO icinga;

--
-- Name: tbl_ipmidetailinfo_ipmi_device_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_ipmidetailinfo_ipmi_device_id_seq OWNED BY tbl_ipmidetailinfo.ipmi_device_id;


--
-- Name: tbl_ipmidetailinfo_ipmi_device_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_ipmidetailinfo_ipmi_device_id_seq', 1, false);


--
-- Name: tbl_language; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_language (
    id integer NOT NULL,
    language character varying(255) NOT NULL,
    locale character varying(255) NOT NULL,
    active bool_enum NOT NULL,
    last_modified timestamp without time zone NOT NULL
);


ALTER TABLE public.tbl_language OWNER TO icinga;

--
-- Name: tbl_language_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_language_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_language_id_seq OWNER TO icinga;

--
-- Name: tbl_language_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_language_id_seq OWNED BY tbl_language.id;


--
-- Name: tbl_language_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_language_id_seq', 1, false);


--
-- Name: "tbl_lnkContactgroupToContact"; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContactgroupToContact" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkContactgroupToContact" OWNER TO icinga;

--
-- Name: "tbl_lnkContactgroupToContact"group; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContactgroupToContactgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkContactgroupToContactgroup" OWNER TO icinga;

--
-- Name: "tbl_lnkContacttemplateToCommandHost"; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContacttemplateToCommandHost" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkContacttemplateToCommandHost" OWNER TO icinga;

--
-- Name: "tbl_lnkContacttemplateToCommandService"; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContacttemplateToCommandService" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkContacttemplateToCommandService" OWNER TO icinga;

--
-- Name: "tbl_lnkContacttemplateToContactgroup"; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContacttemplateToContactgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkContacttemplateToContactgroup" OWNER TO icinga;

--
-- Name: "tbl_lnkContacttemplateToContacttemplate"; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContacttemplateToContacttemplate" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    "idSort" integer NOT NULL,
    "idTable" smallint NOT NULL
);


ALTER TABLE public."tbl_lnkContacttemplateToContacttemplate" OWNER TO icinga;

--
-- Name: tbl_lnkcontacttemplateoVariabledefinition; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContacttemplateToVariabledefinition" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL
);


ALTER TABLE public."tbl_lnkContacttemplateToVariabledefinition" OWNER TO icinga;

--
-- Name: tbl_lnkcontacttocommandhost; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContactToCommandHost" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkContactToCommandHost" OWNER TO icinga;

--
-- Name: tbl_lnkcontacttocommandservice; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContactToCommandService" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkContactToCommandService" OWNER TO icinga;

--
-- Name: tbl_lnkcontacttocontactgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContactToContactgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkContactToContactgroup" OWNER TO icinga;

--
-- Name: tbl_lnkcontacttocontacttemplate; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContactToContacttemplate" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    "idSort" integer NOT NULL,
    "idTable" smallint NOT NULL
);


ALTER TABLE public."tbl_lnkContactToContacttemplate" OWNER TO icinga;

--
-- Name: tbl_lnkcontacttovariabledefinition; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkContactToVariabledefinition" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL
);


ALTER TABLE public."tbl_lnkContactToVariabledefinition" OWNER TO icinga;

--
-- Name: tbl_lnkgrouptouser; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkGroupToUser" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    read smallint DEFAULT (1)::smallint NOT NULL,
    write smallint DEFAULT (1)::smallint NOT NULL,
    link smallint DEFAULT (1)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkGroupToUser" OWNER TO icinga;

--
-- Name: tbl_lnkhostdependencytohost_dh; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostdependencyToHost_DH" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostdependencyToHost_DH" OWNER TO icinga;

--
-- Name: tbl_lnkhostdependencytohost_h; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostdependencyToHost_H" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostdependencyToHost_H" OWNER TO icinga;

--
-- Name: tbl_lnkhostdependencytohostgroup_dh; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostdependencyToHostgroup_DH" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostdependencyToHostgroup_DH" OWNER TO icinga;

--
-- Name: tbl_lnkhostdependencytohostgroup_h; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostdependencyToHostgroup_H" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostdependencyToHostgroup_H" OWNER TO icinga;

--
-- Name: tbl_lnkhostescalationtocontact; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostescalationToContact" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostescalationToContact" OWNER TO icinga;

--
-- Name: tbl_lnkhostescalationtocontactgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostescalationToContactgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostescalationToContactgroup" OWNER TO icinga;

--
-- Name: tbl_lnkhostescalationtohost; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostescalationToHost" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostescalationToHost" OWNER TO icinga;

--
-- Name: tbl_lnkhostescalationtohostgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostescalationToHostgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostescalationToHostgroup" OWNER TO icinga;

--
-- Name: tbl_lnkhostgrouptohost; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostgroupToHost" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostgroupToHost" OWNER TO icinga;

--
-- Name: tbl_lnkhostgrouptohostgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostgroupToHostgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostgroupToHostgroup" OWNER TO icinga;

--
-- Name: tbl_lnkhosttemplatetocontact; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHosttemplateToContact" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHosttemplateToContact" OWNER TO icinga;

--
-- Name: tbl_lnkhosttemplatetocontactgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHosttemplateToContactgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHosttemplateToContactgroup" OWNER TO icinga;

--
-- Name: tbl_lnkhosttemplatetohost; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHosttemplateToHost" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHosttemplateToHost" OWNER TO icinga;

--
-- Name: tbl_lnkhosttemplatetohostgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHosttemplateToHostgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHosttemplateToHostgroup" OWNER TO icinga;

--
-- Name: tbl_lnkhosttemplatetohosttemplate; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHosttemplateToHosttemplate" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    "idSort" integer NOT NULL,
    "idTable" smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHosttemplateToHosttemplate" OWNER TO icinga;

--
-- Name: tbl_lnkhosttemplatetovariabledefinition; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHosttemplateToVariabledefinition" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL
);


ALTER TABLE public."tbl_lnkHosttemplateToVariabledefinition" OWNER TO icinga;

--
-- Name: tbl_lnkhosttocontact; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostToContact" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostToContact" OWNER TO icinga;

--
-- Name: tbl_lnkhosttocontactgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostToContactgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostToContactgroup" OWNER TO icinga;

--
-- Name: tbl_lnkhosttohost; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostToHost" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostToHost" OWNER TO icinga;

--
-- Name: tbl_lnkhosttohostgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostToHostgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostToHostgroup" OWNER TO icinga;

--
-- Name: tbl_lnkhosttohosttemplate; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostToHosttemplate" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    "idSort" integer NOT NULL,
    "idTable" smallint NOT NULL
);


ALTER TABLE public."tbl_lnkHostToHosttemplate" OWNER TO icinga;

--
-- Name: tbl_lnkhosttovariabledefinition; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkHostToVariabledefinition" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL
);


ALTER TABLE public."tbl_lnkHostToVariabledefinition" OWNER TO icinga;

--
-- Name: tbl_lnkservicedependencytohost_dh; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicedependencyToHost_DH" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicedependencyToHost_DH" OWNER TO icinga;

--
-- Name: tbl_lnkservicedependencytohost_h; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicedependencyToHost_H" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicedependencyToHost_H" OWNER TO icinga;

--
-- Name: tbl_lnkservicedependencytohostgroup_dh; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicedependencyToHostgroup_DH" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicedependencyToHostgroup_DH" OWNER TO icinga;

--
-- Name: tbl_lnkservicedependencytohostgroup_h; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicedependencyToHostgroup_H" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicedependencyToHostgroup_H" OWNER TO icinga;

--
-- Name: tbl_lnkservicedependencytoservice_ds; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicedependencyToService_DS" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    "strSlave" character varying(255) NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicedependencyToService_DS" OWNER TO icinga;

--
-- Name: tbl_lnkservicedependencytoservice_s; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicedependencyToService_S" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    "strSlave" character varying(255) NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicedependencyToService_S" OWNER TO icinga;

--
-- Name: tbl_lnkservicedependencytoservicegroup_ds; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicedependencyToServicegroup_DS" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicedependencyToServicegroup_DS" OWNER TO icinga;

--
-- Name: tbl_lnkservicedependencytoservicegroup_s; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicedependencyToServicegroup_S" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicedependencyToServicegroup_S" OWNER TO icinga;

--
-- Name: tbl_lnkserviceescalationtocontact; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceescalationToContact" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceescalationToContact" OWNER TO icinga;

--
-- Name: tbl_lnkserviceescalationtocontactgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceescalationToContactgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceescalationToContactgroup" OWNER TO icinga;

--
-- Name: tbl_lnkserviceescalationtohost; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceescalationToHost" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceescalationToHost" OWNER TO icinga;

--
-- Name: tbl_lnkserviceescalationtohostgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceescalationToHostgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceescalationToHostgroup" OWNER TO icinga;

--
-- Name: tbl_lnkserviceescalationtoservice; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceescalationToService" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    "strSlave" character varying(255) NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceescalationToService" OWNER TO icinga;

--
-- Name: tbl_lnkserviceescalationtoservicegroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceescalationToServicegroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceescalationToServicegroup" OWNER TO icinga;

--
-- Name: tbl_lnkservicegrouptoservice; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicegroupToService" (
    "idMaster" integer NOT NULL,
    "idSlaveH" integer NOT NULL,
    "idSlaveHG" integer NOT NULL,
    "idSlaveS" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicegroupToService" OWNER TO icinga;

--
-- Name: tbl_lnkservicegrouptoservicegroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicegroupToServicegroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicegroupToServicegroup" OWNER TO icinga;

--
-- Name: tbl_lnkservicetemplatetocontact; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicetemplateToContact" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicetemplateToContact" OWNER TO icinga;

--
-- Name: tbl_lnkservicetemplatetocontactgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicetemplateToContactgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicetemplateToContactgroup" OWNER TO icinga;

--
-- Name: tbl_lnkservicetemplatetohost; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicetemplateToHost" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicetemplateToHost" OWNER TO icinga;

--
-- Name: tbl_lnkservicetemplatetohostgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicetemplateToHostgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicetemplateToHostgroup" OWNER TO icinga;

--
-- Name: tbl_lnkservicetemplatetoservicegroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicetemplateToServicegroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicetemplateToServicegroup" OWNER TO icinga;

--
-- Name: tbl_lnkservicetemplatetoservicetemplate; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicetemplateToServicetemplate" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    "idSort" integer NOT NULL,
    "idTable" smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServicetemplateToServicetemplate" OWNER TO icinga;

--
-- Name: tbl_lnkservicetemplatetovariabledefinition; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServicetemplateToVariabledefinition" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL
);


ALTER TABLE public."tbl_lnkServicetemplateToVariabledefinition" OWNER TO icinga;

--
-- Name: tbl_lnkservicetocontact; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceToContact" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceToContact" OWNER TO icinga;

--
-- Name: tbl_lnkservicetocontactgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceToContactgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceToContactgroup" OWNER TO icinga;

--
-- Name: tbl_lnkservicetohost; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceToHost" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceToHost" OWNER TO icinga;

--
-- Name: tbl_lnkservicetohostgroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceToHostgroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceToHostgroup" OWNER TO icinga;

--
-- Name: tbl_lnkservicetoservicegroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceToServicegroup" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceToServicegroup" OWNER TO icinga;

--
-- Name: tbl_lnkservicetoservicetemplate; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceToServicetemplate" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    "idSort" integer NOT NULL,
    "idTable" smallint NOT NULL
);


ALTER TABLE public."tbl_lnkServiceToServicetemplate" OWNER TO icinga;

--
-- Name: tbl_lnkservicetovariabledefinition; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkServiceToVariabledefinition" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL
);


ALTER TABLE public."tbl_lnkServiceToVariabledefinition" OWNER TO icinga;

--
-- Name: tbl_lnktimeperiodtotimeperiod; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkTimeperiodToTimeperiod" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkTimeperiodToTimeperiod" OWNER TO icinga;

--
-- Name: tbl_lnktimeperiodtotimeperioduse; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE "tbl_lnkTimeperiodToTimeperiodUse" (
    "idMaster" integer NOT NULL,
    "idSlave" integer NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public."tbl_lnkTimeperiodToTimeperiodUse" OWNER TO icinga;

--
-- Name: tbl_logbook; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_logbook (
    id integer NOT NULL,
    "time" timestamp without time zone NOT NULL,
    "user" character varying(255) NOT NULL,
    ipadress character varying(255) NOT NULL,
    domain character varying(255) NOT NULL,
    entry text NOT NULL
);


ALTER TABLE public.tbl_logbook OWNER TO icinga;

--
-- Name: tbl_logbook_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_logbook_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_logbook_id_seq OWNER TO icinga;

--
-- Name: tbl_logbook_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_logbook_id_seq OWNED BY tbl_logbook.id;


--
-- Name: tbl_logbook_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_logbook_id_seq', 1, false);


--
-- Name: tbl_menu; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_menu (
    "mnuId" integer NOT NULL,
    "mnuTopid" integer NOT NULL,
    "mnuGrpid" integer DEFAULT 0 NOT NULL,
    "mnuCntid" integer NOT NULL,
    "mnuName" character varying(255) NOT NULL,
    "mnuLink" character varying(255) NOT NULL,
    "mnuActive" smallint NOT NULL,
    "mnuOrderId" integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.tbl_menu OWNER TO icinga;

--
-- Name: tbl_menu_mnuid_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_menu_mnuid_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_menu_mnuid_seq OWNER TO icinga;

--
-- Name: tbl_menu_mnuid_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_menu_mnuid_seq OWNED BY tbl_menu."mnuId";


--
-- Name: tbl_menu_mnuid_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_menu_mnuid_seq', 1, false);


--
-- Name: tbl_relationinformation; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_relationinformation (
    id integer NOT NULL,
    master character varying(255) NOT NULL,
    "tableName1" character varying(255) NOT NULL,
    "tableName2" character varying(255) NOT NULL,
    "fieldName" character varying(255) NOT NULL,
    "linkTable" character varying(255) NOT NULL,
    target1 character varying(255) NOT NULL,
    target2 character varying(255) NOT NULL,
    "targetKey" character varying(255) NOT NULL,
    "fullRelation" smallint DEFAULT (0)::smallint NOT NULL,
    flags character varying(255) NOT NULL,
    type smallint NOT NULL
);


ALTER TABLE public.tbl_relationinformation OWNER TO icinga;

--
-- Name: tbl_relationinformation_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_relationinformation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_relationinformation_id_seq OWNER TO icinga;

--
-- Name: tbl_relationinformation_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_relationinformation_id_seq OWNED BY tbl_relationinformation.id;


--
-- Name: tbl_relationinformation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_relationinformation_id_seq', 1, false);


--
-- Name: tbl_service; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_service (
    id integer NOT NULL,
    config_name character varying(255) NOT NULL,
    host_name smallint DEFAULT (0)::smallint NOT NULL,
    host_name_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    hostgroup_name smallint DEFAULT (0)::smallint NOT NULL,
    hostgroup_name_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    service_description character varying(255) NOT NULL,
    display_name character varying(255) NOT NULL,
    servicegroups smallint DEFAULT (0)::smallint NOT NULL,
    servicegroups_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    use_template smallint DEFAULT (0)::smallint NOT NULL,
    use_template_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    check_command text NOT NULL,
    is_volatile smallint DEFAULT (2)::smallint NOT NULL,
    initial_state character varying(20) NOT NULL,
    max_check_attempts integer,
    check_interval integer,
    retry_interval integer,
    active_checks_enabled smallint DEFAULT (2)::smallint NOT NULL,
    passive_checks_enabled smallint DEFAULT (2)::smallint NOT NULL,
    check_period integer DEFAULT 0 NOT NULL,
    parallelize_check smallint DEFAULT (2)::smallint NOT NULL,
    obsess_over_service smallint DEFAULT (2)::smallint NOT NULL,
    check_freshness smallint DEFAULT (2)::smallint NOT NULL,
    freshness_threshold integer,
    event_handler integer DEFAULT 0 NOT NULL,
    event_handler_enabled smallint DEFAULT (2)::smallint NOT NULL,
    low_flap_threshold integer,
    high_flap_threshold integer,
    flap_detection_enabled smallint DEFAULT (2)::smallint NOT NULL,
    flap_detection_options character varying(20) NOT NULL,
    process_perf_data smallint DEFAULT (2)::smallint NOT NULL,
    retain_status_information smallint DEFAULT (2)::smallint NOT NULL,
    retain_nonstatus_information smallint DEFAULT (2)::smallint NOT NULL,
    notification_interval integer,
    first_notification_delay integer,
    notification_period integer DEFAULT 0 NOT NULL,
    notification_options character varying(20) NOT NULL,
    notifications_enabled smallint DEFAULT (2)::smallint NOT NULL,
    contacts smallint DEFAULT (0)::smallint NOT NULL,
    contacts_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    contact_groups smallint DEFAULT (0)::smallint NOT NULL,
    contact_groups_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    stalking_options character varying(20) NOT NULL,
    notes character varying(255) NOT NULL,
    notes_url character varying(255) NOT NULL,
    action_url character varying(255) NOT NULL,
    icon_image character varying(500) NOT NULL,
    icon_image_alt character varying(255) NOT NULL,
    use_variables smallint DEFAULT (0)::smallint NOT NULL,
    name character varying(255) NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL,
    import_hash character varying(255) NOT NULL
);


ALTER TABLE public.tbl_service OWNER TO icinga;

--
-- Name: tbl_service_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_service_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_service_id_seq OWNER TO icinga;

--
-- Name: tbl_service_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_service_id_seq OWNED BY tbl_service.id;


--
-- Name: tbl_service_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_service_id_seq', 1, false);


--
-- Name: tbl_servicedependency; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_servicedependency (
    id integer NOT NULL,
    config_name character varying(255) NOT NULL,
    dependent_host_name smallint DEFAULT (0)::smallint NOT NULL,
    dependent_hostgroup_name smallint DEFAULT (0)::smallint NOT NULL,
    dependent_service_description smallint DEFAULT (0)::smallint NOT NULL,
    dependent_servicegroup_name smallint DEFAULT (0)::smallint NOT NULL,
    host_name smallint DEFAULT (0)::smallint NOT NULL,
    hostgroup_name smallint DEFAULT (0)::smallint NOT NULL,
    service_description smallint DEFAULT (0)::smallint NOT NULL,
    servicegroup_name smallint DEFAULT (0)::smallint NOT NULL,
    inherits_parent smallint DEFAULT (0)::smallint NOT NULL,
    execution_failure_criteria character varying(20) NOT NULL,
    notification_failure_criteria character varying(20) NOT NULL,
    dependency_period integer DEFAULT 0 NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL,
    import_hash character varying(255) NOT NULL
);


ALTER TABLE public.tbl_servicedependency OWNER TO icinga;

--
-- Name: tbl_servicedependency_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_servicedependency_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_servicedependency_id_seq OWNER TO icinga;

--
-- Name: tbl_servicedependency_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_servicedependency_id_seq OWNED BY tbl_servicedependency.id;


--
-- Name: tbl_servicedependency_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_servicedependency_id_seq', 1, false);


--
-- Name: tbl_serviceescalation; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_serviceescalation (
    id integer NOT NULL,
    config_name character varying(255) NOT NULL,
    host_name smallint DEFAULT (0)::smallint NOT NULL,
    hostgroup_name smallint DEFAULT (0)::smallint NOT NULL,
    service_description smallint DEFAULT (0)::smallint NOT NULL,
    servicegroup_name smallint DEFAULT (0)::smallint NOT NULL,
    contacts smallint DEFAULT (0)::smallint NOT NULL,
    contact_groups smallint DEFAULT (0)::smallint NOT NULL,
    first_notification integer,
    last_notification integer,
    notification_interval integer,
    escalation_period integer DEFAULT 0 NOT NULL,
    escalation_options character varying(20) NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL,
    import_hash character varying(255) NOT NULL
);


ALTER TABLE public.tbl_serviceescalation OWNER TO icinga;

--
-- Name: tbl_serviceescalation_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_serviceescalation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_serviceescalation_id_seq OWNER TO icinga;

--
-- Name: tbl_serviceescalation_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_serviceescalation_id_seq OWNED BY tbl_serviceescalation.id;


--
-- Name: tbl_serviceescalation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_serviceescalation_id_seq', 1, false);


--
-- Name: tbl_serviceextinfo; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_serviceextinfo (
    id integer NOT NULL,
    host_name integer NOT NULL,
    service_description integer NOT NULL,
    notes character varying(255) NOT NULL,
    notes_url character varying(255) NOT NULL,
    action_url character varying(255) NOT NULL,
    statistic_url character varying(255) NOT NULL,
    icon_image character varying(500) NOT NULL,
    icon_image_alt character varying(255) NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL,
    import_hash character varying(255) NOT NULL
);


ALTER TABLE public.tbl_serviceextinfo OWNER TO icinga;

--
-- Name: tbl_serviceextinfo_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_serviceextinfo_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_serviceextinfo_id_seq OWNER TO icinga;

--
-- Name: tbl_serviceextinfo_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_serviceextinfo_id_seq OWNED BY tbl_serviceextinfo.id;


--
-- Name: tbl_serviceextinfo_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_serviceextinfo_id_seq', 1, false);


--
-- Name: tbl_servicegroup; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_servicegroup (
    id integer NOT NULL,
    servicegroup_name character varying(255) NOT NULL,
    alias character varying(255) NOT NULL,
    members smallint DEFAULT (0)::smallint NOT NULL,
    servicegroup_members smallint DEFAULT (0)::smallint NOT NULL,
    notes character varying(255) DEFAULT NULL::character varying,
    notes_url character varying(255) DEFAULT NULL::character varying,
    action_url character varying(255) DEFAULT NULL::character varying,
    register bool_enum DEFAULT ('1') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public.tbl_servicegroup OWNER TO icinga;

--
-- Name: tbl_servicegroup_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_servicegroup_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_servicegroup_id_seq OWNER TO icinga;

--
-- Name: tbl_servicegroup_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_servicegroup_id_seq OWNED BY tbl_servicegroup.id;


--
-- Name: tbl_servicegroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_servicegroup_id_seq', 1, false);


--
-- Name: tbl_servicetemplate; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_servicetemplate (
    id integer NOT NULL,
    template_name character varying(255) NOT NULL,
    host_name smallint DEFAULT (0)::smallint NOT NULL,
    host_name_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    hostgroup_name smallint DEFAULT (0)::smallint NOT NULL,
    hostgroup_name_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    service_description character varying(255) NOT NULL,
    display_name character varying(255) NOT NULL,
    servicegroups smallint DEFAULT (0)::smallint NOT NULL,
    servicegroups_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    use_template smallint DEFAULT (0)::smallint NOT NULL,
    use_template_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    check_command text NOT NULL,
    is_volatile smallint DEFAULT (2)::smallint NOT NULL,
    initial_state character varying(20) NOT NULL,
    max_check_attempts integer,
    check_interval integer,
    retry_interval integer,
    active_checks_enabled smallint DEFAULT (2)::smallint NOT NULL,
    passive_checks_enabled smallint DEFAULT (2)::smallint NOT NULL,
    check_period integer DEFAULT 0 NOT NULL,
    parallelize_check smallint DEFAULT (2)::smallint NOT NULL,
    obsess_over_service smallint DEFAULT (2)::smallint NOT NULL,
    check_freshness smallint DEFAULT (2)::smallint NOT NULL,
    freshness_threshold integer,
    event_handler integer DEFAULT 0 NOT NULL,
    event_handler_enabled smallint DEFAULT (2)::smallint NOT NULL,
    low_flap_threshold integer,
    high_flap_threshold integer,
    flap_detection_enabled smallint DEFAULT (2)::smallint NOT NULL,
    flap_detection_options character varying(20) NOT NULL,
    process_perf_data smallint DEFAULT (2)::smallint NOT NULL,
    retain_status_information smallint DEFAULT (2)::smallint NOT NULL,
    retain_nonstatus_information smallint DEFAULT (2)::smallint NOT NULL,
    notification_interval integer,
    first_notification_delay integer,
    notification_period integer DEFAULT 0 NOT NULL,
    notification_options character varying(20) NOT NULL,
    notifications_enabled smallint DEFAULT (2)::smallint NOT NULL,
    contacts smallint DEFAULT (0)::smallint NOT NULL,
    contacts_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    contact_groups smallint DEFAULT (0)::smallint NOT NULL,
    contact_groups_tploptions smallint DEFAULT (2)::smallint NOT NULL,
    stalking_options character varying(20) NOT NULL,
    notes character varying(255) NOT NULL,
    notes_url character varying(255) NOT NULL,
    action_url character varying(255) NOT NULL,
    icon_image character varying(500) NOT NULL,
    icon_image_alt character varying(255) NOT NULL,
    use_variables smallint DEFAULT (0)::smallint NOT NULL,
    register bool_enum DEFAULT ('0') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL,
    import_hash character varying(255) NOT NULL
);


ALTER TABLE public.tbl_servicetemplate OWNER TO icinga;

--
-- Name: tbl_servicetemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_servicetemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_servicetemplate_id_seq OWNER TO icinga;

--
-- Name: tbl_servicetemplate_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_servicetemplate_id_seq OWNED BY tbl_servicetemplate.id;


--
-- Name: tbl_servicetemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_servicetemplate_id_seq', 1, false);


--
-- Name: tbl_settings; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_settings (
    id integer NOT NULL,
    category character varying(20) NOT NULL,
    name character varying(30) NOT NULL,
    value character varying(255) NOT NULL
);


ALTER TABLE public.tbl_settings OWNER TO icinga;

--
-- Name: tbl_settings_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_settings_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_settings_id_seq OWNER TO icinga;

--
-- Name: tbl_settings_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_settings_id_seq OWNED BY tbl_settings.id;


--
-- Name: tbl_settings_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_settings_id_seq', 1, false);


--
-- Name: tbl_tablestatus; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_tablestatus (
    id integer NOT NULL,
    tablename character varying(255) NOT NULL,
    domainid integer NOT NULL,
    uptimestamptime timestamp without time zone NOT NULL
);


ALTER TABLE public.tbl_tablestatus OWNER TO icinga;

--
-- Name: tbl_tablestatus_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_tablestatus_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_tablestatus_id_seq OWNER TO icinga;

--
-- Name: tbl_tablestatus_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_tablestatus_id_seq OWNED BY tbl_tablestatus.id;


--
-- Name: tbl_tablestatus_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_tablestatus_id_seq', 1, false);


--
-- Name: tbl_timedefinition; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_timedefinition (
    id integer NOT NULL,
    "tipId" integer NOT NULL,
    definition character varying(255) NOT NULL,
    range text NOT NULL,
    last_modified timestamp without time zone NOT NULL
);


ALTER TABLE public.tbl_timedefinition OWNER TO icinga;

--
-- Name: tbl_timedefinition_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_timedefinition_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_timedefinition_id_seq OWNER TO icinga;

--
-- Name: tbl_timedefinition_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_timedefinition_id_seq OWNED BY tbl_timedefinition.id;


--
-- Name: tbl_timedefinition_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_timedefinition_id_seq', 1, false);


--
-- Name: tbl_timeperiod; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_timeperiod (
    id integer NOT NULL,
    timeperiod_name character varying(255) NOT NULL,
    alias character varying(255) NOT NULL,
    exclude smallint DEFAULT (0)::smallint NOT NULL,
    use_template smallint DEFAULT (0)::smallint NOT NULL,
    name character varying(255) NOT NULL,
    register bool_enum DEFAULT ('1') NOT NULL,
    active bool_enum DEFAULT ('1') NOT NULL,
    last_modified timestamp without time zone NOT NULL,
    access_group integer DEFAULT 0 NOT NULL,
    config_id smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE public.tbl_timeperiod OWNER TO icinga;

--
-- Name: tbl_timeperiod_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_timeperiod_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_timeperiod_id_seq OWNER TO icinga;

--
-- Name: tbl_timeperiod_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_timeperiod_id_seq OWNED BY tbl_timeperiod.id;


--
-- Name: tbl_timeperiod_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_timeperiod_id_seq', 1, false);


--
-- Name: tbl_user; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_user (
    id integer NOT NULL,
    username character varying(255) NOT NULL,
    alias character varying(255) NOT NULL,
    password character varying(255) NOT NULL,
    admin_enable bool_enum NOT NULL,
    wsauth bool_enum  NOT NULL,
    active bool_enum DEFAULT ('0') NOT NULL,
    nodelete bool_enum NOT NULL,
    language character varying(20) NOT NULL,
    domain integer DEFAULT 1 NOT NULL,
    last_login timestamp without time zone DEFAULT '1970-01-01 00:00:00'::timestamp without time zone NOT NULL,
    last_modified timestamp without time zone DEFAULT '1970-01-01 00:00:00'::timestamp without time zone NOT NULL
);


ALTER TABLE public.tbl_user OWNER TO icinga;

--
-- Name: tbl_user_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_user_id_seq OWNER TO icinga;

--
-- Name: tbl_user_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_user_id_seq OWNED BY tbl_user.id;


--
-- Name: tbl_user_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_user_id_seq', 1, false);


--
-- Name: tbl_variabledefinition; Type: TABLE; Schema: public; Owner: icinga; Tablespace: 
--

CREATE TABLE tbl_variabledefinition (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    value character varying(255) NOT NULL,
    last_modified timestamp without time zone NOT NULL
);


ALTER TABLE public.tbl_variabledefinition OWNER TO icinga;

--
-- Name: tbl_variabledefinition_id_seq; Type: SEQUENCE; Schema: public; Owner: icinga
--

CREATE SEQUENCE tbl_variabledefinition_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tbl_variabledefinition_id_seq OWNER TO icinga;

--
-- Name: tbl_variabledefinition_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: icinga
--

ALTER SEQUENCE tbl_variabledefinition_id_seq OWNED BY tbl_variabledefinition.id;


--
-- Name: tbl_variabledefinition_id_seq; Type: SEQUENCE SET; Schema: public; Owner: icinga
--

SELECT pg_catalog.setval('tbl_variabledefinition_id_seq', 1, false);



--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_autodiscovery ALTER COLUMN id SET DEFAULT nextval('tbl_autodiscovery_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_command ALTER COLUMN id SET DEFAULT nextval('tbl_command_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_configtarget ALTER COLUMN id SET DEFAULT nextval('tbl_configtarget_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_contact ALTER COLUMN id SET DEFAULT nextval('tbl_contact_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_contactgroup ALTER COLUMN id SET DEFAULT nextval('tbl_contactgroup_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_contacttemplate ALTER COLUMN id SET DEFAULT nextval('tbl_contacttemplate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_datadomain ALTER COLUMN id SET DEFAULT nextval('tbl_datadomain_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_group ALTER COLUMN id SET DEFAULT nextval('tbl_group_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_host ALTER COLUMN id SET DEFAULT nextval('tbl_host_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_hostdependency ALTER COLUMN id SET DEFAULT nextval('tbl_hostdependency_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_hostdistribution ALTER COLUMN id SET DEFAULT nextval('tbl_hostdistribution_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_hostescalation ALTER COLUMN id SET DEFAULT nextval('tbl_hostescalation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_hostextinfo ALTER COLUMN id SET DEFAULT nextval('tbl_hostextinfo_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_hostgroup ALTER COLUMN id SET DEFAULT nextval('tbl_hostgroup_id_seq'::regclass);

--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_notification_info ALTER COLUMN id SET DEFAULT nextval('tbl_notification_info_id_seq'::regclass);

--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_hosthardwaretype ALTER COLUMN id SET DEFAULT nextval('tbl_hosthardwaretype_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_hosttemplate ALTER COLUMN id SET DEFAULT nextval('tbl_hosttemplate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_hosttype ALTER COLUMN id SET DEFAULT nextval('tbl_hosttype_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_info ALTER COLUMN id SET DEFAULT nextval('tbl_info_id_seq'::regclass);


--
-- Name: ipmi_device_id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_ipmidetailinfo ALTER COLUMN ipmi_device_id SET DEFAULT nextval('tbl_ipmidetailinfo_ipmi_device_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_language ALTER COLUMN id SET DEFAULT nextval('tbl_language_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_logbook ALTER COLUMN id SET DEFAULT nextval('tbl_logbook_id_seq'::regclass);


--
-- Name: mnuid; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_menu ALTER COLUMN "mnuId" SET DEFAULT nextval('tbl_menu_mnuid_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_relationinformation ALTER COLUMN id SET DEFAULT nextval('tbl_relationinformation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_service ALTER COLUMN id SET DEFAULT nextval('tbl_service_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_servicedependency ALTER COLUMN id SET DEFAULT nextval('tbl_servicedependency_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_serviceescalation ALTER COLUMN id SET DEFAULT nextval('tbl_serviceescalation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_serviceextinfo ALTER COLUMN id SET DEFAULT nextval('tbl_serviceextinfo_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_servicegroup ALTER COLUMN id SET DEFAULT nextval('tbl_servicegroup_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_servicetemplate ALTER COLUMN id SET DEFAULT nextval('tbl_servicetemplate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_settings ALTER COLUMN id SET DEFAULT nextval('tbl_settings_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_tablestatus ALTER COLUMN id SET DEFAULT nextval('tbl_tablestatus_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_timedefinition ALTER COLUMN id SET DEFAULT nextval('tbl_timedefinition_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_timeperiod ALTER COLUMN id SET DEFAULT nextval('tbl_timeperiod_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_user ALTER COLUMN id SET DEFAULT nextval('tbl_user_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: icinga
--

ALTER TABLE ONLY tbl_variabledefinition ALTER COLUMN id SET DEFAULT nextval('tbl_variabledefinition_id_seq'::regclass);



--
-- Data for Name: tbl_autodiscovery; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_autodiscovery (id, iprange, state, count, file_name) FROM stdin;
\.


--
-- Data for Name: tbl_command; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_command (id, command_name, display_name, command_line, command_description, command_type, register, active, last_modified, access_group, config_id, is_system_defined) FROM stdin;
1	notify-host-by-email	邮件报警通知	$USER1$/sendmail.py $CONTACTEMAIL$ "** $NOTIFICATIONTYPE$ Host Alert: $HOSTNAME$ is $HOSTSTATE$ **" "***** Cobra *****\\n\\nNotification Type: $NOTIFICATIONTYPE$\\nHost: $HOSTNAME$\\nState: $HOSTSTATE$\\nAddress: $HOSTADDRESS$\\nInfo: $HOSTOUTPUT$\\n\\nDate/Time: $LONGDATETIME$\\n" > /tmp/.cobramaillog 2>&1	{'msg':'通过电子邮件发送主机报警信息'}	100	1	1	2012-06-28 06:21:41	0	1	1
2	notify-service-by-email	邮件报警通知	$USER1$/sendmail.py $CONTACTEMAIL$ "** $NOTIFICATIONTYPE$ Service Alert: $HOSTNAME$/$SERVICEDESC$ is $SERVICESTATE$ **" "***** Cobra *****\\n\\nNotification Type: $NOTIFICATIONTYPE$\\n\\nService: $SERVICEDESC$\\nHost: $HOSTNAME$\\nAddress: $HOSTADDRESS$\\nState: $SERVICESTATE$\\n\\nDate/Time: $LONGDATETIME$\\n\\nAdditional Info:\\n\\n$SERVICEOUTPUT$\\n" > /tmp/.cobramaillog 2>&1	{'msg':'通过电子邮件发送服务报警信息'}	101	1	1	2012-06-28 06:21:41	0	1	1
3	process-host-perfdata	process-host-perfdata	/usr/bin/printf "%b" "$LASTHOSTCHECK$\\t$HOSTNAME$\\t$HOSTSTATE$\\t$HOSTATTEMPT$\\t$HOSTSTATETYPE$\\t$HOSTEXECUTIONTIME$\\t$HOSTOUTPUT$\\t$HOSTPERFDATA$\\n" >> /usr/local/nagios/var/host-perfdata.out	{'msg':'添加性能数据'}	10	1	1	2012-06-28 06:21:41	0	1	1
4	process-service-perfdata	process-service-perfdata	/usr/bin/printf "%b" "$LASTSERVICECHECK$\\t$HOSTNAME$\\t$SERVICEDESC$\\t$SERVICESTATE$\\t$SERVICEATTEMPT$\\t$SERVICESTATETYPE$\\t$SERVICEEXECUTIONTIME$\\t$SERVICELATENCY$\\t$SERVICEOUTPUT$\\t$SERVICEPERFDATA$\\n" >> /usr/local/nagios/var/service-perfdata.out	{'msg':'添加性能数据'}	10	1	1	2012-06-28 06:21:41	0	1	1
5	check-host-alive	check-host-alive	$USER1$/check_ping -H $HOSTADDRESS$ -w 3000.0,80% -c 5000.0,100% -p 5	{'msg':'检查主机是否存活（网络是否正常）'}	11	1	1	2012-06-28 06:21:41	0	1	1
10	check_disk	Partitions Free Space	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_disk -a $ARG1$	{'msg': '监视服务器的指定分区空闲率', 'paprm': [{'regex': 'regex', 'lable': '空闲率警告阈值', 'require': 1, 'defValue': '20%', 'show_type': 'text', 'id': 'cobra_disk1', 'desc': '请按照默认值格式填写，如20%'}, {'regex': 'regexMax["#cobra_disk1"]', 'lable': '空闲率严重阈值', 'require': 1, 'defValue': '10%', 'show_type': 'text', 'id': 'cobra_disk2', 'desc': '请按照默认值格式填写，如10%'}, {'regex': 'regex', 'lable': ' 监视分区路径', 'require': 1, 'defValue': '/', 'show_type': 'text', 'id': 'cobra_disk3', 'desc': ""}], 'show_type': 'none'}	21	1	1	2012-06-26 10:48:04	0	1	1
11	check_procs	Processes	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_procs -a $ARG1$	{'msg': '监视服务器的进程数量（进程数/核）', 'paprm': [{'regex': 'regex', 'lable': '进程数警告阈值（个）', 'require': 1, 'defValue': 150, 'show_type': 'text', 'id': 'cobra_procs1', 'desc': ''}, {'regex': 'regexMax["#cobra_procs1"]', 'lable': '进程数严重阈值（个）', 'require': 1, 'defValue': 250, 'show_type': 'text', 'id': 'cobra_procs2', 'desc': ''}, {'regex': 'regex', 'lable': '进程状态', 'require': 1, 'defValue': 'RSZDT', 'show_type': 'text', 'id': 'cobra_procs3', 'desc': "R-可执行状态；S-可中断的睡眠状态；Z-僵尸进程；D-不可中断的睡眠状态；T-跟踪状态"}], 'show_type': 'none'}	21	1	1	2012-06-26 13:15:44	0	1	1
37	check_disk_io	Disk I/O	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_iostat -a $ARG1$	{'msg': '磁盘的I/O使用情况，tps(Transactions per second，每秒处理的事务)，KB_read/s(Kilobytes per second read from the disk，每秒读千字节数)，KB_written/s（Kilobytes per second written to the disk，每秒写千字节数）', 'paprm': [{'regex': 'regex', 'lable': 'tps警告阈值，KB_read/s警告阈值，KB_written/s警告阈值', 'require': 1, 'defValue': '1024,60000,60000', 'show_type': 'text', 'id': 'cobra_disk_io1', 'desc': '三个参数间请使用英文逗号(,)连接'}, {'regex': 'regex', 'lable': 'tps严重阈值，KB_read/s严重阈值，KB_written/s严重阈值', 'require': 1, 'defValue': '2048,80000,80000', 'show_type': 'text', 'id': 'cobra_disk_io2', 'desc': '三个参数间请使用英文逗号(,)连接'}, {'regex': 'regex', 'lable': '磁盘名称（如sda，default为默认识别的第一个磁盘）', 'require': 1, 'defValue': 'default', 'show_type': 'text', 'id': 'cobra_disk_io3', 'desc': '请输入要监控对磁盘，如sda，输入default为默认识别的第一个磁盘'}], 'show_type': 'none'}	21	1	1	2012-07-16 10:08:11	0	0	1
66	check_tomcat5	Tomcat5	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_tomcat5 -a $ARG1$ 	{'msg': '监视Tomcat5中间件的状态', 'paprm': [{'regex': 'regex', 'lable': '操作类型', 'require': 1, 'defValue': 'monitor', 'show_type': 'text', 'id': 'cobra_Tomcat1', 'desc': '目前仅支持monitor类型'}, {'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_Tomcat2', 'desc': ''}, {'regex': 'regex', 'lable': '服务端口', 'require': 1, 'defValue': '8080', 'show_type': 'text', 'id': 'cobra_Tomcat3', 'desc': ''}], 'show_type': 'none'}	24	1	1	2012-08-20 13:14:46	0	0	1
13	check_network	Network	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_netio -a $ARG1$	{'msg': '监视服务器活跃网卡的数据发送接收总量','paprm': [{'regex': 'regex', 'lable': 'RX警告阈值（KB/S）', 'require': 1, 'defValue': 1000,'show_type': 'text', 'id': 'cobra_pnetrx', 'desc': ''},{'regex': 'regex', 'lable': 'TX警告阈值（KB/S）', 'require': 1, 'defValue': 1000, 'show_type': 'text', 'id': 'cobra_nettx', 'desc': ''},{'regex': 'regex', 'lable': 'RX严重阈值（KB/S）', 'require': 1, 'defValue': 2000,'show_type': 'text', 'id': 'cobra_pnetrx', 'desc': ''},{'regex': 'regex', 'lable': 'TX严重阈值 （KB/S）', 'require': 1, 'defValue': 2000,'show_type': 'text', 'id': 'cobra_pnetrx', 'desc': ''},{'regex': 'regex', 'lable': '网络接口', 'require': 0, 'defValue': 'eth0','show_type': 'text', 'id': 'cobra_pnetrx', 'desc': ''}],'show_type': 'none'}	21	1	1	2012-06-26 10:36:57	0	1	1
14	check_cpu	CPU	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_cpu -a $ARG1$	{'msg': '监视服务器的CPU使用率', 'paprm': [{'regex': 'regex', 'lable': '使用率警告阈值（%）', 'require': 1, 'defValue': 80, 'show_type': 'text', 'id': 'cobra_cpu1', 'desc': ''}, {'regex': 'regexMax["#cobra_cpu1"]', 'lable': '使用率严重阈值（%）', 'require': 1, 'defValue': 90, 'show_type': 'text', 'id': 'cobra_cpu2', 'desc': ''}], 'show_type': 'none'}	21	1	1	2012-06-28 06:21:41	0	1	1
15	check_memory	Memory	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_mem -a $ARG1$	{'msg': '监视服务器的内存使用率', 'paprm': [{'regex': 'regex', 'lable': '使用率警告阈值（%）', 'require': 1, 'defValue': 80, 'show_type': 'text', 'id': 'cobra_memory1', 'desc': ''}, {'regex': 'regexMax["#cobra_memory1"]', 'lable': '使用率严重阈值（%）', 'require': 1, 'defValue': 90, 'show_type': 'text', 'id': 'cobra_memory2', 'desc': ''}], 'show_type': 'none'}	21	1	1	2012-06-28 06:21:41	0	1	1
16	check_swap	Free Swap	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_swap -a $ARG1$	{'msg': '监视服务器的空闲交换分区', 'paprm': [{'regex': 'regexMax["#cobra_swap1"]', 'lable': '空闲率警告阈值（%）', 'require': 1, 'defValue': 20, 'show_type': 'text', 'id': 'cobra_swap2', 'desc': ''}, {'regex': 'regex', 'lable': '空闲率严重阈值（%）', 'require': 1, 'defValue': 10, 'show_type': 'text', 'id': 'cobra_swap1', 'desc': ''}], 'show_type': 'none'}	22	1	1	2012-06-28 06:21:41	0	1	1
17	check_users	Load Users	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_users -a $ARG1$	{'msg': '监视当前服务器登录用户总量', 'paprm': [{'regex': 'regex', 'lable': '登录用户数警告阈值（个）', 'require': 1, 'defValue': 5, 'show_type': 'text', 'id': 'cobra_users1', 'desc': ''}, {'regex': 'regexMax["#cobra_users1"]', 'lable': '登录用户数严重阈值（个）', 'require': 1, 'defValue': 10, 'show_type': 'text', 'id': 'cobra_users2', 'desc': ''}], 'show_type': 'none'}	22	1	1	2012-06-28 06:21:41	0	1	1
22	check_ftp	FTP	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_ftp -a $ARG1$ 	{'msg': '监视FTP服务器状态', 'paprm': [{'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_ftp1', 'desc': ''}, {'regex': 'regex', 'lable': '服务端口', 'require': 1, 'defValue': 21, 'show_type': 'text', 'id': 'cobra_ftp2', 'desc': ''}, {'regex': 'regex', 'lable': '响应时间警告阈值（秒）', 'require': 1, 'defValue': 2, 'show_type': 'text', 'id': 'cobra_ftp3', 'desc': ''}, {'regex': 'regexMax["#cobra_ftp3"]["#cobra_ftp3"]', 'lable': '响应时间严重阈值（秒）', 'require': 1, 'defValue': 3, 'show_type': 'text', 'id': 'cobra_ftp4', 'desc': ''}, {'regex': 'regexMax', 'lable': '连接超时时间（秒）', 'require': 1, 'defValue': 10, 'show_type': 'text', 'id': 'cobra_ftp5', 'desc': ''}], 'show_type': 'none'}	22	1	1	2012-06-28 06:21:41	0	1	1
23	check_http	HTTP	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_http -a $ARG1$ 	{'msg': '监视HTTP服务器状态', 'paprm': [{'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_http1', 'desc': ''}, {'regex': 'regex', 'lable': '服务端口', 'require': 1, 'defValue': 80, 'show_type': 'text', 'id': 'cobra_http2', 'desc': ''}, {'regex': 'regex', 'lable': '响应时间警告阈值（秒）', 'require': 1, 'defValue': 2, 'show_type': 'text', 'id': 'cobra_http3', 'desc': ''}, {'regex': 'regexMax["#cobra_http3"]["#cobra_http3"]', 'lable': '响应时间严重阈值（秒）', 'require': 1, 'defValue': 3, 'show_type': 'text', 'id': 'cobra_http4', 'desc': ''}], 'show_type': 'none'}	22	1	1	2012-06-28 06:21:41	0	1	1
24	check_smtp	SMTP	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_smtp -a $ARG1$ 	{\n\t'msg' : '监视SMTP服务器状态',\n\t'paprm' : [ {\n\t\t'regex' : 'regex',\n\t\t'lable' : '主机地址',\n\t\t'require' : 1,\n\t\t'defValue' : '127.0.0.1',\n\t\t'show_type' : 'text',\n\t\t'id' : 'cobra_smtp1',\n\t\t'desc' : ''\n\t}, {\n\t\t'regex' : 'regex',\n\t\t'lable' : '服务端口',\n\t\t'require' : 1,\n\t\t'defValue' : 25,\n\t\t'show_type' : 'text',\n\t\t'id' : 'cobra_smtp2',\n\t\t'desc' : ''\n\t}, {\n\t\t'regex' : 'regex',\n\t\t'lable' : '响应时间警告阈值（秒）',\n\t\t'require' : 1,\n\t\t'defValue' : 2,\n\t\t'show_type' : 'text',\n\t\t'id' : 'cobra_smtp3',\n\t\t'desc' : ' '\n\t}, {\n\t\t'regex' : 'regexMax["#cobra_smtp3"]["#cobra_smtp3"]',\n\t\t'lable' : '响应时间严重阈值（秒）',\n\t\t'require' : 1,\n\t\t'defValue' : 3,\n\t\t'show_type' : 'text',\n\t\t'id' : 'cobra_smtp4',\n\t\t'desc' : ''\n\t} ],\n\t'show_type' : 'none'\n}	22	1	1	2012-06-28 06:21:41	0	1	1
25	check_pop	POP3	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_pop -a $ARG1$ 	{'msg': '监视POP3 服务器的状态', 'paprm': [{'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_pop1', 'desc': ''}, {'regex': 'regex', 'lable': '服务端口', 'require': 1, 'defValue': 110, 'show_type': 'text', 'id': 'cobra_pop2', 'desc': ''}, {'regex': 'regex', 'lable': '响应时间警告阈值（秒）', 'require': 1, 'defValue': 2, 'show_type': 'text', 'id': 'cobra_pop3', 'desc': ''}, {'regex': 'regexMax["#cobra_pop3"]', 'lable': '响应时间严重阈值（秒）', 'require': 1, 'defValue': 3, 'show_type': 'text', 'id': 'cobra_pop4', 'desc': ''}, {'regex': 'regex', 'lable': '连接超时时间（秒）', 'require': 1, 'defValue': 10, 'show_type': 'text', 'id': 'cobra_pop5', 'desc': ''}], 'show_type': 'none'}	22	1	1	2012-06-28 06:21:41	0	1	1
26	check_ssh	SSH	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_ssh -a $ARG1$ 	{'msg': '监视SSH服务器的状态和协议', 'paprm': [{'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_ssh1', 'desc': ''}, {'regex': 'regex', 'lable': '服务端口', 'require': 1, 'defValue': 22, 'show_type': 'text', 'id': 'cobra_ssh2', 'desc': ''}, {'regex': 'regexMax', 'lable': '连接超时时间（秒）', 'require': 1, 'defValue': 10, 'show_type': 'text', 'id': 'cobra_ssh3', 'desc': ''}], 'show_type': 'none'}	22	1	1	2012-06-28 06:21:41	0	1	1
27	check_dhcp	DHCP	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_dhcp -a $ARG1$ 	{'msg': '监视DHCP服务器的状态', 'paprm': [{'regex': 'regex', 'lable': '服务器地址', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_dhcp1', 'desc': 'DHCP服务器（A）的IP地址'}, {'regex': 'regex', 'lable': '请求的IP地址', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_dhcp2', 'desc': '请求DHCP服务的主机（B)IP地址'}, {'regex': 'regex', 'lable': 'MAC地址', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_dhcp3', 'desc': '主机（B）的MAC地址'}, {'regex': 'regex', 'lable': '接口名称', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_dhcp4', 'desc': '主机（B）用于DHCP响应的网络接口（如eth0）'}], 'show_type': 'none'}	22	1	1	2012-06-28 06:21:41	0	1	1
28	check_nfs	NFS	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_nfs -a $ARG1$ 	{'msg': "监视服务器挂载点的挂载状态", 'paprm': [{'regex': 'regex', 'lable': '挂载点', 'require': 1, 'defValue': '/proc/mounts', 'show_type': 'text', 'id': 'cobra_nfs1', 'desc': ''}], 'show_type': 'none'}	22	1	1	2012-06-27 11:27:10	0	0	1
29	check_samba	SAMBA	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_samba -a $ARG1$ 	{'msg': '监视SAMBA服务器的状态', 'paprm': [{'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_samba1', 'desc': 'samba服务器的IP地址'}, {'regex': 'regex', 'lable': '用户名', 'require': 1, 'defValue': 'username', 'show_type': 'text', 'id': 'cobra_samba2', 'desc': ''}, {'regex': 'regex', 'lable': '密码', 'require': 1, 'defValue': 'password', 'show_type': 'text', 'id': 'cobra_samba3', 'desc': ''}, {'regex': 'regex', 'lable': '共享文件', 'require': 1, 'defValue': 'share1', 'show_type': 'text', 'id': 'cobra_samba4', 'desc': ''}, {'regex': 'regex', 'lable': '共享所在分区使用率警告阈值（%）', 'require': 1, 'defValue': 85, 'show_type': 'text', 'id': 'cobra_samba5', 'desc': ''}, {'regex': 'regexMax["#cobra_samba5"]', 'lable': '共享所在分区使用率严重阈值（%）', 'require': 1, 'defValue': 95, 'show_type': 'text', 'id': 'cobra_samba6', 'desc': ''}], 'show_type': 'none'}	22	1	1	2012-06-27 15:40:30	0	0	1
30	check_dns	DNS	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_dns -a $ARG1$ 	{'msg': '监视DNS 服务器的状态', 'paprm': [{'regex': 'regex', 'lable': '主机名称', 'require': 1, 'defValue': 'cs2c.com.cn', 'show_type': 'text', 'id': 'cobra_dns1', 'desc': '要查询的名称或地址'}, {'regex': 'regex', 'lable': 'DNS服务器', 'require': 1, 'defValue': '8.8.8.8', 'show_type': 'text', 'id': 'cobra_dns2', 'desc': '想要查询的DNS 服务器的IP地址 '}, {'regex': 'regex', 'lable': '域名解析时间警告阈值（秒）', 'require': 1, 'defValue': 5, 'show_type': 'text', 'id': 'cobra_dns3', 'desc': ''}, {'regex': 'regexMax["#cobra_dns3"]["#cobra_dns3"]', 'lable': '域名解析时间严重阈值（秒）', 'require': 1, 'defValue': 10, 'show_type': 'text', 'id': 'cobra_dns4', 'desc': ''}, {'regex': 'regexMax', 'lable': '连接超时时间（秒）', 'require': 1, 'defValue': 10, 'show_type': 'text', 'id': 'cobra_dns5', 'desc': ''}], 'show_type': 'none'}	22	1	1	2012-06-27 15:42:15	0	0	1
38	check_vms	Virtual Machines	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_vms	{'msg': '监视服务器上虚拟机的数量及运行状态', 'paprm': [], 'show_type': 'none'}	22	1	1	2012-07-16 10:28:54	0	0	1
39	check_kingbase7	KingBase V7	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_kingbase7 -a $ARG1$ 	{'msg': '监视KingBase（人大金仓）数据库的状态', 'paprm': [{'regex': 'regex', 'lable': '人大金仓的安装路径', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_kingbase1', 'desc': ''}], 'show_type': 'none'}	23	1	1	2012-07-19 10:58:20	0	0	1
40	check_dmdb7	DMDatabase V7	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_dmdb7 -a $ARG1$ 	{'msg': '监视DMDataBase（达梦）数据库的状态', 'paprm': [{'regex': 'regex', 'lable': '达梦的安装路径', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_dmdb1', 'desc': ''}], 'show_type': 'none'}	23	1	1	2012-07-19 10:58:20	0	0	1
41	check_oracle11g_login	Oracle11g Status	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_oracle11g_login -a $ARG1$ 	{'msg': '监视Oracle 11g数据库的状态', 'paprm': [{'regex': 'regex', 'lable': 'Oracle的SID', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Oracle11g_login1', 'desc': ''}], 'show_type': 'none'}	23	1	1	2012-07-19 11:10:10	0	0	1
42	check_oracle11g_tns	Oracle11g Listen	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_oracle11g_tns -a $ARG1$ 	{'msg': '监视Oracle 11g数据库的TNS监听', 'paprm': [{'regex': 'regex', 'lable': ' 数据库监听名称（TNS）', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_check_oracle11g_tns1', 'desc': ''}], 'show_type': 'none'}	23	1	1	2012-07-19 11:10:10	0	0	1
43	check_oracle11g_cache	Oracle11g Cache	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_oracle11g_cache -a $ARG1$ 	{'msg': '监视Oracle 11g数据库的cache命中率', 'paprm': [{'regex': 'regex', 'lable': 'Oracle的SID', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_check_oracle11g_cache1', 'desc': ''}, {'regex': 'regex', 'lable': '用户名', 'require': 1, 'defValue': 'username', 'show_type': 'text', 'id': 'cobra_check_oracle11g_cache2', 'desc': '登录Oracle的用户名'}, {'regex': 'regex', 'lable': '密码', 'require': 1, 'defValue': 'password', 'show_type': 'text', 'id': 'cobra_check_oracle11g_cache3', 'desc': '登录Oracle的密码'},{'regex': 'regexMin', 'lable': '命中率严重阈值（%）', 'require': 1, 'defValue': 20, 'show_type': 'text', 'id': 'cobra_check_oracle11g_cache4', 'desc': '当缓存命中率低于该数值，将会发出严重警告'}, {'regex': 'regexMax', 'lable': '命中率警告阈值（%）', 'require': 1, 'defValue': 30, 'show_type': 'text', 'id': 'cobra_check_oracle11g_cache5', 'desc': '当缓存命中率低于该数值，将会发出警告'} ], 'show_type': 'none'}	23	1	1	2012-07-19 11:12:36	0	0	1
44	check_oracle11g_tablespace	Oracle11g TableSpace	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_oracle11g_tablespace -a $ARG1$ 	{'msg': "监视Oracle 11g数据库的表空间使用率", 'paprm': [{'regex': 'regex', 'lable': 'Oracle的SID', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_check_oracle11g_tablespace1', 'desc': ''}, {'regex': 'regex', 'lable': '用户名', 'require': 1, 'defValue': 'username', 'show_type': 'text', 'id': 'cobra_check_oracle11g_tablespace2', 'desc': '登录Oracle的用户名'}, {'regex': 'regex', 'lable': '密码', 'require': 1, 'defValue': 'password', 'show_type': 'text', 'id': 'cobra_check_oracle11g_tablespace3', 'desc': '登录Oracle的密码'}, {'regex': 'regex', 'lable': '表空间名', 'require': 1, 'defValue': 'tablename', 'show_type': 'text', 'id': 'cobra_check_oracle11g_tablespace4', 'desc': '要监视的表空间名称'}, {'regex': 'regexMax["#cobra_check_oracle11g_tablespace6"]', 'lable': '使用率严重阈值（%）', 'require': 1, 'defValue': 90, 'show_type': 'text', 'id': 'cobra_check_oracle11g_tablespace5', 'desc': ''}, {'regex': 'regex', 'lable': '使用率告警阈值（%）', 'require': 1, 'defValue': 80, 'show_type': 'text', 'id': 'cobra_check_oracle11g_tablespace6', 'desc': ''}], 'show_type': 'none'}	23	1	1	2012-07-19 11:12:36	0	0	1
45	check_oracle11g_tablespaceTEMP	Oracle11g TempTableSpace	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_oracle11g_tablespaceTEMP -a $ARG1$ 	{'msg': "监视Oracle 11g数据库的临时表空间使用率", 'paprm': [{'regex': 'regex', 'lable': 'Oracle的SID', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_check_oracle11g_tablespaceTEMP1', 'desc': ''}, {'regex': 'regex', 'lable': '用户名', 'require': 1, 'defValue': 'username', 'show_type': 'text', 'id': 'cobra_check_oracle11g_tablespaceTEMP2', 'desc': '登录Oracle的用户名'}, {'regex': 'regex', 'lable': '密码', 'require': 1, 'defValue': 'password', 'show_type': 'text', 'id': 'cobra_check_oracle11g_tablespaceTEMP3', 'desc': '登录Oracle的密码'}, {'regex': 'regexMax["#cobra_check_oracle11g_tablespaceTEMP5"]', 'lable': '使用率严重阈值（%）', 'require': 1, 'defValue': 90, 'show_type': 'text', 'id': 'cobra_check_oracle11g_tablespaceTEMP4', 'desc': ''}, {'regex': 'regex', 'lable': '使用率警告阈值（%）', 'require': 1, 'defValue': 80, 'show_type': 'text', 'id': 'cobra_check_oracle11g_tablespaceTEMP5', 'desc': ''}], 'show_type': 'none'}	23	1	1	2012-07-19 11:12:36	0	0	1
46	check_mysql	MySQL	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_mysql -a $ARG1$ 	{'msg': '监视MySQL数据库的状态', 'paprm': [{'regex': 'regex', 'lable': '数据库名称', 'require': 1, 'defValue': 'dbname', 'show_type': 'text', 'id': 'cobra_mysql1', 'desc': ''}, {'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_mysql2', 'desc': '数据库所在主机的IP地址'}, {'regex': 'regex', 'lable': '端口', 'require': 1, 'defValue': 3306, 'show_type': 'text', 'id': 'cobra_mysql3', 'desc': 'MySQL数据库服务的端口'}, {'regex': 'regex', 'lable': '用户名', 'require': 1, 'defValue': 'username', 'show_type': 'text', 'id': 'cobra_mysql4', 'desc': '登录该数据库的用户名'}, {'regex': 'regex', 'lable': '密码', 'require': 1, 'defValue': 'password', 'show_type': 'text', 'id': 'cobra_mysql5', 'desc': '登录该数据库的密码'}, {'regex': 'regex', 'lable': '警告阈值', 'require': 1, 'defValue': 5, 'show_type': 'text', 'id': 'cobra_mysql6', 'desc': '当主从服务器完成同步时，若从服务器落后于主服务器的时间大于该值，则返回警告状态'}, {'regex': 'regexMax["#cobra_mysql6"]["#cobra_mysql6"]', 'lable': '严重阈值', 'require': 1, 'defValue': 10, 'show_type': 'text', 'id': 'cobra_mysql7', 'desc': '当主从服务器完成同步时，若从服务器落后于主服务器的时间大于该值，则返回严重状态'}], 'show_type': 'none'}	23	1	1	2012-07-19 14:48:33	0	0	1
47	check_snmp	SNMP	$USER1$/check_snmp -H $ARG1$ -C $ARG2$ -P $ARG3$ -o $ARG4$ -w $ARG5$ -c $ARG6$	{'msg': "指定要通过SNMP监视的OID，已经提供了一些条目作为示例", 'paprm': [{'regex': 'regex', 'lable': '设备地址', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp1', 'desc': '要监视的服务器或设备的IP地址'}, {'regex': 'regex', 'lable': 'SNMP Community', 'require': 0, 'defValue': 'public', 'show_type': 'text', 'id': 'cobra_snmp2', 'desc': '配置SNMP community用于搜索设备'}, {'regex': 'regex', 'lable': 'SNMP版本', 'require': 0, 'defValue': '1,2c,3', 'show_type': 'ComboBox', 'id': 'cobra_snmp3', 'desc': 'SNMP协议的版本'}, {'regex': 'regex', 'lable': 'OID', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp4', 'desc': ''}, {'regex': 'regex', 'lable': '警告阈值', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp5', 'desc': '警告阈值范围(s)'}, {'regex': 'regexMax["#cobra_snmp5"]["#cobra_snmp5"]', 'lable': '严重阈值', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp6', 'desc': '严重阈值范围(s)'}], 'show_type': 'none'}	4	1	1	2012-07-23 15:54:28	0	0	1
48	check_snmp_v3	SNMP V3	$USER1$/check_snmp -H $ARG1$ -C $ARG2$ -P $ARG3$ -L $ARG4$ -U $ARG5$ -X $ARG6$ -A $ARG7$ -a $ARG8$ -o $ARG9$ -w $ARG10$ -c $ARG11$	{'msg': "指定要通过SNMP监视的OID，已经提供了一些条目作为示例", 'paprm': [{'regex': 'regex', 'lable': '设备地址', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v31', 'desc': '要监视的服务器或设备的IP地址'}, {'regex': 'regex', 'lable': 'SNMP Community', 'require': 0, 'defValue': 'public', 'show_type': 'text', 'id': 'cobra_snmp_v32', 'desc': '配置SNMP community用于搜索设备'}, {'regex': 'regex', 'lable': 'SNMP版本', 'require': 0, 'defValue': '1,2c,3', 'show_type': 'ComboBox', 'id': 'cobra_snmp_v33', 'desc': 'SNMP协议的版本'}, {'regex': 'regex', 'lable': '安全级别', 'require': 0, 'defValue': 'noAuthNoPriv,authNoPriv,authPriv', 'show_type': 'ComboBox', 'id': 'cobra_snmp_v34', 'desc': 'SNMPv3 安全级别.'}, {'regex': 'regex', 'lable': '用户名', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v35', 'desc': 'SNMPv3 用户名.'}, {'regex': 'regex', 'lable': '隐私密码', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v36', 'desc': 'SNMPv3 隐私密码.'}, {'regex': 'regex', 'lable': '认证密码', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v37', 'desc': 'SNMPv3 认证密码'}, {'regex': 'regex', 'lable': '认证协议', 'require': 0, 'defValue': 'MD5,SHA', 'show_type': 'ComboBox', 'id': 'cobra_snmp_v38', 'desc': 'SNMPv3认证协议'}, {'regex': 'regex', 'lable': 'OID', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v39', 'desc': ''}, {'regex': 'regex', 'lable': '警告阈值', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v310', 'desc': '警告阈值范围(s)'}, {'regex': 'regexMax["#cobra_snmp_v310"]["#cobra_snmp_v310"]', 'lable': '严重阈值', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v311', 'desc': '严重阈值范围(s)'}], 'show_type': 'none'}	4	1	1	2012-07-24 15:29:08	0	0	1
49	notify-service-by-message	短信报警通知	printf  "***** Cobra *****\\n\\nNotification Type: $NOTIFICATIONTYPE$\\n\\nService: $SERVICEDESC$\\nHost: $HOSTNAME$\\nAddress: $HOSTADDRESS$\\nState: $SERVICESTATE$\\n\\nDate/Time: $LONGDATETIME$\\n\\nAdditional Info:\\n\\n$SERVICEOUTPUT$\\n" | gnokii --sendsms $CONTACTPAGER$ > /tmp/.cobramessage.log 2>&1	{'msg':'使用短信发送服务报警信息'}	101	1	1	2012-07-25 10:26:28	0	1	1
50	notify-host-by-message	短信报警通知	printf "***** Cobra *****\\n\\nNotification Type: $NOTIFICATIONTYPE$\\nHost: $HOSTNAME$\\nState: $HOSTSTATE$\\nAddress: $HOSTADDRESS$\\nInfo: $HOSTOUTPUT$\\n\\nDate/Time: $LONGDATETIME$\\n" | gnokii --sendsms $CONTACTPAGER$ > /tmp/.cobramessage.log 2>&1	{'msg':'使用短信发送主机报警信息'}	100	1	1	2012-07-25 10:26:28	0	1	1
51	check_xi_service_mrtgtraf	Switch Port Bandwidth	$USER1$/check_rrdtraf -f /var/lib/mrtg/$ARG1$ -w $ARG2$ -c $ARG3$ -l $ARG4$	{'msg': '监视交换机端口的带宽', 'paprm': [{'regex': 'regex', 'lable': '端口名称', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Switch Port Bandwidth1', 'desc': '如10.1.83.200_10，表示交换机的IP是 10.1.83.200, 端口号是10'}, {'regex': 'regex', 'lable': '输入速率警告值，输入速率严重值', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Switch Port Bandwidth2', 'desc': '输入速率超过设定的值时服务状态会变为警告或严重'}, {'regex': 'regex', 'lable': '输出速率警告值，输出速率严重值', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Switch Port Bandwidth3', 'desc': '输出率超过设定的值时服务状态会变为警告或严重'}, {'regex': 'regex', 'lable': '数据展示单位', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Switch Port Bandwidth4', 'desc': ' 可从B（byte）,K（kilobyte）,M（megabyte） 或 G（gigabyte）中选取一个'}], 'show_type': 'none'}	5	1	1	2012-08-02 14:50:55	0	0	1
52	check_xi_service_ping	Switch Status	$USER1$/check_icmp -H $HOSTADDRESS$ -w $ARG1$,$ARG2$ -c $ARG3$,$ARG4$ -p 5	{'msg': '监视交换机的状态', 'paprm': [{'regex': 'regex', 'lable': '响应时间警告阈值（毫秒）', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Switch Status1', 'desc': '如200.000(ms)'}, {'regex': 'regex', 'lable': '丢包率警告阈值（%）', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Switch Status2', 'desc': '如40(%)'}, {'regex': 'regex', 'lable': '响应时间严重阈值（毫秒）', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Switch Status3', 'desc': '如500.000(ms)'}, {'regex': 'regex', 'lable': ' 丢包率严重阈值（%）', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Switch Status4', 'desc': '如80(%)'}], 'show_type': 'none'}	5	1	1	2012-08-02 14:50:55	0	0	1
53	check_ifoperstatus	Switch Port Status	$USER1$/check_ifoperstatus -H $HOSTADDRESS$ -C $ARG1$ -k $ARG2$	{'msg': '监视交换机端口的状态', 'paprm': [{'regex': 'regex', 'lable': 'Community交互密码', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Switch Port Status1', 'desc': 'SNMP使用此值获取相应的查询权限 （默认是 public,SNMP v1 和v2协议使用该定义）'}, {'regex': 'regex', 'lable': 'SNMP 网络接口索引号', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Switch Port Status2', 'desc': ''}], 'show_type': 'none'}	5	1	1	2012-08-02 14:54:38	0	0	1
54	check_weblogic	Weblogic	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_weblogic -a $ARG1$ 	{'msg': '监视Weblogic中间件的状态', 'paprm': [{'regex': 'regex', 'lable': '操作类型', 'require': 1, 'defValue': 'monitor', 'show_type': 'text', 'id': 'cobra_weblogic1', 'desc': '目前仅支持monitor类型'}, {'regex': 'regex', 'lable': 'Weblogic 安装目录', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_weblogic2', 'desc': 'Weblogic安装位置的绝对路径'}, {'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_weblogic3', 'desc': ''}, {'regex': 'regex', 'lable': '服务端口', 'require': 1, 'defValue': '7001', 'show_type': 'text', 'id': 'cobra_weblogic4', 'desc': ''}], 'show_type': 'none'}	24	1	1	2012-08-20 13:12:59	0	0	1
55	check_websphere	WebSphere	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_websphere -a $ARG1$ 	{'msg': '监视Websphere中间件的状态', 'paprm': [{'regex': 'regex', 'lable': '操作类型', 'require': 1, 'defValue': 'monitor', 'show_type': 'text', 'id': 'cobra_Websphere1', 'desc': '目前仅支持monitor类型'}, {'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_Websphere2', 'desc': ' '}, {'regex': 'regex', 'lable': '服务端口', 'require': 1, 'defValue': '9060', 'show_type': 'text', 'id': 'cobra_Websphere3', 'desc': ''}], 'show_type': 'none'}	24	1	1	2012-08-20 13:14:46	0	0	1
56	check_tomcat6	Tomcat6	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_tomcat6 -a $ARG1$ 	{'msg': '监视Tomcat6中间件的状态', 'paprm': [{'regex': 'regex', 'lable': '操作类型', 'require': 1, 'defValue': 'monitor', 'show_type': 'text', 'id': 'cobra_Tomcat1', 'desc': '目前仅支持monitor类型'}, {'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_Tomcat2', 'desc': ''}, {'regex': 'regex', 'lable': '服务端口', 'require': 1, 'defValue': '8080', 'show_type': 'text', 'id': 'cobra_Tomcat3', 'desc': ''}], 'show_type': 'none'}	24	1	1	2012-08-20 13:14:46	0	0	1
57	check_inforsuite	InforSuite	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_inforsuite -a $ARG1$ 	{'msg': '监视InforSuite（中创）中间件的状态', 'paprm': [{'regex': 'regex', 'lable': '操作类型', 'require': 1, 'defValue': 'monitor', 'show_type': 'text', 'id': 'cobra_InforSuite1', 'desc': '目前仅支持monitor类型'}, {'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_InforSuite2', 'desc': ''}, {'regex': 'regex', 'lable': '服务端口', 'require': 1, 'defValue': '8080', 'show_type': 'text', 'id': 'cobra_InforSuite3', 'desc': ''}], 'show_type': 'none'}	24	1	1	2012-08-20 13:14:46	0	0	1
58	check_tongweb	TongWeb	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_tongweb -a $ARG1$ 	{'msg': '监视TongWeb（东方通）中间件的状态', 'paprm': [{'regex': 'regex', 'lable': '操作类型', 'require': 1, 'defValue': 'monitor', 'show_type': 'text', 'id': 'cobra_TongWeb1', 'desc': '目前仅支持monitor类型'}, {'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_TongWeb2', 'desc': ''}, {'regex': 'regex', 'lable': '服务端口', 'require': 1, 'defValue': '9060', 'show_type': 'text', 'id': 'cobra_TongWeb3', 'desc': ''}], 'show_type': 'none'}	24	1	1	2012-08-20 13:14:46	0	0	1
59	check_apusic	Apusic	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_apusic -a $ARG1$ 	{'msg': '监视Apusic（金蝶）中间件的状态', 'paprm': [{'regex': 'regex', 'lable': '操作类型', 'require': 1, 'defValue': 'monitor', 'show_type': 'text', 'id': 'cobra_Apusic1', 'desc': '目前仅支持monitor类型'}, {'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_Apusic2', 'desc': ''}, {'regex': 'regex', 'lable': '服务端口', 'require': 1, 'defValue': '6888', 'show_type': 'text', 'id': 'cobra_Apusic3', 'desc': ''}], 'show_type': 'none'}	24	1	1	2012-08-20 13:14:46	0	0	1
64	check_switch_snmp	Switch SNMP(noThreshold)	$USER1$/check_snmp -H $ARG1$ -C $ARG2$ -P $ARG3$ -o $ARG4$	{'msg': '指定通过SNMP方式监视的OID.可参考提供的示例进行设置', 'paprm': [{'regex': 'regex', 'lable': '设备IP地址', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp nothreshold1', 'desc': '待监视服务器（设备）的IP地址或DNS服务器名称'}, {'regex': 'regex', 'lable': 'SNMP Community', 'require': 0, 'defValue': 'public', 'show_type': 'text', 'id': 'cobra_snmp nothreshold2', 'desc': 'SNMP community用于进行设备查询'}, {'regex': 'regex', 'lable': 'SNMP Version', 'require': 0, 'defValue': '1,2c,3', 'show_type': 'ComboBox', 'id': 'cobra_snmp nothreshold3', 'desc': '用于设备通信的SNMP协议版本'}, {'regex': 'regex', 'lable': 'OID', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp nothreshold4', 'desc': 'OID是用于区分SNMP对象的标识符'}], 'show_type': 'none'}	5	1	1	2012-07-23 15:54:28	0	0	1
60	check_pgsql	PostgreSQL	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_pgsql -a $ARG1$ 	{'msg': '监视PostgerSQL服务器的状态', 'paprm': [{'regex': 'regex', 'lable': '主机地址', 'require': 1, 'defValue': '127.0.0.1', 'show_type': 'text', 'id': 'cobra_pgsql1', 'desc': '主机名称、IP地址或者unix套接字（必须为绝对路径）'},{'regex': 'regex', 'lable': '数据库名称', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_pgsql2', 'desc': ''},{'regex': 'regex', 'lable': '用户名', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_pgsql3', 'desc': '登录该数据库的用户名'}, {'regex': 'regex', 'lable': '密码', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_pgsql4', 'desc': '登录该数据库的密码'}], 'show_type': 'none'}	23	1	1	2012-08-20 13:52:02	0	0	1
61	check_informix	Informix	$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_informix -a $ARG1$ 	{'msg': '监视Informix数据库的状态', 'paprm': [{'regex': 'regex', 'lable': '数据库实例名', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_Informix1', 'desc': ''}, {'regex': 'regex', 'lable': '数据库用户名', 'require': 1, 'defValue': 'username', 'show_type': 'text', 'id': 'cobra_Informix2', 'desc': ''}, {'regex': 'regex', 'lable': '密码', 'require': 1, 'defValue': 'password', 'show_type': 'text', 'id': 'cobra_Informix3', 'desc': ''}, {'regex': 'regex', 'lable': '数据库名称', 'require': 1, 'defValue': 'dbname', 'show_type': 'text', 'id': 'cobra_Informix4', 'desc': ''}], 'show_type': 'none'}	23	1	1	2012-08-20 14:06:27	0	0	1
62	check_snmp_nothreshold	SNMP(noThreshold)	$USER1$/check_snmp -H $ARG1$ -C $ARG2$ -P $ARG3$ -o $ARG4$	{'msg': "指定通过SNMP方式监视的OID.可参考提供的示例进行设置", 'paprm': [{'regex': 'regex', 'lable': '设备IP地址', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp nothreshold1', 'desc': '待监视服务器（设备）的IP地址或DNS服务器名称'}, {'regex': 'regex', 'lable': 'SNMP Community', 'require': 0, 'defValue': 'public', 'show_type': 'text', 'id': 'cobra_snmp nothreshold2', 'desc': 'SNMP community用于进行设备查询'}, {'regex': 'regex', 'lable': 'SNMP 版本号', 'require': 0, 'defValue': '1,2c,3', 'show_type': 'ComboBox', 'id': 'cobra_snmp nothreshold3', 'desc': 'SNMP协议版本用于进行设备通信方式选择'}, {'regex': 'regex', 'lable': 'OID', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp nothreshold4', 'desc': 'OID是用于区分SNMP对象的标识符'}], 'show_type': 'none'}	4	1	1	2012-07-23 15:54:28	0	0	1
63	check_snmp_v3_nothreshold	SNMP V3(noThreshold)	$USER1$/check_snmp -H $ARG1$ -C $ARG2$ -P $ARG3$ -L $ARG4$ -U $ARG5$ -X $ARG6$ -A $ARG7$ -a $ARG8$ -o $ARG9$	{'msg': "指定您想要通过SNMP方式监视的OID.可参考提供的示例进行设置", 'paprm': [{'regex': 'regex', 'lable': '设备IP地址', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold1', 'desc': '待监视服务器（设备）的IP地址或DNS服务器名称'}, {'regex': 'regex', 'lable': 'SNMP Community', 'require': 0, 'defValue': 'public', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold2', 'desc': 'SNMP community用于进行设备查询'}, {'regex': 'regex', 'lable': 'SNMP 版本号', 'require': 0, 'defValue': '1,2c,3', 'show_type': 'ComboBox', 'id': 'cobra_snmp_v3_nothreshold3', 'desc': 'SNMP协议版本用于进行设备通信方式选择'}, {'regex': 'regex', 'lable': '安全级别', 'require': 0, 'defValue': 'noAuthNoPriv,authNoPriv,authPriv', 'show_type': 'ComboBox', 'id': 'cobra_snmp_v3_nothreshold4', 'desc': 'SNMPv3安全级别'}, {'regex': 'regex', 'lable': '用户名', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold5', 'desc': 'SNMPv3用户名.'}, {'regex': 'regex', 'lable': '隐私密码', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold6', 'desc': 'SNMPv3隐私密码'}, {'regex': 'regex', 'lable': '认证密码', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold7', 'desc': 'SNMPv3认证密码'}, {'regex': 'regex', 'lable': 'Auth 协议', 'require': 0, 'defValue': 'MD5,SHA', 'show_type': 'ComboBox', 'id': 'cobra_snmp_v3_nothreshold8', 'desc': 'SNMPv3认证协议'}, {'regex': 'regex', 'lable': 'OID', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold9', 'desc': 'OID是用于区分SNMP对象的标识符'}], 'show_type': 'none'}	4	1	1	2012-07-24 15:29:08	0	0	1
74	check_win_process	process is existing	$USER1$/check_snmp_process.pl -H $HOSTADDRESS$ -C public -n $ARG1$	{'msg': '监视进程是否存在', 'paprm': [{'regex': 'regex', 'lable': '进程名称', 'require': 1, 'defValue':'', 'show_type': 'text', 'id': 'cobra_win_cpu1', 'desc': '请输入进程全称（区分大小写）'}], 'show_type': 'none'}	3	1	1	2015-10-29 15:57:51	0	0	1
70	check_win_cpu	CPU usage	$USER1$/check_snmp_load.pl -H $HOSTADDRESS$ -C public -w $ARG1$ -c $ARG2$ -f	{'msg': '监视服务器的CPU使用情况', 'paprm': [{'regex': 'regex', 'lable': '使用率警告阈值（%）', 'require': 1, 'defValue': 80, 'show_type': 'text', 'id': 'cobra_win_cpu1', 'desc': ''}, {'regex': 'regexMax["#cobra_win_cpu1"]', 'lable': '使用率严重阈值（%）', 'require': 1, 'defValue': 90, 'show_type': 'text', 'id': 'cobra_win_cpu2', 'desc': ''}], 'show_type': 'none'}	3	1	1	2015-10-29 15:57:51	0	0	1
73	check_win_service	service is existing	$USER1$/check_snmp_win.pl -H $HOSTADDRESS$ -C public -n $ARG1$	{'msg': '监视服务是否存在', 'paprm': [{'regex': 'regex', 'lable': '服务名称', 'require': 1, 'defValue':'', 'show_type': 'text', 'id': 'cobra_win_cpu1', 'desc': '请输入服务名称（不区分大小写）'}], 'show_type': 'none'}	3	1	1	2015-10-29 15:57:51	0	0	1
75	check_win_network	network traffic	$USER1$/check_traffic.sh -V 2c -H $HOSTADDRESS$ -C public -I $ARG1$ -w $ARG2$ -c $ARG3$ -K -B	{'msg': '监视网卡使用情况', 'paprm': [{'regex': 'regex', 'lable': '网卡index值', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_win_mem3', 'desc': '请使用命令/opt/cobra/icinga/libexec/check_traffic.sh -V 2c -H ip地址 -C public -L命令来获取网卡对应的index值'},{'regex': 'regex', 'lable': '流量in/out警告阈值Kbps', 'require': 1, 'defValue': '1200,1500', 'show_type': 'text', 'id': 'cobra_win_mem1', 'desc': 'in/out值请用逗号分隔'}, {'regex': 'regexMax["#cobra_win_mem1"]', 'lable': '流量in/out严重阈值Kbps', 'require': 1, 'defValue': '1700,1800', 'show_type': 'text', 'id': 'cobra_win_mem2', 'desc': 'in/out值请用逗号分隔'}], 'show_type': 'none'}	3	1	1	2015-10-29 15:57:51	0	0	1
71	check_win_memory	Memory Usage	$USER1$/check_snmp_storage.pl -H $HOSTADDRESS$ -C public -m $ARG1$ -w $ARG2$ -c $ARG3$ -f	{'msg': '监视服务器的内存使用情况', 'paprm': [{'regex': 'regex', 'lable': '监视内存类型', 'require': 1, 'defValue': 'Physical Memory', 'show_type': 'text', 'id': 'cobra_win_mem3', 'desc': ''},{'regex': 'regex', 'lable': '使用率警告阈值（%）', 'require': 1, 'defValue': 80, 'show_type': 'text', 'id': 'cobra_win_mem1', 'desc': ''}, {'regex': 'regexMax["#cobra_win_mem1"]', 'lable': '使用>率严重阈值（%）', 'require': 1, 'defValue': 90, 'show_type': 'text', 'id': 'cobra_win_mem2', 'desc': ''}], 'show_type': 'none'}	3	1	1	2015-10-29 15:57:51	0	0	1
76	check-ping-host-alive	host alive	$USER1$/check_ping -H $HOSTADDRESS$ -w 3000.0,80% -c 5000.0,100% -p 5	{'msg':'检查主机是否存活（网络是否正常）'}	11	1	1	2015-10-29 15:57:51	0	0	1
72	check_win_disk	Disk Usage	$USER1$/check_snmp_storage.pl -H $HOSTADDRESS$ -C public -m $ARG1$ -w $ARG2$ -c $ARG3$ -f	{'msg': '监视服务器的磁盘使用情况', 'paprm': [{'regex': 'regex', 'lable':'监视磁盘路径', 'require': 1, 'defValue': 'C:', 'show_type': 'text', 'id': 'cobra_win_disk1', 'desc': '请输入盘符名称（区分大小写）'}, {'regex': 'regex', 'lable': '使用率警>告阈值（%）', 'require': 1, 'defValue': 80, 'show_type': 'text', 'id': 'cobra_win_disk2', 'desc': ''}, {'regex': 'regexMax', 'lable': '使用率严重阈值（%）', 'require': 1, 'defValue': 95, 'show_type': 'text', 'desc': ''}], 'show_type': 'none'}	3	1	1	2015-10-29 15:57:51	0	0	1
65	check_switch_snmpv3	Switch SNMP V3(noThreshold)	$USER1$/check_snmp -H $ARG1$ -C $ARG2$ -P $ARG3$ -L $ARG4$ -U $ARG5$ -X $ARG6$ -A $ARG7$ -a $ARG8$ -o $ARG9$	{'msg': "指定通过SNMP方式监视的OID.可参考提供的示例进行设置", \n\t\t'paprm': [\n\t\t    {'regex': 'regex', 'lable': '设备IP地址', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold1', 'desc': '待监视服务器（设备）的IP地址或DNS服务器名称'}, \n\t\t\t{'regex': 'regex', 'lable': 'SNMP Community', 'require': 0, 'defValue': 'public', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold2', 'desc': 'SNMP community用于进行设备查询'},\n\t\t\t{'regex': 'regex', 'lable': 'SNMP 版本号', 'require': 0, 'defValue': '1,2c,3', 'show_type': 'ComboBox', 'id': 'cobra_snmp_v3_nothreshold3', 'desc': 'SNMP协议版本用于进行设备通信方式选择'}, \n\t\t\t{'regex': 'regex', 'lable': '安全级别', 'require': 0, 'defValue': 'noAuthNoPriv,authNoPriv,authPriv', 'show_type': 'ComboBox', 'id': 'cobra_snmp_v3_nothreshold4', 'desc': 'SNMPv3安全级别'}, \n\t\t\t{'regex': 'regex', 'lable': '用户名', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold5', 'desc': 'SNMPv3 用户名'}, \n\t\t\t{'regex': 'regex', 'lable': '隐私密码', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold6', 'desc': 'SNMPv3隐私密码'}, \n\t\t\t{'regex': 'regex', 'lable': '认证密码', 'require': 0, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold7', 'desc': 'SNMPv3认证密码'}, \n\t\t\t{'regex': 'regex', 'lable': '认证协议', 'require': 0, 'defValue': 'MD5,SHA', 'show_type': 'ComboBox', 'id': 'cobra_snmp_v3_nothreshold8', 'desc': 'SNMPv3认证协议'}, \n\t\t\t{'regex': 'regex', 'lable': 'OID', 'require': 1, 'defValue': '', 'show_type': 'text', 'id': 'cobra_snmp_v3_nothreshold9', 'desc': 'OID是用于区分SNMP对象的标识符'}], 'show_type': 'none'}	5	1	1	2012-07-24 15:29:08	0	0	1
77	check_snmp_network	network traffic	$USER1$/check_traffic.sh -V 2c -H $HOSTADDRESS$ -C public -N $ARG1$ -w $ARG2$ -c $ARG3$ -K -B	{'msg': '监视网卡使用情况', 'paprm': [{'regex': 'regex', 'lable': '网卡名称', 'require': 1, 'defValue': 'eth0', 'show_type': 'text', 'id': 'cobra_win_mem3', 'desc': '请输入网卡名称'},{'regex': 'regex', 'lable': '流量in/out警告阈值Kbps', 'require': 1, 'defValue': '1200,1500', 'show_type': 'text', 'id': 'cobra_win_mem1', 'desc': 'in/out值请用逗号分隔'}, {'regex': 'regexMax["#cobra_win_mem1"]', 'lable': '流量in/out严重阈值Kbps', 'require': 1, 'defValue': '1700,1800', 'show_type': 'text', 'id': 'cobra_win_mem2', 'desc': 'in/out值请用逗号分隔'}], 'show_type': 'none'}	6	1	1	2015-10-29 15:57:51	0	0	1
78	check_snmp_process	process is existing	$USER1$/check_snmp_process.pl -H $HOSTADDRESS$ -C public -n $ARG1$	{'msg': '监视进程是否存在', 'paprm': [{'regex': 'regex', 'lable': '进程名称', 'require': 1, 'defValue':'', 'show_type': 'text', 'id': 'cobra_win_cpu1', 'desc': '请输入进程全称（区分大小写）'}], 'show_type': 'none'}	6	1	1	2015-10-29 15:57:51	0	0	1
79	check_snmp_disk	Disk Usage	$USER1$/check_snmp_storage.pl -H $HOSTADDRESS$ -C public -m $ARG1$ -w $ARG2$ -c $ARG3$ -f -r	{'msg': '监视服务器的磁盘使用情况', 'paprm': [{'regex': 'regex', 'lable':'监视磁盘路径', 'require': 1, 'defValue': '/', 'show_type': 'text', 'id': 'cobra_win_disk1', 'desc': '请输入盘符名称（区分大小写）'}, {'regex': 'regex', 'lable': '使用率警>告阈值（%）', 'require': 1, 'defValue': 80, 'show_type': 'text', 'id': 'cobra_win_disk2', 'desc': ''}, {'regex': 'regexMax', 'lable': '使用率严重阈值（%）', 'require': 1, 'defValue': 95, 'show_type': 'text', 'desc': ''}], 'show_type': 'none'}	6	1	1	2015-10-29 15:57:51	0	0	1
80	check_snmp_memory	Memory Usage	$USER1$/check_snmp_storage.pl -H $HOSTADDRESS$ -C public -m $ARG1$ -w $ARG2$ -c $ARG3$ -f	{'msg': '监视服务器的内存使用情况', 'paprm': [{'regex': 'regex', 'lable': '监视内存类型', 'require': 1, 'defValue': 'Memory', 'show_type': 'text', 'id': 'cobra_win_mem3', 'desc': ''},{'regex': 'regex', 'lable': '使用率警告阈值（%）', 'require': 1, 'defValue': 80, 'show_type': 'text', 'id': 'cobra_win_mem1', 'desc': ''}, {'regex': 'regexMax["#cobra_win_mem1"]', 'lable': '使用>率严重阈值（%）', 'require': 1, 'defValue': 90, 'show_type': 'text', 'id': 'cobra_win_mem2', 'desc': ''}], 'show_type': 'none'}	6	1	1	2015-10-29 15:57:51	0	0	1
81	check_snmp_cpu	CPU usage	$USER1$/check_snmp_load.pl -H $HOSTADDRESS$ -C public -w $ARG1$ -c $ARG2$ -f	{'msg': '监视服务器的CPU使用情况', 'paprm': [{'regex': 'regex', 'lable': '使用率警告阈值（%）', 'require': 1, 'defValue': 80, 'show_type': 'text', 'id': 'cobra_win_cpu1', 'desc': ''}, {'regex': 'regexMax["#cobra_win_cpu1"]', 'lable': '使用率严重阈值（%）', 'require': 1, 'defValue': 90, 'show_type': 'text', 'id': 'cobra_win_cpu2', 'desc': ''}], 'show_type': 'none'}	6	1	1	2015-10-29 15:57:51	0	0	1
\.

--
-- Data for Name: tbl_configtarget; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_configtarget (id, target, alias, server, method, "user", password, ssh_key_path, basedir, hostconfig, serviceconfig, backupdir, hostbackup, servicebackup, nagiosbasedir, importdir, picturedir, commandfile, binaryfile, pidfile, conffile, version, access_group, active, nodelete, last_modified) FROM stdin;
\.


--
-- Data for Name: tbl_contact; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_contact (id, contact_name, alias, contactgroups, contactgroups_tploptions, host_notifications_enabled, service_notifications_enabled, host_notification_period, service_notification_period, host_notification_options, service_notification_options, host_notification_commands, host_notification_commands_tploptions, service_notification_commands, service_notification_commands_tploptions, can_submit_commands, retain_status_information, retain_nonstatus_information, email, pager, address1, address2, address3, address4, address5, address6, name, use_variables, use_template, use_template_tploptions, register, active, last_modified, access_group, config_id) FROM stdin;
1	admin	Cobra Admin	0	2	2	2	1	1	d,u,r	w,c	1	2	1	2	2	2	2	cobra@localhost									0	1	2	1	1	2012-07-16 10:34:16	0	1
2	secure	Cobra Secure	0	2	2	2	1	1	d,u,r	w,c	1	2	1	2	2	2	2	cobra@localhost									0	1	2	1	1	2012-07-16 10:34:16	0	1
3	audit	Cobra Audit	0	2	2	2	1	1	d,u,r	w,c	1	2	1	2	2	2	2	cobra@localhost									0	1	2	1	1	2012-07-16 10:34:16	0	1
\.


--
-- Data for Name: tbl_contactgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_contactgroup (id, contactgroup_name, alias, members, contactgroup_members, register, active, last_modified, access_group, config_id) FROM stdin;
1	admins	Cobra Administrators	1	0	1	1	2012-07-11 16:31:17	0	1
\.


--
-- Data for Name: tbl_contacttemplate; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_contacttemplate (id, template_name, alias, contactgroups, contactgroups_tploptions, host_notifications_enabled, service_notifications_enabled, host_notification_period, service_notification_period, host_notification_options, service_notification_options, host_notification_commands, host_notification_commands_tploptions, service_notification_commands, service_notification_commands_tploptions, can_submit_commands, retain_status_information, retain_nonstatus_information, email, pager, address1, address2, address3, address4, address5, address6, use_variables, use_template, use_template_tploptions, register, active, last_modified, access_group, config_id) FROM stdin;
1	generic-contact		0	2	2	2	1	1	d,u,r,f,s	w,u,c,r,f,s	0	2	0	2	2	2	2									0	0	2	0	1	2012-07-11 16:31:32	0	1
\.


--
-- Data for Name: tbl_datadomain; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_datadomain (id, domain, alias, targets, version, enable_common, utf8_decode, access_group, active, nodelete, last_modified) FROM stdin;
0	common	Global common domain	0	3	0	0	0	1	1	2012-06-20 14:25:24
1	localhost	Local installation	1	3	1	0	0	1	1	2012-06-20 14:25:24
\.


--
-- Data for Name: tbl_group; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_group (id, groupname, description, users, active, last_modified) FROM stdin;
\.


--
-- Data for Name: tbl_host; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_host (id, host_name, alias, display_name, address, hw_address, hw_user, hw_password, hw_type, soft_type, parents, parents_tploptions, hostgroups, hostgroups_tploptions, check_command, use_template, use_template_tploptions, initial_state, max_check_attempts, check_interval, retry_interval, active_checks_enabled, passive_checks_enabled, check_period, obsess_over_host, check_freshness, freshness_threshold, event_handler, event_handler_enabled, low_flap_threshold, high_flap_threshold, flap_detection_enabled, flap_detection_options, process_perf_data, retain_status_information, retain_nonstatus_information, contacts, contacts_tploptions, contact_groups, contact_groups_tploptions, notification_interval, notification_period, first_notification_delay, notification_options, notifications_enabled, stalking_options, notes, notes_url, action_url, icon_image, icon_image_alt, vrml_image, statusmap_image, "2d_coords", "3d_coords", use_variables, name, register, active, last_modified, access_group, config_id) FROM stdin;
\.


--
-- Data for Name: tbl_hostdependency; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_hostdependency (id, config_name, dependent_host_name, dependent_hostgroup_name, host_name, hostgroup_name, inherits_parent, execution_failure_criteria, notification_failure_criteria, dependency_period, register, active, last_modified, access_group, config_id, import_hash) FROM stdin;
\.


--
-- Data for Name: tbl_hostdistribution; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_hostdistribution (id, hosttype_id, distribution_name) FROM stdin;
1	1	NeoKylin Linux Server V5 uptimestamp6
2	1	NeoKylin Linux Server V6
5	2	Windows Server2008R2
6	2	Windows Server2008
7	3	SNMP
8	4	switch
9	5	printer
10	6	KVM virtual machine
\.


--
-- Data for Name: tbl_hostescalation; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_hostescalation (id, config_name, host_name, hostgroup_name, contacts, contact_groups, first_notification, last_notification, notification_interval, escalation_period, escalation_options, register, active, last_modified, access_group, config_id, import_hash) FROM stdin;
\.


--
-- Data for Name: tbl_hostextinfo; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_hostextinfo (id, host_name, notes, notes_url, action_url, statistik_url, icon_image, icon_image_alt, vrml_image, statusmap_image, "2d_coords", "3d_coords", register, active, last_modified, access_group, config_id) FROM stdin;
\.


--
-- Data for Name: tbl_hostgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_hostgroup (id, hostgroup_name, alias, members, hostgroup_members, notes, notes_url, action_url, register, active, last_modified, access_group, config_id) FROM stdin;
1	windows-servers	Windows Servers	0	0				1	1	2012-07-11 16:29:57	0	1
2	switches	Network Switches	0	0				1	1	2012-07-11 16:29:49	0	1
3	network-printers	Network Printers	0	0				1	1	2012-07-11 16:29:38	0	1
4	linux-servers	Linux Servers	0	0				1	1	2012-07-11 16:29:31	0	1
\.


--
-- Data for Name: tbl_hosthardwaretype; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_hosthardwaretype (id, hosthardware_name) FROM stdin;
1	normal
2	ilo2
3	IPMI
\.


--
-- Data for Name: tbl_hosttemplate; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_hosttemplate (id, template_name, alias, parents, parents_tploptions, hostgroups, hostgroups_tploptions, check_command, use_template, use_template_tploptions, initial_state, max_check_attempts, check_interval, retry_interval, active_checks_enabled, passive_checks_enabled, check_period, obsess_over_host, check_freshness, freshness_threshold, event_handler, event_handler_enabled, low_flap_threshold, high_flap_threshold, flap_detection_enabled, flap_detection_options, process_perf_data, retain_status_information, retain_nonstatus_information, contacts, contacts_tploptions, contact_groups, contact_groups_tploptions, notification_interval, notification_period, first_notification_delay, notification_options, notifications_enabled, stalking_options, notes, notes_url, action_url, icon_image, icon_image_alt, vrml_image, statusmap_image, "2d_coords", "3d_coords", use_variables, register, active, last_modified, access_group, config_id) FROM stdin;
\.


--
-- Data for Name: tbl_hosttype; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_hosttype (id, type_name, type_description) FROM stdin;
1	linux	Monitor a remote Linux server
2	windows	Monitor a Microsoft Windows server
3	snmp	Monitor a device,service or application using SNMP
4	switch	Monitor a network switch
\.


--
-- Data for Name: tbl_info; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_info (id, key1, key2, version, language, infotext) FROM stdin;
1	domain	domain	all	default	Common name of this domain. This field is for internal use only.
2	domain	basedir	all	default	<p>Absolute path to your NagiosQL configuration directory.<br><br>Examples:<br>/etc/nagiosql/ <br>/usr/local/nagiosql/etc/<br><br>Be sure, that your configuration path settings are matching with your nagios.cfg! (cfg_file=<span style="color: red;">/etc/nagiosql</span>/timeperiods.cfg)</p>
3	domain	hostdir	all	default	NagiosQL writes one configuration file for every host. It is useful to store this files inside an own subdirectory below your Nagios configuration path.<br><br>Examples:<br>/etc/nagios/hosts <br>/usr/local/nagios/etc/hosts<br><br>Be sure, that your configuration settings are matching with your nagios.cfg!<br> (cfg_dir=<font color="red">/etc/nagios/hosts</font>)
4	domain	servicedir	all	default	NagiosQL writes services grouped into files identified by the service configuration names. It is useful to store this files inside an own subdirectory below your Nagios configuration path.<br><br>Examples:<br>/etc/nagios/services <br>/usr/local/nagios/etc/services<br><br>Be sure, that your configuration settings are matching with your nagios.cfg!<br> (cfg_dir=<font color="red">/etc/nagios/services</font>)
5	domain	backupdir	all	default	Absolute path to your NagiosQL configuration backup directory.<br><br>Examples:<br>/etc/nagios/backup <br>/usr/local/nagios/etc/backup<br><br>This directory is for internal configuration backups of NagiosQL and is not used by Nagios itself. 
6	domain	backuphostdir	all	default	Absolute path to your NagiosQL host configuration backup directory.<br><br>Examples:<br>/etc/nagios/backup/hosts <br>/usr/local/nagios/etc/backup/hosts<br><br>This directory is for internal configuration backups of NagiosQL only and is not used by Nagios itself.
7	domain	backupservicedir	all	default	Absolute path to your NagiosQL service configuration backup directory.<br><br>Examples:<br>/etc/nagios/backup/services <br>/usr/local/nagios/etc/backup/services<br><br>This directory is for internal configuration backups of NagiosQL only and is not used by Nagios itself.
8	domain	commandfile	all	default	Absolute path to your Nagios command file.<br><br>Examples:<br>/var/spool/nagios/nagios.cmd<br>/usr/local/nagios/var/rw/nagios.cmd<br><br>Be sure, that your command file path settings are matching with your nagios.cfg! (command_file=<font color="red">/var/spool/nagios/nagios.cmd</font>)<br>(check_external_commands=1)<br><br>\r\nThis is used to reload Nagios directly from NagiosQL after changing a configuration.
9	common	accesskeys	all	default	<p><strong>Access key/keyholes</strong></p>\r\n<p>NagiosQL uses a very simplified access control mechanism by using up to 8 keys.</p>\r\n<p>To access a secure object (menu, domain), a user must have a key for every defined keyhole.</p>\r\n<p><em>Example:</em></p>\r\n<p>User A has key 1,2,5,7 (can be defined in user management)<br>User B has key 3,5,7,8 (can be defined in user management)</p>\r\n<p>Menu 1 has keyhole 3,5<br>Menu 2 has keyhole 2,5,7<br>Menu 3 has no keyhole<br>Menu 4 has keyhole 4<br><br>User A has access to menu 2 and menu 3 (key 3 for menu 1 and key 4 for menu 4 are missing)<br>User B has access to menu 1 and menu 3 (key 2 for menu 2 and key 4 for menu 4 are missing)</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>
10	user	webserverauth	all	default	<p><strong>User - webserver authentification</strong></p>\r\n<p>If your webserver uses authentification and the NagiosQL user name is the same which is actually logged in - the NagiosQL login process will passed. This means, that NagiosQL no longer shows a login page if this user is already logged in by webserver authentification.</p>
11	domain	nagiosbasedir	all	default	<p>Absolute path to your Nagios configuration directory.<br><br>Examples:<br>/etc/nagios/ <br>/usr/local/nagios/etc/</p>\r\n<p>Be sure, that your <span style="color: #ff0000;">nagios.cfg</span> and <span style="color: #ff0000;">cfg.cfg</span> ist located inside this directory. NagiosQL uses this to handle this two files.</p>
12	domain	importdir	all	default	<p>Absolute path to your configuration import directory.<br><br>Examples:<br>/etc/nagiosql/import/ <br>/usr/local/nagios/etc/import/</p>\r\n<p>You can use this directory to store old or example configuration files in it which should be accessable by the importer of NagiosQL.</p>
13	domain	binary	all	default	<p>Absolute path to your Nagios binary file.<br><br>Examples:<br>/usr/bin/nagios<br>/usr/local/nagios/bin/nagios<br><br> This is used to verify your configuration.</p>
14	domain	pidfile	all	default	<p>Absolute path to your Nagios process file.<br><br>Examples:<br>/var/run/nagios/nagios.pid<br>/var/run/nagios/nagios.lock<br><br> This is used to check if nagios is running before sending a reload command to the nagios command file.</p>
15	domain	version	all	default	<p>The nagios version which is running in this domain.</p>\r\n<p>Be sure you select the correct version here - otherwise not all configuration options are available or not supported options are shown.</p>\r\n<p>You can change this with a running configuration - NagiosQL will then upgrade or downgrade your configuration. Don't forget to write your complete configuration after a version change!</p>
16	host	hostname	all	default	<p><strong>Host - host name</strong><br><br>This directive is used to define a short name used to identify the host. It is used in host group and service definitions to reference this particular host. Hosts can have multiple services (which are monitored) associated with them. When used properly, the $HOSTNAME$ macro will contain this short name.</p>\r\n<p><em>Parameter name:</em> host_name<br><em>Required:</em> yes</p>
17	host	alias	all	default	<p><strong>Host - alias</strong><br><br>This directive is used to define a longer name or description used to identify the host. It is provided in order to allow you to more easily identify a particular host. When used properly, the $HOSTALIAS$ macro will contain this alias/description.</p>\r\n<p><em>Parameter name:</em> alias<br><em>Required:</em> yes</p>
18	host	address	all	default	<p><strong>Host - address</strong></p>\r\n<p>This directive is used to define the address of the host. Normally, this is an IP address, although it could really be anything you want (so long as it can be used to check the status of the host). You can use a FQDN to identify the host instead of an IP address, but if DNS services are not availble this could cause problems. When used properly, the $HOSTADDRESS$ macro will contain this address.</p>\r\n<p><strong>Note:</strong> If you do not specify an address directive in a host definition, the name of the host will be used as its address. A word of caution about doing this, however - if DNS fails, most of your service checks will fail because the plugins will be unable to resolve the host name.</p>\r\n<p><em>Parameter name:</em> address<br><em>Required:</em> yes</p>
19	host	display_name	all	default	<p><strong>Host - display name</strong></p>\r\n<p>This directive is used to define an alternate name that should be displayed in the web interface for this host. If not specified, this defaults to the value you specify for the <em>host_name</em> directive.</p>\r\n<p><strong>Note:</strong> The current CGIs do not use this option, although future versions of the web interface will.</p>\r\n<p><em>Parameter name:</em> display_name<br><em>Required:</em> no</p>
20	host	parents	all	default	<p><strong>Host - parents</strong></p>\r\n<p>This directive is used to define a comma-delimited list of short names of the "parent" hosts for this particular host. Parent hosts are typically routers, switches, firewalls, etc. that lie between the monitoring host and a remote hosts. A router, switch, etc. which is closest to the remote host is considered to be that host's "parent". Read the "Determining Status and Reachability of Network Hosts" document for more information.</p>\r\n<p>If this host is on the same network segment as the host doing the monitoring (without any intermediate routers, etc.) the host is considered to be on the local network and will not have a parent host. Leave this value blank if the host does not have a parent host (i.e. it is on the same segment as the Nagios host). The order in which you specify parent hosts has no effect on how things are monitored.</p>\r\n<p><em>Parameter name:</em> parents<br><em>Required:</em> no</p>
21	host	hostgroups	all	default	<p><strong>Host - hostgroup names</strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the hostgroup(s) that the host belongs to. Multiple hostgroups should be separated by commas. This directive may be used as an alternative to (or in addition to) using the members directive in hostgroup definitions.<span style="color: #ff0000;"><span style="color: #000000;"> </span></span></p>\r\n<p><span style="color: #ff0000;"><span style="color: #000000;"><strong>NagiosQL:</strong> If a hostgroup is defined here - this host will <span style="color: #ff0000;">not be selected</span> inside the member field of the same hostgroup definition! <br></span></span></p>\r\n<p><em>Parameter name:</em> hostgroups<br><em>Required:</em> no</p>
22	common	tploptions	3	default	<p><strong>Cancelling Inheritance of String Values</strong></p>\r\n<p>In some cases you may not want your host, service, or contact definitions to inherit values of string variables from the templates they reference. If this is the case, you can specify "<strong>null</strong>" as the value of the variable that you do not want to inherit.</p>\r\n<p><strong><br>Additive Inheritance of String Values</strong></p>\r\n<p>Nagios gives preference to local variables instead of values inherited from templates. In most cases local variable values override those that are defined in templates. In some cases it makes sense to allow Nagios to use the values of inherited <em>and</em> local variables together.</p>\r\n<p>This "additive inheritance" can be accomplished by prepending the local variable value with a plus sign (<strong>+</strong>).  This features is only available for standard (non-custom) variables that contain string values.</p>
23	host	check_command	all	default	<p><strong>Host - check command</strong><br><br>This directive is used to specify the <em>short name</em> of the command that should be used to check if the host is up or down. Typically, this command would try and ping the host to see if it is "alive". The command must return a status of OK (0) or Nagios will assume the host is down.</p>\r\n<p>If you leave this argument blank, the host will <em>not</em> be actively checked. Thus, Nagios will likely always assume the host is up (it may show up as being in a "PENDING" state in the web interface). This is useful if you are monitoring printers or other devices that are frequently turned off. The maximum amount of time that the notification command can run is controlled by the host_check_timeout option.</p>\r\n<p><em>Parameter name:</em> check_command<br><em>Required:</em> no</p>
24	host	arguments	all	default	<p><strong>Host - arguments</strong></p>\r\n<p>The values defined here will replace the according argument variable behind the selected command. Up to 8 argument variables are supported. Be sure, that you defines a valid value for each required argument variable.</p>
25	host	templateadd	all	default	<p><strong>Host - Templates</strong></p>\r\n<p>You can add one or more host templates to a host configuration. Nagios will add the definitions from each template to a host configuration.</p>\r\n<p>If you add more than one template - the sort order will be used to overwrite configuration items which are defined inside templates before.</p>\r\n<p>The host configuration itselves will overwrite all values which are defined in templates before and pass all values which are not defined.</p>
26	host	initial_state	3	default	<p><strong>Host - initial state</strong></p>\r\n<p>By default Nagios will assume that all hosts are in UP states when in starts. You can override the initial state for a host by using this directive. Valid options are: <strong><br>o</strong> = UP, <br><strong>d</strong> = DOWN, and <br><strong>u</strong> = UNREACHABLE.</p>\r\n<p><em>Parameter name:</em> initial_state<em><br>Required:</em> no</p>\r\n<p>&nbsp;</p>
27	host	retry_interval	3	default	<p><strong>Host - retry interval</strong></p>\r\n<p>This directive is used to define the number of "time units" to wait before scheduling a re-check of the hosts. Hosts are rescheduled at the retry interval when they have changed to a non-UP state. Once the host has been retried <strong>max_check_attempts</strong> times without a change in its status, it will revert to being scheduled at its "normal" rate as defined by the <strong>check_interval</strong> value. Unless you've changed the interval_length directive from the default value of 60, this number will mean minutes.  More information on this value can be found in the check scheduling documentation.</p>\r\n<p><em>Parameter name:</em> retry_interval<em><br>Required:</em> no</p>
28	host	max_check_attempts	all	default	<p><strong>Host - max check attempts</strong></p>\r\n<p>This directive is used to define the number of times that Nagios will retry the host check command if it returns any state other than an OK state. Setting this value to 1 will cause Nagios to generate an alert without retrying the host check again. Note: If you do not want to check the status of the host, you must still set this to a minimum value of 1. To bypass the host check, just leave the <em>check_command</em> option blank.</p>\r\n<p><em>Parameter name:</em> max_check_attempts<em><br>Required:</em> yes</p>
29	host	check_interval	all	default	<p><strong>Host - check interval</strong></p>\r\n<p>This directive is used to define the number of "time units" between regularly scheduled checks of the host. Unless you've changed the interval_length directive from the default value of 60, this number will mean minutes.  More information on this value can be found in the check scheduling documentation.</p>\r\n<p><em>Parameter name:</em> check_interval<em><br>Required:</em> no</p>
30	host	active_checks_enabled	all	default	<p><strong>Host - active checks enabled<br></strong></p>\r\n<p>This directive is used to determine whether or not active checks (either regularly scheduled or on-demand) of this host are enabled. Values: 0 = disable active host checks, 1 = enable active host checks.</p>\r\n<p><em>Parameter name:</em> active_checks_enabled<br><em>Required:</em> no</p>
31	host	passive_checks_enabled	all	default	<p><strong>Host - passive checks enabled<br> </strong></p>\r\n<p>This directive is used to determine whether or not passive checks are enabled for this host. Values: 0 = disable passive host checks, 1 = enable passive host checks.</p>\r\n<p><em>Parameter name:</em> passive_checks_enabled<br> <em>Required:</em> no</p>
32	host	check_period	all	default	<p><strong>Host - check period<br> </strong></p>\r\n<p>This directive is used to specify the short name of the time period during which active checks of this host can be made.</p>\r\n<p><em>Parameter name:</em> check_period<br> <em>Required:</em> yes</p>
33	host	freshness_threshold	all	default	<p><strong>Host - freshness threshold<br> </strong></p>\r\n<p>This directive is used to specify the freshness threshold (in seconds) for this host. If you set this directive to a value of 0, Nagios will determine a freshness threshold to use automatically.</p>\r\n<p><em>Parameter name:</em> freshness_threshold<br> <em>Required:</em> no</p>
34	host	check_freshness	all	default	<p><strong>Host - check freshness<br> </strong></p>\r\n<p>This directive is used to determine whether or not freshness checks are enabled for this host. Values: 0 = disable freshness checks, 1 = enable freshness checks.</p>\r\n<p><em>Parameter name:</em> check_freshness<br> <em>Required:</em> no</p>
35	host	obsess_over_host	all	default	<p><strong>Host - obsess over host<br> </strong></p>\r\n<p>This directive determines whether or not checks for the host will be "obsessed" over using the ochp_command.</p>\r\n<p><em>Parameter name:</em> obsess_over_host<br> <em>Required:</em> no</p>
36	host	event_handler	all	default	<p><strong>Host - event handler<br> </strong></p>\r\n<p>This directive is used to specify the <em>short name</em> of the command that should be run whenever a change in the state of the host is detected (i.e. whenever it goes down or recovers). Read the documentation on event handlers for a more detailed explanation of how to write scripts for handling events. The maximum amount of time that the event handler command can run is controlled by the event_handler_timeout option.</p>\r\n<p><em>Parameter name:</em> event_handler<br> <em>Required:</em> no</p>
37	host	event_handler_enabled	all	default	<p><strong>Host - event handler enabled<br> </strong></p>\r\n<p>This directive is used to determine whether or not the event handler for this host is enabled. Values: 0 = disable host event handler, 1 = enable host event handler.</p>\r\n<p><em>Parameter name:</em> event_handler_enabled<br> <em>Required:</em> no</p>
38	host	low_flap_threshold	all	default	<p><strong>Host - low flap threshold<br> </strong></p>\r\n<p>This directive is used to specify the low state change threshold used in flap detection for this host. If you set this directive to a value of 0, the program-wide value specified by the low_host_flap_threshold directive will be used.</p>\r\n<p><em>Parameter name:</em> low_flap_threshold<br> <em>Required:</em> no</p>
39	host	high_flap_threshold	all	default	<p><strong>Host - high flap threshold<br> </strong></p>\r\n<p>This directive is used to specify the high state change threshold used in flap detection for this host. If you set this directive to a value of 0, the program-wide value specified by the high_host_flap_threshold directive will be used.</p>\r\n<p><em>Parameter name:</em> high_flap_threshold<br> <em>Required:</em> no</p>
40	host	flap_detection_enabled	all	default	<p><strong>Host - flap detection enabled<br> </strong></p>\r\n<p>This directive is used to determine whether or not flap detection is enabled for this host. Values: 0 = disable host flap detection, 1 = enable host flap detection.</p>\r\n<p><em>Parameter name:</em> flap_detection_enabled<br> <em>Required:</em> no</p>
41	host	flap_detection_options	3	default	<p><strong>Host - flap detection options<br> </strong></p>\r\n<p>This directive is used to determine what host states the flap detection logic will use for this host.  Valid options are a combination of one or more of the following: <strong><br>o</strong> = UP states, <br><strong>d</strong> = DOWN states, <br><strong>u</strong> =  UNREACHABLE states.</p>\r\n<p><em>Parameter name:</em> flap_detection_options<br> <em>Required:</em> no</p>
42	host	retain_status_information	all	default	<p><strong>Host - retain status information<br></strong></p>\r\n<p>This directive is used to determine whether or not status-related information about the host is retained across program restarts. This is only useful if you have enabled state retention using the retain_state_information directive.  Value: 0 = disable status information retention, 1 = enable status information retention.</p>\r\n<p><em>Parameter name:</em> retain_status_information<em><br>Required:</em> no</p>
43	host	retain_nonstatus_information	all	default	<p><strong>Host - retain nonstatus information<br></strong></p>\r\n<p>This directive is used to determine whether or not non-status information about the host is retained across program restarts. This is only useful if you have enabled state retention using the retain_state_information directive.  Value: 0 = disable non-status information retention, 1 = enable non-status information retention.</p>\r\n<p><em>Parameter name:</em> retain_nonstatus_information<em><br>Required:</em> no</p>
45	host	contacts	3	default	<p><strong>Host - contacts<br></strong></p>\r\n<p>This is a list of the <em>short names</em> of the contacts that should be notified whenever there are problems (or recoveries) with this host. Multiple contacts should be separated by commas. Useful if you want notifications to go to just a few people and don't want to configure contact groups.  You must specify at least one contact or contact group in each host definition.</p>\r\n<p><em>Parameter name:</em> <em>contacs<br>Required:</em> yes (at least one contact <strong>or</strong> contact group)</p>
46	host	contactgroups	all	default	<p><strong>Host - contact groups<br></strong></p>\r\n<p>This is a list of the <em>short names</em> of the contact groups that should be notified whenever there are problems (or recoveries) with this host. Multiple contact groups should be separated by commas. You must specify at least one contact or contact group in each host definition.</p>\r\n<p><em>Parameter name:</em> contact_groups<br><em>Required:</em> yes (at least one contact <strong>or</strong> contact group)</p>
47	host	notification_period	all	default	<p><strong>Host - notification period<br></strong></p>\r\n<p>This directive is used to specify the short name of the time period during which notifications of events for this host can be sent out to contacts. If a host goes down, becomes unreachable, or recoveries during a time which is not covered by the time period, no notifications will be sent out.</p>\r\n<p><em>Parameter name:</em> notification_period<br><em>Required:</em> yes</p>
48	host	notification_options	all	default	<p><strong>Host - notification options<br></strong></p>\r\n<p>This directive is used to determine when notifications for the host should be sent out. Valid options are a combination of one or more of the following: <br><strong>d</strong> = send notifications on a DOWN state, <br><strong>u</strong> = send notifications on an UNREACHABLE state, <strong><br>r</strong> = send notifications on recoveries (OK state), <br><strong>f</strong> = send notifications when the host starts and stops flapping, and <br><strong>s</strong> = send notifications when scheduled downtime starts and ends.  <br>If you do not specify any notification options, Nagios will assume that you want notifications to be sent out for all possible states.</p>\r\n<p>Example: If you specify <strong>d,r</strong> in this field, notifications will only be sent out when the host goes DOWN and when it recovers from a DOWN state.</p>\r\n<p><em>Parameter name:</em> notification_options<br><em>Required:</em> yes</p>
51	host	notification_enabled	all	default	<p><strong>Host - notification enabled<br></strong></p>\r\n<p>This directive is used to determine whether or not notifications for this host are enabled. Values: 0 = disable host notifications, 1 = enable host notifications.</p>\r\n<p><em>Parameter name:</em> notification_enabled<br><em>Required:</em> yes</p>
52	host	stalking_options	all	default	<p><strong>Host - stalking options<br></strong></p>\r\n<p>This directive determines which host states "stalking" is enabled for. Valid options are a combination of one or more of the following: <strong><br>o</strong> = stalk on UP states, <br><strong>d</strong> = stalk on DOWN states, and <br><strong>u</strong> = stalk on UNREACHABLE states.</p>\r\n<p><em>Parameter name:</em> stalking_options<br><em>Required:</em> yes</p>
53	host	process_perf_data	all	default	<p><strong>Host - process performance data<br></strong></p>\r\n<p>This directive is used to determine whether or not the processing of performance data is enabled for this host. Values: 0 = disable performance data processing, 1 = enable performance data processing.</p>\r\n<p><em>Parameter name:</em> process_perf_data<em><br>Required:</em> no</p>
54	host	notification_intervall	all	default	<p><strong>Host - notification interval<br></strong></p>\r\n<p>This directive is used to define the number of "time units" to wait before re-notifying a contact that this service is <em>still</em> down or unreachable.  Unless you've changed the interval_length directive from the default value of 60, this number will mean minutes.  If you set this value to 0, Nagios will <em>not</em> re-notify contacts about problems for this host - only one problem notification will be sent out.</p>\r\n<p><em>Parameter name:</em> notification_interval<br><em>Required:</em> yes</p>
55	host	first_notification_delay	all	default	<p><strong>Host - first notification delay<br></strong></p>\r\n<p>This directive is used to define the number of "time units" to wait before sending out the first problem notification when this host enters a non-UP state. Unless you've changed the interval_length directive from the default value of 60, this number will mean minutes. If you set this value to 0, Nagios will start sending out notifications immediately.</p>\r\n<p><em>Parameter name:</em> first_notification_delay<br><em>Required:</em> no</p>
56	host	notes	3	default	<p><strong>Host - notes<br> </strong></p>\r\n<p>This directive is used to define an optional string of notes pertaining to the host. If you specify a note here, you will see the it in the extended information CGI (when you are viewing information about the specified host).</p>\r\n<p><em>Parameter name:</em> notes<br> <em>Required:</em> no</p>
57	host	vrml_image	3	default	<p><strong>Host - vrml image<br> </strong></p>\r\n<p>This variable is used to define the name of a GIF, PNG, or JPG image that should be associated with this host. This image will be used as the texture map for the specified host in the statuswrl CGI.  Unlike the image you use for the <em>icon_image</em> variable, this one should probably <em>not</em> have any transparency.</p>\r\n<p>If it does, the host object will look a bit wierd.  Images for hosts are assumed to be in the <strong>logos/</strong> subdirectory in your HTML images directory (i.e. <em>/usr/local/nagios/share/images/logos</em>).</p>\r\n<p><em>Parameter name:</em> vrml_image<br> <em>Required:</em> no</p>
58	host	notes_url	3	default	<p><strong>Host - notes url<br> </strong></p>\r\n<p>This variable is used to define an optional URL that can be used to provide more information about the host. If you specify an URL, you will see a red folder icon in the CGIs (when you are viewing host information) that links to the URL you specify here. Any valid URL can be used.</p>\r\n<p>If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>). This can be very useful if you want to make detailed information on the host, emergency contact methods, etc. available to other support staff.</p>\r\n<p><em>Parameter name:</em> notes_url<br> <em>Required:</em> no</p>
59	host	status_image	3	default	<p><strong>Host - statusmap image<br> </strong></p>\r\n<p>This variable is used to define the name of an image that should be associated with this host in the statusmap CGI. You can specify a JPEG, PNG, and GIF image if you want, although I would strongly suggest using a GD2 format image, as other image formats will result in a lot of wasted CPU time when the statusmap image is generated.</p>\r\n<p>GD2 images can be created from PNG images by using the <strong>pngtogd2</strong> utility supplied with Thomas Boutell's gd library .  The GD2 images should be created in <em>uncompressed</em> format in order to minimize CPU load when the statusmap CGI is generating the network map image.</p>\r\n<p>The image will look best if it is 40x40 pixels in size. You can leave these option blank if you are not using the statusmap CGI. Images for hosts are assumed to be in the <strong>logos/</strong> subdirectory in your HTML images directory (i.e. <em>/usr/local/nagios/share/images/logos</em>).</p>\r\n<p><em>Parameter name:</em> statusmap_image<br> <em>Required:</em> no</p>
60	host	action_url	3	default	<p><strong>Host - action url<br> </strong></p>\r\n<p>This directive is used to define an optional URL that can be used to provide more actions to be performed on the host. If you specify an URL, you will see a red "splat" icon in the CGIs (when you are viewing host information) that links to the URL you specify here. Any valid URL can be used.</p>\r\n<p>If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>).</p>\r\n<p><em>Parameter name:</em> action_url<br> <em>Required:</em> no</p>
61	host	icon_image	3	default	<p><strong>Host - icon image<br> </strong></p>\r\n<p>This variable is used to define the name of a GIF, PNG, or JPG image that should be associated with this host. This image will be displayed in the various places in the CGIs. The image will look best if it is 40x40 pixels in size. Images for hosts are assumed to be in the <strong>logos/</strong> subdirectory in your HTML images directory (i.e. <em>/usr/local/nagios/share/images/logos</em>).</p>\r\n<p><em>Parameter name:</em> icon_image<br> <em>Required:</em> no</p>
62	host	2d_coords	3	default	<p><strong>Host - 2D coords<br> </strong></p>\r\n<p>This variable is used to define coordinates to use when drawing the host in the statusmap CGI. Coordinates should be given in positive integers, as they correspond to physical pixels in the generated image. The origin for drawing (0,0) is in the upper left hand corner of the image and extends in the positive x direction (to the right) along the top of the image and in the positive y direction (down) along the left hand side of the image.</p>\r\n<p>For reference, the size of the icons drawn is usually about 40x40 pixels (text takes a little extra space). The coordinates you specify here are for the upper left hand corner of the host icon that is drawn. Note: Don't worry about what the maximum x and y coordinates that you can use are. The CGI will automatically calculate the maximum dimensions of the image it creates based on the largest x and y coordinates you specify.</p>\r\n<p><em>Parameter name:</em> 2d_coords<br> <em>Required:</em> no</p>
63	host	icon_image_alt_text	3	default	<p><strong>Host - icon image alt<br> </strong></p>\r\n<p>This variable is used to define an optional string that is used in the ALT tag of the image specified by the <em>icon image</em> <em></em> argument.</p>\r\n<p><em>Parameter name:</em> icon_image_alt<br> <em>Required:</em> no</p>
64	host	3d_coords	3	default	<p><strong>Host - 3D coords<br> </strong></p>\r\n<p>This variable is used to define coordinates to use when drawing the host in the statuswrl CGI. Coordinates can be positive or negative real numbers. The origin for drawing is (0.0,0.0,0.0). For reference, the size of the host cubes drawn is 0.5 units on each side (text takes a little more space). The coordinates you specify here are used as the center of the host cube.</p>\r\n<p><em>Parameter name:</em> 3d_coords<br> <em>Required:</em> no</p>
65	common	free_variables_name	all	default	<p><strong>Free variables (custom object variables)<br></strong></p>\r\n<p>NagiosQL supports custom object variables.</p>\r\n<p>There are a few important things that you should note about custom variables:</p>\r\n<ul>\r\n<li>Custom variable names must begin with an underscore (_) to prevent name collision with standard variables </li>\r\n<li>Custom variable names are case-insensitive </li>\r\n<li>Custom variables are inherited from object templates like normal variables </li>\r\n<li>Scripts can reference custom variable values with macros and environment variables </li>\r\n</ul>\r\n<p><em>Examples</em></p>\r\n<p><span style="font-family: courier new,courier;">define host{<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; host_name\tlinuxserver<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; _mac_address\t00:06:5B:A6:AD:AA\t; &lt;-- Custom MAC_ADDRESS variable<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; _rack_number\tR32\t\t; &lt;-- Custom RACK_NUMBER variable<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ...<br>}</span></p>
66	common	free_variables_value	all	default	<p><strong>Free variables (custom object variables)<br></strong></p>\r\n<p>NagiosQL supports custom object variables.</p>\r\n<p>There are a few important things that you should note about custom variables:</p>\r\n<ul>\r\n<li>Custom variable names must begin with an underscore (_) to prevent name collision with standard variables </li>\r\n<li>Custom variable names are case-insensitive </li>\r\n<li>Custom variables are inherited from object templates like normal variables </li>\r\n<li>Scripts can reference custom variable values with macros and environment variables </li>\r\n</ul>\r\n<p><em>Examples</em></p>\r\n<p><span style="font-family: courier new,courier;">define host{<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; host_name\tlinuxserver<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; _mac_address\t00:06:5B:A6:AD:AA\t; &lt;-- Custom MAC_ADDRESS variable<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; _rack_number\tR32\t\t; &lt;-- Custom RACK_NUMBER variable<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ...<br> }</span></p>
67	host	genericname	all	default	<p><strong>Host - generic name</strong></p>\r\n<p>It is possible to use a host definition as a template for other host configurations. If this definition should be used as template, a generic template name must be defined.</p>\r\n<p>We do not recommend to do this - it is more open to define a separate host template than to use this option.</p>\r\n<p><em>Parameter name:</em> name<em><br>Required:</em> no</p>
68	service	config_name	all	default	<p><strong>Service - config name</strong></p>\r\n<p>This directive is used to specify a common config name for a group of service definitions. This is a NagiosQL parameter and it will not be written to the configuration file. Every service definitions with the same configuration name will stored in one file. The configuration name is also the file name of this configuration set.</p>
69	service	hosts	all	default	<p><strong>Service - host name<br> </strong></p>\r\n<p>This directive is used to specify the <em>short name(s)</em> of the host(s) that the service "runs" on or is associated with.</p>\r\n<p><em>Parameter name:</em> host_name<br> <em>Required:</em> yes (no, if a hostgroup is defined)</p>
70	service	hostgroups	all	default	<p><strong>Service</strong><strong> - hostgroup name<br> </strong></p>\r\n<p>This directive is used to specify the <em>short name(s)</em> of the hostgroup(s) that the service "runs" on or is associated with. The hostgroup_name may be used instead of, or in addition to, the host_name directive.</p>\r\n<p><em>Parameter name:</em> hostgroup_name<br> <em>Required:</em> no (yes, if no host is defined)</p>
71	service	service_description	all	default	<p><strong>Service</strong><strong> - service description<br> </strong></p>\r\n<p>This directive is used to define the description of the service, which may contain spaces, dashes, and colons (semicolons, apostrophes, and quotation marks should be avoided). No two services associated with the same host can have the same description. Services are uniquely identified with their <em>host_name</em> and <em>service_description</em> directives.</p>\r\n<p><em>Parameter name:</em> service_description<br> <em>Required:</em> yes</p>
72	service	service_groups	all	default	<p><strong>Service</strong><strong> - servicegroups<br> </strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the servicegroup(s) that the service belongs to. Multiple servicegroups should be separated by commas. This directive may be used as an alternative to using the <em>members</em> directive in servicegroup definitions.</p>\r\n<p><span style="color: #ff0000;"><span style="color: #000000;"><strong>NagiosQL:</strong> If a servicegroup is defined here - this service will <span style="color: #ff0000;">not be selected</span> inside the member field of the same servicegroup definition! </span></span></p>\r\n<p><em>Parameter name:</em> servicegroups<br> <em>Required:</em> no</p>
73	service	display_name	all	default	<p><strong>Service</strong><strong> - display name<br> </strong></p>\r\n<p>This directive is used to define an alternate name that should be displayed in the web interface for this service. If not specified, this defaults to the value you specify for the <em>service_description</em> directive.  Note:  The current CGIs do not use this option, although future versions of the web interface will.</p>\r\n<p><em>Parameter name:</em> display_name<br> <em>Required:</em> no</p>
74	service	check_command	all	default	<p><strong>Service</strong><strong> - check command<br> </strong></p>\r\n<p>This directive is used to specify the <em>short name</em> of the command that Nagios will run in order to check the status of the service. The maximum amount of time that the service check command can run is controlled by the service_check_timeout option.</p>\r\n<p><em>Parameter name:</em> check_command<br> <em>Required:</em> yes</p>
75	service	argument	all	default	<p><strong>Service - arguments</strong></p>\r\n<p>The values defined here will replace the according argument variable behind the selected command. Up to 8 argument variables are supported. Be sure, that you defines a valid value for each required argument variable.</p>
76	service	templateadd	all	default	<p><strong>Service - Templates</strong></p>\r\n<p>You can add one or more service templates to a service configuration. Nagios will add the definitions from each template to a service configuration.</p>\r\n<p>If you add more than one template - the sort order will be used to overwrite configuration items which are defined inside templates before.</p>\r\n<p>The host configuration itselves will overwrite all values which are defined in templates before and pass all values which are not defined.</p>
77	service	initial_state	3	default	<p><strong>Service - initial state<br> </strong></p>\r\n<p>By default Nagios will assume that all services are in OK states when in starts. You can override the initial state for a service by using this directive. Valid options are: <strong><br>o</strong> = OK,<br> <strong>w</strong> = WARNING, <strong><br>u</strong> = UNKNOWN, and <strong><br>c</strong> = CRITICAL.</p>\r\n<p><em>Parameter name:</em> initial_state<br> <em>Required:</em> no</p>
78	service	retry_interval	3	default	<p><strong>Service - retry interval<br> </strong></p>\r\n<p>This directive is used to define the number of "time units" to wait before scheduling a re-check of the service. Services are rescheduled at the retry interval when they have changed to a non-OK state. Once the service has been retried <strong>max_check_attempts</strong> times without a change in its status, it will revert to being scheduled at its "normal" rate as defined by the <strong>check_interval</strong> value. Unless you've changed the interval_length directive from the default value of 60, this number will mean minutes.  More information on this value can be found in the check scheduling documentation.</p>\r\n<p><em>Parameter name:</em> retry_interval<br> <em>Required:</em> yes</p>
79	service	max_check_attempts	all	default	<p><strong>Service - max check attempts<br> </strong></p>\r\n<p>This directive is used to define the number of times that Nagios will retry the service check command if it returns any state other than an OK state. Setting this value to 1 will cause Nagios to generate an alert without retrying the service check again.</p>\r\n<p><em>Parameter name:</em> max_check_attempts<br> <em>Required:</em> yes</p>
80	service	check_interval	all	default	<p><strong>Service - check interval<br> </strong></p>\r\n<p>This directive is used to define the number of "time units" to wait before scheduling the next "regular" check of the service. "Regular" checks are those that occur when the service is in an OK state or when the service is in a non-OK state, but has already been rechecked <strong>max_check_attempts</strong> number of times.  Unless you've changed the interval_length directive from the default value of 60, this number will mean minutes.  More information on this value can be found in the check scheduling documentation.</p>\r\n<p><em>Parameter name:</em> check_interval<br> <em>Required:</em> yes</p>
81	service	active_checks_enabled	all	default	<p><strong>Service - active checks enabled<br> </strong></p>\r\n<p>This directive is used to determine whether or not active checks of this service are enabled. Values: 0 = disable active service checks, 1 = enable active service checks.</p>\r\n<p><em>Parameter name:</em> active_checks_enabled<br> <em>Required:</em> no</p>
82	service	passive_checks_enabled	all	default	<p><strong>Service - passive checks enabled<br> </strong></p>\r\n<p>This directive is used to determine whether or not passive checks of this service are enabled. Values: 0 = disable passive service checks, 1 = enable passive service checks.</p>\r\n<p><em>Parameter name:</em> passive_checks_enabled<br> <em>Required:</em> no</p>
83	service	parallelize_checks	2	default	<p><strong>Service - </strong><strong>parallelize check</strong></p>\r\n<p>This directive is used to determine whether or not the service check can be parallelized. By default, all service checks are parallelized. Disabling parallel checks of services can result in serious performance problems. More information on service check parallelization can be found in the nagios documentation.</p>\r\n<p>Values: 0 = service check cannot be parallelized (use with caution!), 1 = service check can be parallelized.</p>\r\n<p><em>Parameter name:</em> parallelize_check<br> <em>Required:</em> no</p>
84	service	check_period	all	default	<p><strong>Service - check period<br> </strong></p>\r\n<p>This directive is used to specify the short name of the time period during which active checks of this service can be made.</p>\r\n<p><em>Parameter name:</em> check_period<br> <em>Required:</em> yes</p>
85	service	freshness_threshold	all	default	<p><strong>Service - </strong><strong>freshness threshold</strong></p>\r\n<p>This directive is used to specify the freshness threshold (in seconds) for this service. If you set this directive to a value of 0, Nagios will determine a freshness threshold to use automatically.</p>\r\n<p><em>Parameter name:</em> freshness_threshold<br> <em>Required:</em> no</p>
86	service	check_freshness	all	default	<p><strong>Service - </strong><strong>check freshness</strong></p>\r\n<p>This directive is used to determine whether or not freshness checks are enabled for this service. Values: 0 = disable freshness checks, 1 = enable freshness checks.</p>\r\n<p><em>Parameter name:</em> check_freshness<br> <em>Required:</em> no</p>
87	service	obsess_over_service	all	default	<p><strong>Service - </strong><strong>obsess over service</strong></p>\r\n<p>This directive determines whether or not checks for the service will be "obsessed" over using the ocsp_command.</p>\r\n<p><em>Parameter name:</em> obsess_over_service<br> <em>Required:</em> no</p>
88	service	event_handler	all	default	<p><strong>Service - </strong><strong>event handler</strong></p>\r\n<p>This directive is used to specify the <em>short name</em> of the command that should be run whenever a change in the state of the service is detected (i.e. whenever it goes down or recovers). Read the documentation on event handlers for a more detailed explanation of how to write scripts for handling events. The maximum amount of time that the event handler command can run is controlled by the event_handler_timeout option.</p>\r\n<p><em>Parameter name:</em> event_handler<br> <em>Required:</em> no</p>
89	service	event_handler_enabled	all	default	<p><strong>Service - </strong><strong>event handler enabled</strong></p>\r\n<p>This directive is used to determine whether or not the event handler for this service is enabled. Values: 0 = disable service event handler, 1 = enable service event handler.</p>\r\n<p><em>Parameter name:</em> event_handler_enabled<br> <em>Required:</em> no</p>
90	service	low_flap_threshold	all	default	<p><strong>Service - </strong><strong>low flap threshold</strong></p>\r\n<p>This directive is used to specify the low state change threshold used in flap detection for this service. More information on flap detection can be found in the nagios documentation.  If you set this directive to a value of 0, the program-wide value specified by the low_service_flap_threshold  directive will be used.</p>\r\n<p><em>Parameter name:</em> low_flap_threshold<br> <em>Required:</em> no</p>
91	service	high_flap_threshold	all	default	<p><strong>Service - </strong><strong>high flap threshold</strong></p>\r\n<p>This directive is used to specify the high state change threshold used in flap detection for this service. More information on flap detection can be found in the nagios documentation.  If you set this directive to a value of 0, the program-wide value specified by the high_service_flap_threshold directive will be used.</p>\r\n<p><em>Parameter name:</em> high_flap_threshold<br> <em>Required:</em> no</p>
161	command	command_name	all	default	<p><strong>Command - </strong><strong>command name</strong></p>\r\n<p>This directive is the short name used to identify the command.  It is referenced in contact, host, and service definitions (in notification, check, and event handler directives), among other places.</p>\r\n<p><em>Parameter name:</em> command_name<br> <em>Required:</em> yes</p>
92	service	flap_detection_enabled	all	default	<p><strong>Service - </strong><strong>flap detection enabled</strong></p>\r\n<p>This directive is used to determine whether or not flap detection is enabled for this service. More information on flap detection can be found in the nagios documentation. Values: 0 = disable service flap detection, 1 = enable service flap detection.</p>\r\n<p><em>Parameter name:</em> flap_detection_enabled<br> <em>Required:</em> no</p>
93	service	flap_detection_options	3	default	<p><strong>Service - </strong><strong>flap detection options</strong></p>\r\n<p>This directive is used to determine what service states the flap detection logic will use for this service.  Valid options are a combination of one or more of the following: <strong><br>o</strong> = OK states, <br><strong>w</strong> = WARNING states, <br><strong>c</strong> = CRITICAL states, <br><strong>u</strong> = UNKNOWN states.</p>\r\n<p><em>Parameter name:</em> flap_detection_options<br> <em>Required:</em> no</p>
94	service	retain_status_information	all	default	<p><strong>Service - </strong><strong>retain status information</strong></p>\r\n<p>This directive is used to determine whether or not status-related information about the service is retained across program restarts. This is only useful if you have enabled state retention using the retain_state_information directive.  Value: 0 = disable status information retention, 1 = enable status information retention.</p>\r\n<p><em>Parameter name:</em> retain_status_information<br> <em>Required:</em> no</p>
95	service	retain_nonstatus_information	all	default	<p><strong>Service - </strong><strong>retain nonstatus information</strong></p>\r\n<p>This directive is used to determine whether or not non-status information about the service is retained across program restarts. This is only useful if you have enabled state retention using the retain_state_information directive.  Value: 0 = disable non-status information retention, 1 = enable non-status information retention.</p>\r\n<p><em>Parameter name:</em> retain_nonstatus_information<br> <em>Required:</em> no</p>
96	service	process_perf_data	all	default	<p><strong>Service - </strong><strong>process perf data</strong></p>\r\n<p>This directive is used to determine whether or not the processing of performance data is enabled for this service. Values: 0 = disable performance data processing, 1 = enable performance data processing.</p>\r\n<p><em>Parameter name:</em> process_perf_data<br> <em>Required:</em> no</p>
97	service	is_volatile	all	default	<p><strong>Service</strong><strong> - is volatile<br> </strong></p>\r\n<p>This directive is used to denote whether the service is "volatile".  Services are normally <em>not</em> volatile.  More information on volatile service and how they differ from normal services can be found in the nagios documentation.  Value: 0 = service is not volatile, 1 = service is volatile.</p>\r\n<p><em>Parameter name:</em> is_volatile<br> <em>Required:</em>no</p>
98	service	contacts	3	default	<p><strong>Service - </strong><strong>contacts</strong></p>\r\n<p>This is a list of the <em>short names</em> of the contacts that should be notified whenever there are problems (or recoveries) with this service. Multiple contacts should be separated by commas. Useful if you want notifications to go to just a few people and don't want to configure contact groups. You must specify at least one contact or contact group in each service definition.</p>\r\n<p><em>Parameter name:</em> contacts<br> <em>Required:</em> yes (no, if a contact group is defined)</p>
99	service	contactgroups	all	default	<p><strong>Service - </strong><strong>contact groups</strong></p>\r\n<p>This is a list of the <em>short names</em> of the contact groups that should be notified whenever there are problems (or recoveries) with this service. Multiple contact groups should be separated by commas. You must specify at least one contact or contact group in each service definition.</p>\r\n<p><em>Parameter name:</em> contact_groups<br> <em>Required:</em> yes (no, if a contact is defined)</p>
100	service	notification_period	all	default	<p><strong>Service - </strong><strong>notification period</strong></p>\r\n<p>This directive is used to specify the short name of the time period during which notifications of events for this service can be sent out to contacts. No service notifications will be sent out during times which is not covered by the time period.</p>\r\n<p><em>Parameter name:</em> notification_period<br> <em>Required:</em> yes</p>
101	service	notification_options	all	default	<p><strong>Service - </strong><strong>notification options</strong></p>\r\n<p>This directive is used to determine when notifications for the service should be sent out. Valid options are a combination of one or more of the following:<br><strong><br>w</strong> = send notifications on a WARNING state, <br><strong>u</strong> = send notifications on an UNKNOWN state, <strong><br>c</strong> = send notifications on a CRITICAL state, <br><strong>r</strong> = send notifications on recoveries (OK state), <strong><br>f</strong> = send notifications when the service starts and stops flapping, and <br><strong>s</strong> = send notifications when scheduled downtime starts and ends.</p>\r\n<p>If you do not specify any notification options, Nagios will assume that you want notifications to be sent out for all possible states.</p>\r\n<p>Example: If you specify <strong>w,r</strong> in this field, notifications will only be sent out when the service goes into a WARNING state and when it recovers from a WARNING state.</p>\r\n<p><em>Parameter name:</em> notification_options<br> <em>Required:</em> no</p>
102	service	notification_intervall	all	default	<p><strong>Service - </strong><strong>notification interval</strong></p>\r\n<p>This directive is used to define the number of "time units" to wait before re-notifying a contact that this service is <em>still</em> in a non-OK state.  Unless you've changed the interval_length directive from the default value of 60, this number will mean minutes.  If you set this value to 0, Nagios will <em>not</em> re-notify contacts about problems for this service - only one problem notification will be sent out.</p>\r\n<p><em>Parameter name:</em> notification_interval<br> <em>Required:</em> yes</p>
103	service	first_notification_delay	all	default	<p><strong>Service - </strong><strong>first notification delay</strong></p>\r\n<p>This directive is used to define the number of "time units" to wait before sending out the first problem notification when this service enters a non-OK state. Unless you've changed the interval_length directive from the default value of 60, this number will mean minutes. If you set this value to 0, Nagios will start sending out notifications immediately.</p>\r\n<p><em>Parameter name:</em> first_notification_delay<br> <em>Required:</em> no</p>
104	service	notification_enabled	all	default	<p><strong>Service - </strong><strong>notifications enabled</strong><strong></strong></p>\r\n<p>This directive is used to determine whether or not notifications for this service are enabled. Values: 0 = disable service notifications, 1 = enable service notifications.</p>\r\n<p><em>Parameter name:</em> notifications_enabled<br> <em>Required:</em> no</p>
173	hostescalation	host	all	default	<p><strong>Hostescalation - </strong><strong>host name</strong></p>\r\n<p>This directive is used to identify the <em>short name</em> of the host that the escalation should apply to.</p>\r\n<p><em>Parameter name:</em> host_name<br> <em>Required:</em> yes (no, if a hostgroup name is defined</p>
105	service	stalking_options	all	default	<p><strong>Service - </strong><strong>stalking options</strong></p>\r\n<p>This directive determines which service states "stalking" is enabled for. Valid options are a combination of one or more of the following: <strong><br>o</strong> = stalk on OK states, <br><strong>w</strong> = stalk on WARNING states, <strong><br>u</strong> = stalk on UNKNOWN states, and <strong><br>c</strong> = stalk on CRITICAL states.</p>\r\n<p>More information on state stalking can be found in the nagios documentation.</p>\r\n<p><em>Parameter name:</em> stalking_options<br> <em>Required:</em> no</p>
106	service	notes	3	default	<p><strong>Service - </strong><strong>notes</strong></p>\r\n<p>This directive is used to define an optional string of notes pertaining to the service. If you specify a note here, you will see the it in the extended information CGI (when you are viewing information about the specified service).</p>\r\n<p><em>Parameter name:</em> notes<br> <em>Required:</em> no</p>
107	service	icon_image	3	default	<p><strong>Service - </strong><strong>icon image</strong><strong> </strong></p>\r\n<p>This variable is used to define the name of a GIF, PNG, or JPG image that should be associated with this service. This image will be displayed in the status and extended information CGIs.  The image will look best if it is 40x40 pixels in size.  Images for services are assumed to be in the <strong>logos/</strong> subdirectory in your HTML images directory (i.e. <em>/usr/local/nagios/share/images/logos</em>).</p>\r\n<p><em>Parameter name:</em> icon_image<br> <em>Required:</em> no</p>
108	service	notes_url	3	default	<p><strong>Service - </strong><strong>notes url<br></strong></p>\r\n<p>This directive is used to define an optional URL that can be used to provide more information about the service. If you specify an URL, you will see a red folder icon in the CGIs (when you are viewing service information) that links to the URL you specify here. Any valid URL can be used. If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>). This can be very useful if you want to make detailed information on the service, emergency contact methods, etc. available to other support staff.</p>\r\n<p><em>Parameter name:</em> notes_url<br> <em>Required:</em> no</p>
109	service	icon_image_alt_text	3	default	<p><strong>Service - </strong><strong>icon image alt</strong><strong> </strong></p>\r\n<p>This variable is used to define an optional string that is used in the ALT tag of the image specified by the <em>&lt;icon_image&gt;</em> argument.  The ALT tag is used in the status, extended information and statusmap CGIs.</p>\r\n<p><em>Parameter name:</em> icon_image_alt<br> <em>Required:</em> no</p>
110	service	action_url	3	default	<p><strong>Service - action</strong><strong> url<br> </strong></p>\r\n<p>This directive is used to define an optional URL that can be used to provide more actions to be performed on the service. If you specify an URL, you will see a red "splat" icon in the CGIs (when you are viewing service information) that links to the URL you specify here. Any valid URL can be used. If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>).</p>\r\n<p><em>Parameter name:</em> action_url<br> <em>Required:</em> no</p>
111	hostgroup	hostgroup_name	all	default	<p><strong>Hostgroup - </strong><strong>hostgroup name</strong></p>\r\n<p>This directive is used to define a short name used to identify the host group.</p>\r\n<p><em>Parameter name:</em> hostgroup_name<br> <em>Required:</em> yes</p>
112	hostgroup	members	all	default	<p><strong>Hostgroup - </strong><strong>members</strong></p>\r\n<p>This is a list of the <em>short names</em> of hosts that should be included in this group. Multiple host names should be separated by commas. This directive may be used as an alternative to (or in addition to) the <em>hostgroups</em> directive in host definitions.</p>\r\n<p><strong>NagiosQL:</strong> If you select a hostgroup inside a host definition using the <em>hostgroups</em> directive in <em>host definition</em>, this host will <span style="color: #ff0000;">not be selected</span> here because these are two different ways to specify a hostgroup!</p>\r\n<p><em>Parameter name:</em> members<br> <em>Required:</em> no</p>
113	hostgroup	description	all	default	<p><strong>Hostgroup - </strong><strong>alias</strong></p>\r\n<p>This directive is used to define is a longer name or description used to identify the host group. It is provided in order to allow you to more easily identify a particular host group.</p>\r\n<p><em>Parameter name:</em> alias<br> <em>Required:</em> yes</p>
114	hostgroup	notes	3	default	<p><strong>Hostgroup - </strong><strong>notes</strong></p>\r\n<p>This directive is used to define an optional string of notes pertaining to the host. If you specify a note here, you will see the it in the extended information CGI (when you are viewing information about the specified host).</p>\r\n<p><em>Parameter name:</em> notes<br> <em>Required:</em> no</p>
115	hostgroup	notes_url	3	default	<p><strong>Hostgroup - </strong><strong>notes url<br></strong></p>\r\n<p>This variable is used to define an optional URL that can be used to provide more information about the host group. If you specify an URL, you will see a red folder icon in the CGIs (when you are viewing hostgroup information) that links to the URL you specify here. Any valid URL can be used. If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>). This can be very useful if you want to make detailed information on the host group, emergency contact methods, etc. available to other support staff.</p>\r\n<p><em>Parameter name:</em> notes_url<br> <em>Required:</em> no</p>
116	hostgroup	action_url	3	default	<p><strong>Hostgroup - </strong><strong>action url</strong></p>\r\n<p>This directive is used to define an optional URL that can be used to provide more actions to be performed on the host group. If you specify an URL, you will see a red "splat" icon in the CGIs (when you are viewing hostgroup information) that links to the URL you specify here. Any valid URL can be used. If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>).</p>\r\n<p><em>Parameter name:</em> action_url<br> <em>Required:</em> no</p>
117	hostgroup	hostgroup_members	all	default	<p><strong>Hostgroup - </strong><strong>hostgroup members</strong></p>\r\n<p>This optional directive can be used to include hosts from other "sub" host groups in this host group. Specify a comma-delimited list of short names of other host groups whose members should be included in this group.</p>\r\n<p><em>Parameter name:</em> hostgroup_members<br> <em>Required:</em> no</p>
118	servicegroup	servicegroup_name	all	default	<p><strong>Servicegroup - </strong><strong>servicegroup name</strong></p>\r\n<p>This directive is used to define a short name used to identify the service group.</p>\r\n<p><em>Parameter name:</em> servicegroup_name<br> <em>Required:</em> yes</p>
119	servicegroup	members	all	default	<p><strong>Servicegroup - </strong><strong>members</strong></p>\r\n<p>This is a list of the <em>descriptions</em> of services (and the names of their corresponding hosts) that should be included in this group. Host and service names should be separated by commas. This directive may be used as an alternative to the <em>servicegroups</em> directive in service definitions.</p>\r\n<p><strong>NagiosQL:</strong> If you select a servicegroup inside a service definition using the <em>servicegroups</em> directive in <em>service definition</em>, this service will <span style="color: #ff0000;">not be selected</span> here because these are two different ways to specify a servicegroup!</p>\r\n<p><em>Parameter name:</em> members<br> <em>Required:</em> no</p>
120	servicegroup	description	all	default	<p><strong>Servicegroup - </strong><strong>alias</strong><strong></strong></p>\r\n<p>This directive is used to define is a longer name or description used to identify the service group. It is provided in order to allow you to more easily identify a particular service group.</p>\r\n<p><em>Parameter name:</em> alias<br> <em>Required:</em> yes</p>
121	servicegroup	notes	3	default	<p><strong>Servicegroup - </strong><strong>notes</strong></p>\r\n<p>This directive is used to define an optional string of notes pertaining to the service group. If you specify a note here, you will see the it in the extended information CGI (when you are viewing information about the specified service group).</p>\r\n<p><em>Parameter name:</em> notes<br> <em>Required:</em> no</p>
122	servicegroup	notes_url	3	default	<p><strong>Servicegroup - </strong><strong>notes url</strong></p>\r\n<p>This directive is used to define an optional URL that can be used to provide more information about the service group. If you specify an URL, you will see a red folder icon in the CGIs (when you are viewing service group information) that links to the URL you specify here. Any valid URL can be used. If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>). This can be very useful if you want to make detailed information on the service group, emergency contact methods, etc. available to other support staff.</p>\r\n<p><em>Parameter name:</em> notes_url<br> <em>Required:</em> no</p>
123	servicegroup	action_url	3	default	<p><strong>Servicegroup - </strong><strong>action url</strong></p>\r\n<p>This directive is used to define an optional URL that can be used to provide more actions to be performed on the service group. If you specify an URL, you will see a red "splat" icon in the CGIs (when you are viewing service group information) that links to the URL you specify here. Any valid URL can be used. If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>).</p>\r\n<p><em>Parameter name:</em> action_url<br> <em>Required:</em> no</p>
124	servicegroup	servicegroup_members	all	default	<p><strong>Servicegroup - </strong><strong>servicegroup members</strong></p>\r\n<p>This optional directive can be used to include services from other "sub" service groups in this service group. Specify a comma-delimited list of short names of other service groups whose members should be included in this group.</p>\r\n<p><em>Parameter name:</em> servicegroup_members<br> <em>Required:</em> yes</p>
125	hosttemplate	template_name	all	default	<p><strong>Hosttemplate - template name</strong></p>\r\n<p>This directive is used to define a short name used to identify the host template.</p>\r\n<p><em>Parameter name:</em> name<br> <em>Required:</em> yes</p>
126	servicetemplate	template_name	all	default	<p><strong>Servicetemplate - template name</strong></p>\r\n<p>This directive is used to define a short name used to identify the service template.</p>\r\n<p><em>Parameter name:</em> name<br> <em>Required:</em> yes</p>
127	contact	contact_name	all	default	<p><strong>Contact - </strong><strong>contact name</strong></p>\r\n<p>This directive is used to define a short name used to identify the contact.  It is referenced in contact group definitions.  Under the right circumstances, the $CONTACTNAME$ macro will contain this value.</p>\r\n<p><em>Parameter name:</em> contact_name<br> <em>Required:</em> yes</p>
128	contact	contactgroups	all	default	<p><strong>Contact - </strong><strong>contactgroups</strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the contactgroup(s) that the contact belongs to. Multiple contactgroups should be separated by commas. This directive may be used as an alternative to (or in addition to) using the <em>members</em> directive in contactgroup definitions.</p>\r\n<p><span style="color: #ff0000;"><span style="color: #000000;"><strong>NagiosQL:</strong> If a contactgroup is defined here - this contact will <span style="color: #ff0000;">not be selected</span> inside the member field of the same contactgroup definition! </span></span></p>\r\n<p><em>Parameter name:</em> contactgroups<br> <em>Required:</em> no</p>
129	contact	alias	all	default	<p><strong>Contact - </strong><strong>alias</strong></p>\r\n<p>This directive is used to define a longer name or description for the contact. Under the rights circumstances, the $CONTACTALIAS$ macro will contain this value.  If not specified, the <em>contact_name</em> will be used as the alias.</p>\r\n<p><em>Parameter name:</em> alias<br> <em>Required:</em> no (yes in Nagios 2.x)</p>
130	contact	email	all	default	<p><strong>Contact - </strong><strong>email</strong></p>\r\n<p>This directive is used to define an email address for the contact. Depending on how you configure your notification commands, it can be used to send out an alert email to the contact. Under the right circumstances, the $CONTACTEMAIL$ macro will contain this value.</p>\r\n<p>Parameter name: email<br> <em>Required:</em> no</p>
131	contact	pager	all	default	<p><strong>Contact - </strong><strong>pager</strong></p>\r\n<p>This directive is used to define a pager number for the contact. It can also be an email address to a pager gateway (i.e. pagejoe@pagenet.com). Depending on how you configure your notification commands, it can be used to send out an alert page to the contact. Under the right circumstances, the $CONTACTPAGER$ macro will contain this value.</p>\r\n<p>Parameter name: pager<br> <em>Required:</em> no</p>
132	contact	address	all	default	<p><strong>Contact - </strong><strong>address<em>x</em></strong></p>\r\n<p>Address directives are used to define additional "addresses" for the contact. These addresses can be anything - cell phone numbers, instant messaging addresses, etc. Depending on how you configure your notification commands, they can be used to send out an alert o the contact. Up to six addresses can be defined using these directives (<em>address1</em> through <em>address6</em>). The $CONTACTADDRESS<em>x</em>$ macro will contain this value.</p>\r\n<p>Parameter name: addressx (x as number from 1 to 6)<br> <em>Required:</em> no</p>
133	contact	host_notifications_enabled	3	default	<p><strong>Contact - </strong><strong>host notifications enabled</strong></p>\r\n<p>This directive is used to determine whether or not the contact will receive notifications about host problems and recoveries. Values: 0 = don't send notifications, 1 = send notifications.</p>\r\n<p><em>Parameter name:</em> host_notifications_enabled<br> <em>Required:</em> yes</p>
134	contact	service_notifications_enabled	3	default	<p><strong>Contact - </strong><strong>service notifications enabled</strong></p>\r\n<p>This directive is used to determine whether or not the contact will receive notifications about service problems and recoveries. Values: 0 = don't send notifications, 1 = send notifications.</p>\r\n<p><em>Parameter name:</em> service_notifications_enabled<br> <em>Required:</em> yes</p>
135	contact	host_notification_period	all	default	<p><strong>Contact - </strong><strong>host notification period</strong></p>\r\n<p>This directive is used to specify the short name of the time period during which the contact can be notified about host problems or recoveries. You can think of this as an "on call" time for host notifications for the contact. Read the documentation on time periods for more information on how this works and potential problems that may result from improper use.</p>\r\n<p><em>Parameter name:</em> host_notification_period<br> <em>Required:</em> yes</p>
136	contact	service_notification_period	all	default	<p><strong>Contact - </strong><strong>service notification period</strong><strong></strong></p>\r\n<p>This directive is used to specify the short name of the time period during which the contact can be notified about service problems or recoveries. You can think of this as an "on call" time for service notifications for the contact. Read the documentation on time periods for more information on how this works and potential problems that may result from improper use.</p>\r\n<p><em>Parameter name:</em> service_notification_period<br> <em>Required:</em> yes</p>
137	contact	host_notification_options	2	default	<p><strong>Contact - </strong><strong>host notification options</strong></p>\r\n<p>This directive is used to define the host states for which notifications can be sent out to this contact. Valid options are a combination of one or more of the following: <strong><br>d</strong> = notify on DOWN host states, <br><strong>u</strong> = notify on UNREACHABLE host states, <strong><br>r</strong> = notify on host recoveries (UP states), and <strong><br>f</strong> = notify when the host starts and stops flapping.<br>If you specify <strong>n</strong> (none) as an option, the contact will not receive any type of host notifications.</p>\r\n<p><em>Parameter name:</em> host_notification_options<br> <em>Required:</em> yes</p>
138	contact	host_notification_options	3	default	<p><strong>Contact - </strong><strong>host notification options</strong></p>\r\n<p>This directive is used to define the host states for which notifications can be sent out to this contact. Valid options are a combination of one or more of the following: <br><strong>d</strong> = notify on DOWN host states, <strong><br>u</strong> = notify on UNREACHABLE host states, <strong><br>r</strong> = notify on host recoveries (UP states), <strong><br>f</strong> = notify when the host starts and stops flapping, and <br><strong>s</strong> = send notifications when host or service scheduled downtime starts and ends.<br>If you specify <strong>n</strong> (none) as an option, the contact will not receive any type of host notifications.</p>\r\n<p><em>Parameter name:</em> host_notification_options<br> <em>Required:</em> yes</p>
139	contact	service_notification_options	2	default	<p><strong>Contact - </strong><strong>service notification options</strong></p>\r\n<p>This directive is used to define the service states for which notifications can be sent out to this contact. Valid options are a combination of one or more of the following: <strong><br>w</strong> = notify on WARNING service states, <strong><br>u</strong> = notify on UNKNOWN service states, <strong><br>c</strong> = notify on CRITICAL service states, <br><strong>r</strong> = notify on service recoveries (OK states), and <br><strong>f</strong> = notify when the servuce starts and stops flapping.<br>If you specify <strong>n</strong> (none) as an option, the contact will not receive any type of host notifications.</p>\r\n<p><em>Parameter name:</em> service_notification_options<br> <em>Required:</em> yes</p>
140	contact	service_notification_options	3	default	<p><strong>Contact - </strong><strong>service notification options</strong></p>\r\n<p>This directive is used to define the service states for which notifications can be sent out to this contact. Valid options are a combination of one or more of the following: <strong><br>w</strong> = notify on WARNING service states, <br><strong>u</strong> = notify on UNKNOWN service states, <br><strong>c</strong> = notify on CRITICAL service states, <strong><br>r</strong> = notify on service recoveries (OK states), and <strong><br></strong><strong>f</strong> = notify when the host starts and stops flapping, and <strong><br>s</strong> = send notifications when host or service scheduled downtime starts and ends.  <br>If you specify <strong>n</strong> (none) as an option, the contact will not receive any type of host notifications.</p>\r\n<p><em>Parameter name:</em> service_notification_options<br> <em>Required:</em> yes</p>
141	contact	host_notification_commands	all	default	<p><strong>Contact - </strong><strong>host notification commands</strong></p>\r\n<p>This directive is used to define a list of the <em>short names</em> of the commands used to notify the contact of a <em>host</em> problem or recovery. Multiple notification commands should be separated by commas. All notification commands are executed when the contact needs to be notified. The maximum amount of time that a notification command can run is controlled by the notification_timeout option.</p>\r\n<p><em>Parameter name:</em> host_notification_commands<br> <em>Required:</em> yes</p>
142	contact	service_notification_commands	all	default	<p><strong>Contact - </strong><strong>service notification commands</strong></p>\r\n<p>This directive is used to define a list of the <em>short names</em> of the commands used to notify the contact of a <em>service</em> problem or recovery. Multiple notification commands should be separated by commas. All notification commands are executed when the contact needs to be notified. The maximum amount of time that a notification command can run is controlled by the notification_timeout option.</p>\r\n<p><em>Parameter name:</em> service_notification_commands<br> <em>Required:</em> yes</p>
143	contact	retain_status_information	3	default	<p><strong>Contact - </strong><strong>retain status information</strong></p>\r\n<p>This directive is used to determine whether or not status-related information about the contact is retained across program restarts. This is only useful if you have enabled state retention using the retain_state_information directive.  Value: 0 = disable status information retention, 1 = enable status information retention.</p>\r\n<p>Parameter name: retain_status_information<br> <em>Required:</em> no</p>
144	contact	can_submit_commands	3	default	<p><strong>Contact - </strong><strong>can submit commands</strong></p>\r\n<p>This directive is used to determine whether or not the contact can submit external commands to Nagios from the CGIs. Values: 0 = don't allow contact to submit commands, 1 = allow contact to submit commands.</p>\r\n<p>Parameter name: can_submit_commands<br> <em>Required:</em> no</p>
145	contact	retain_nostatus_information	3	default	<p><strong>Contact - </strong><strong>retain nonstatus information</strong></p>\r\n<p>This directive is used to determine whether or not non-status information about the contact is retained across program restarts. This is only useful if you have enabled state retention using the retain_state_information directive.  Value: 0 = disable non-status information retention, 1 = enable non-status information retention.</p>\r\n<p>Parameter name: retain_nonstatus_information<br> <em>Required:</em> no</p>
146	contact	templateadd	all	default	<p><strong>Contact - Templates</strong></p>\r\n<p>You can add one or more contact templates to a contact configuration. Nagios will add the definitions from each template to a contact configuration.</p>\r\n<p>If you add more than one template - the sort order will be used to overwrite configuration items which are defined inside templates before.</p>\r\n<p>The host configuration itselves will overwrite all values which are defined in templates before and pass all values which are not defined.</p>
147	contact	genericname	all	default	<p><strong>Contact - generic name</strong></p>\r\n<p>It is possible to use a contact definition as a template for other contact configurations. If this definition should be used as template, a generic template name must be defined.</p>\r\n<p>We do not recommend to do this - it is more open to define a separate contact template than use this option.</p>\r\n<p><em>Parameter name:</em> name<em><br>Required:</em> no</p>
148	contactgroup	contactgroup_name	all	default	<p><strong>Contactgroup - contactgroup name</strong></p>\r\n<p>This directive is a short name used to identify the contact group.</p>\r\n<p><em>Parameter name:</em> contactgroup_name<em><br>Required:</em> yes</p>
149	contactgroup	members	all	default	<p><strong>Contactgroup - </strong><strong>members</strong></p>\r\n<p>This directive is used to define a list of the <em>short names</em> of contacts that should be included in this group. Multiple contact names should be separated by commas. This directive may be used as an alternative to (or in addition to) using the <em>contactgroups</em> directive in contact definitions.</p>\r\n<p><strong>NagiosQL:</strong> If you select a contactgroup inside a contact definition using the&nbsp;<em>contactgroups</em> directive in&nbsp;<em>contact definition</em>, this contact will <span style="color: #ff0000;">not be selected</span> here because these are two different ways to specify a contactgroup!</p>\r\n<p><em>Parameter name:</em> members<em><br>Required:</em> yes</p>
150	contactgroup	alias	all	default	<p><strong>Contactgroup - </strong><strong>alias</strong></p>\r\n<p>This directive is used to define a longer name or description used to identify the contact group.</p>\r\n<p><em>Parameter name:</em> alias<em><br>Required:</em> yes</p>
151	contactgroup	contactgroup_members	all	default	<p><strong>Contactgroup - </strong><strong>contactgroup members</strong></p>\r\n<p>This optional directive can be used to include contacts from other "sub" contact groups in this contact group. Specify a comma-delimited list of short names of other contact groups whose members should be included in this group.</p>\r\n<p><em>Parameter name:</em> contactgroup_members<em><br>Required:</em> no</p>
152	timeperiod	timeperiod_name	all	default	<p><strong>Timeperiod - </strong><strong>timeperiod name</strong></p>\r\n<p>This directives is the short name used to identify the time period.</p>\r\n<p><em>Parameter name:</em> timeperiod_name<br> <em>Required:</em> yes</p>
153	timeperiod	exclude	3	default	<p><strong>Timeperiod - </strong><strong>exclude</strong></p>\r\n<p>This directive is used to specify the short names of other timeperiod definitions whose time ranges should be excluded from this timeperiod. Multiple timeperiod names should be separated with a comma.</p>\r\n<p><em>Parameter name:</em> exclude<br> <em>Required:</em> no</p>
154	timeperiod	alias	all	default	<p><strong>Timeperiod - </strong><strong>alias</strong></p>\r\n<p>This directive is a longer name or description used to identify the time period.</p>\r\n<p><em>Parameter name:</em> alias<br> <em>Required:</em> yes</p>
155	timeperiod	templatename	3	default	<p><strong>Timeperiod - </strong><strong>template name</strong></p>\r\n<p>Not yet implemented.</p>\r\n<p><em>Parameter name:</em> name<br> <em>Required:</em> no</p>
156	timeperiod	weekday	2	default	<p><strong>Timeperiod - </strong><strong>time definition<br></strong></p>\r\n<p>The <em>sunday</em> through <em>saturday</em> directives are comma-delimited lists of time ranges that are "valid" times for a particular day of the week. Notice that there are seven different days for which you can define time ranges (Sunday through Saturday).</p>\r\n<p><em>Parameter name:</em> [weekday] [exception]<br> <em>Required:</em> no</p>
157	timeperiod	timerange	2	default	<p><strong>Timeperiod - </strong><strong>time range<br></strong></p>\r\n<p>Each time range is in the form of <strong>HH:MM-HH:MM</strong>, where hours are specified on a 24 hour clock.  For example, <strong>00:15-24:00</strong> means 12:15am in the morning for this day until 12:20am midnight (a 23 hour, 45 minute total time range). If you wish to exclude an entire day from the timeperiod, simply do not include it in the timeperiod definition.</p>\r\n<p><em>Parameter name:</em> [weekday] [exception]<br> <em>Required:</em> no</p>
158	timeperiod	weekday	3	default	<p><strong>Timeperiod - </strong><strong>time definition<br></strong></p>\r\n<p>The weekday directives ("<em>sunday</em>" through "<em>saturday</em>")are comma-delimited lists of time ranges that are "valid" times for a particular day of the week. Notice that there are seven different days for which you can define time ranges (Sunday through Saturday).&nbsp;</p>\r\n<p>You can also specify several different types of exceptions to the standard rotating weekday schedule. Exceptions can take a number of different forms including single days of a specific or generic month, single weekdays in a month, or single calendar timestamps. You can also specify a range of days/timestamps and even specify skip intervals to obtain functionality described by "every 3 days between these timestamps". Rather than list all the possible formats for exception strings, Weekdays and different types of exceptions all have different levels of precedence, so its important to understand how they can affect each other. More information on this can be found in the documentation on timeperiods.</p>\r\n<p><em>Parameter name:</em> [weekday] [exception]<br> <em>Required:</em> no</p>
159	timeperiod	timerange	3	default	<p><strong>Timeperiod - </strong><strong>time range<br></strong></p>\r\n<p>Each time range is in the form of <strong>HH:MM-HH:MM</strong>, where hours are specified on a 24 hour clock.  For example, <strong>00:15-24:00</strong> means 12:15am in the morning for this day until 12:00am midnight (a 23 hour, 45 minute total time range). If you wish to exclude an entire day from the timeperiod, simply do not include it in the timeperiod definition.</p>\r\n<p><em>Parameter name:</em> [weekday] [exception]<br> <em>Required:</em> no</p>
160	contacttemplate	template_name	all	default	<p><strong>Contacttemplate - template name</strong></p>\r\n<p>This directive is used to define a short name used to identify the contact template.</p>\r\n<p><em>Parameter name:</em> name<br> <em>Required:</em> yes</p>
162	command	command_line	all	default	<p><strong>Command - </strong><strong>command line</strong></p>\r\n<p>This directive is used to define what is actually executed by Nagios when the command is used for service or host checks, notifications, or event handlers. Before the command line is executed, all valid macros are replaced with their respective values. See the documentation on macros for determining when you can use different macros. Note that the command line is <em>not</em> surrounded in quotes. Also, if you want to pass a dollar sign ($) on the command line, you have to escape it with another dollar sign.</p>\r\n<p><strong>NOTE</strong>: You may not include a <strong>semicolon</strong> (;) in the <em>command_line</em> directive, because everything after it will be ignored as a config file comment. You can work around this limitation by setting one of the <strong>$USER$</strong> macros in your resource file to a semicolon and then referencing the appropriate $USER$ macro in the <em>command_line</em> directive in place of the semicolon.</p>\r\n<p>If you want to pass arguments to commands during runtime, you can use <strong>$ARGn$</strong> macros in the <em>command_line</em> directive of the command definition and then separate individual arguments from the command name (and from each other) using bang (!) characters in the object definition directive (host check command, service event handler command, etc) that references the command. More information on how arguments in command definitions are processed during runtime can be found in the documentation on macros.</p>\r\n<p><em>Parameter name:</em> command_line<br> <em>Required:</em> yes</p>
163	command	command_type	all	default	<p><strong>Command - </strong><strong>command type</strong></p>\r\n<p>This directive is used to differ checks and misc commands. Its a NagiosQL definition only.</p>\r\n<p>Commands tagged as "check command" will be displayed in services and hosts as check command.</p>\r\n<p>Commands tagged as "misc command" will be displayed in contacts, services and hosts as event command.</p>\r\n<p>Not classified commands will be displayed everywhere.</p>\r\n<p>This definition is only used to reduce the amount of commands shown in the selection fields and to have a more clear view.</p>
164	hostdependency	dependent_host	all	default	<p><strong>Hostdependency - </strong><strong>dependent host name</strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the <em>dependent</em> host(s).  Multiple hosts should be separated by commas</p>\r\n<p><em>Parameter name:</em> dependent_host_name<br> <em>Required:</em> yes (no, if a dependent hostgroup is defined)</p>
165	hostdependency	dependent_hostgroups	all	default	<p><strong>Hostdependency - </strong><strong>dependent hostgroup name</strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the <em>dependent</em>hostgroup(s). Multiple hostgroups should be separated by commas. The dependent_hostgroup_name may be used instead of, or in addition to, the dependent_host_name directive.</p>\r\n<p><em>Parameter name:</em> dependent_hostgroup_name<br> <em>Required:</em> no (yes, if no dependent host is defined)</p>
166	hostdependency	host	all	default	<p><strong>Hostdependency - </strong><strong>host name</strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the host(s) <em>that is being depended upon</em> (also referred to as the master host).  Multiple hosts should be separated by commas.</p>\r\n<p><em>Parameter name:</em> host_name<br> <em>Required:</em> yes (no, if&nbsp; a hostgroup is defined)</p>
167	hostdependency	hostgroup	all	default	<p><strong>Hostdependency - </strong><strong>hostgroup name</strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the host(s) <em>that is being depended upon</em> (also referred to as the master host).  Multiple hosts should be separated by commas.</p>\r\n<p><em>Parameter name:</em> hostgroup_name<br> <em>Required:</em> no (yes, if a no host is defined)</p>
168	hostdependency	config_name	all	default	<p><strong>Hostdependency - config name</strong></p>\r\n<p>This directive is used to specify a common config name for a hostdependency configration. This is a NagiosQL parameter and it will not be written to the configuration file.</p>
169	hostdependency	inherit_parents	all	default	<p><strong>Hostdependency - </strong><strong>inherits parent</strong></p>\r\n<p>This directive indicates whether or not the dependency inherits dependencies of the host <em>that is being depended upon</em> (also referred to as the master host). In other words, if the master host is dependent upon other hosts and any one of those dependencies fail, this dependency will also fail.</p>\r\n<p><em>Parameter name:</em> inherits_parent<br> <em>Required:</em> no</p>
170	hostdependency	dependency_period	3	default	<p><strong>Hostdependency - </strong><strong>dependency_period</strong></p>\r\n<p>This directive is used to specify the short name of the time period during which this dependency is valid. If this directive is not specified, the dependency is considered to be valid during all times.</p>\r\n<p><em>Parameter name:</em> dependency_period<br> <em>Required:</em> no</p>
171	hostdependency	execution_failure_criteria	all	default	<p><strong>Hostdependency - </strong><strong>execution failure criteria</strong></p>\r\n<p>This directive is used to specify the criteria that determine when the dependent host should <em>not</em> be actively checked.  If the <em>master</em> host is in one of the failure states we specify, the <em>dependent</em> host will not be actively checked. Valid options are a combination of one or more of the following (multiple options are separated with commas): <br><strong>o</strong> = fail on an UP state, <br><strong>d</strong> = fail on a DOWN state, <br><strong>u</strong> = fail on an UNREACHABLE state, and <strong><br>p</strong> = fail on a pending state (e.g. the host has not yet been checked).</p>\r\n<p>If you specify <strong>n</strong> (none) as an option, the execution dependency will never fail and the dependent host will always be actively checked (if other conditions allow for it to be).</p>\r\n<p>Example: If you specify <strong>u,d</strong> in this field, the <em>dependent</em> host will not be actively checked if the <em>master</em> host is in either an UNREACHABLE or DOWN state.</p>\r\n<p><em>Parameter name:</em> execution_failure_criteria<br> <em>Required:</em> no</p>
172	hostdependency	notification_failure_criteria	all	default	<p><strong>Hostdependency - </strong><strong>notification failure criteria</strong></p>\r\n<p>This directive is used to define the criteria that determine when notifications for the dependent host should <em>not</em> be sent out.  If the <em>master</em> host is in one of the failure states we specify, notifications for the <em>dependent</em> host will not be sent to contacts.  Valid options are a combination of one or more of the following: <br><strong>o</strong> = fail on an UP state, <br><strong>d</strong> = fail on a DOWN state, <br><strong>u</strong> = fail on an UNREACHABLE state, and <br><strong>p</strong> = fail on a pending state (e.g. the host has not yet been checked).</p>\r\n<p>If you specify <strong>n</strong> (none) as an option, the notification dependency will never fail and notifications for the dependent host will always be sent out.</p>\r\n<p>Example: If you specify <strong>d</strong> in this field, the notifications for the <em>dependent</em> host will not be sent out if the <em>master</em> host is in a DOWN state.</p>\r\n<p><em>Parameter name:</em> notification_failure_criteria<br> <em>Required:</em> no</p>
174	hostescalation	hostgroup	all	default	<p><strong>Hostescalation - </strong><strong>hostgroup name</strong><strong></strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the hostgroup(s) that the escalation should apply to. Multiple hostgroups should be separated by commas. If this is used, the escalation will apply to all hosts that are members of the specified hostgroup(s).</p>\r\n<p><em>Parameter name:</em> hostgroup_name<br> <em>Required:</em> no (yes, if no host ist defined)</p>
175	hostescalation	contact	all	default	<p><strong>Hostescalation - </strong><strong>contacts</strong><strong></strong></p>\r\n<p>This is a list of the <em>short names</em> of the contacts that should be notified whenever there are problems (or recoveries) with this host. Multiple contacts should be separated by commas. Useful if you want notifications to go to just a few people and don't want to configure contact groups.  You must specify at least one contact or contact group in each host escalation definition.</p>\r\n<p><em>Parameter name:</em> contacts<br> <em>Required:</em> yes (no, if a contactgroup is defined)</p>
176	hostescalation	contactgroup	all	default	<p><strong>Hostescalation - </strong><strong>contact groups</strong></p>\r\n<p>This directive is used to identify the <em>short name</em> of the contact group that should be notified when the host notification is escalated. Multiple contact groups should be separated by commas. You must specify at least one contact or contact group in each host escalation definition.</p>\r\n<p><em>Parameter name:</em> contact_groups<br> <em>Required:</em> yes (no, if a contact is defined)</p>
177	hostescalation	config_name	all	default	<p><strong>Hostescalation - config name</strong></p>\r\n<p>This directive is used to specify a common config name for a hostescalation configration. This is a NagiosQL parameter and it will not be written to the configuration file.</p>
178	hostescalation	escalation_period	all	default	<p><strong>Hostescalation - </strong><strong>escalation period</strong></p>\r\n<p>This directive is used to specify the short name of the time period during which this escalation is valid. If this directive is not specified, the escalation is considered to be valid during all times.</p>\r\n<p><em>Parameter name:</em> escalation_period<br> <em>Required:</em> no</p>
179	hostescalation	escalation_options	all	default	<p><strong>Hostescalation - </strong><strong>escalation options</strong><strong></strong></p>\r\n<p>This directive is used to define the criteria that determine when this host escalation is used. The escalation is used only if the host is in one of the states specified in this directive. If this directive is not specified in a host escalation, the escalation is considered to be valid during all host states. Valid options are a combination of one or more of the following: <br><strong>r</strong> = escalate on an UP (recovery) state, <br><strong>d</strong> = escalate on a DOWN state, and <strong><br>u</strong> = escalate on an UNREACHABLE state.</p>\r\n<p>Example: If you specify <strong>d</strong> in this field, the escalation will only be used if the host is in a DOWN state.</p>\r\n<p><em>Parameter name:</em> escalation_options<br> <em>Required:</em> no</p>
180	hostescalation	first_notification	all	default	<p><strong>Hostescalation - </strong><strong>first notification</strong><strong></strong></p>\r\n<p>This directive is a number that identifies the <em>first</em> notification for which this escalation is effective. For instance, if you set this value to 3, this escalation will only be used if the host is down or unreachable long enough for a third notification to go out.</p>\r\n<p><em>Parameter name:</em> first_notification<br> <em>Required:</em> yes</p>
181	hostescalation	last_notification	all	default	<p><strong>Hostescalation - </strong><strong>last notification</strong></p>\r\n<p>This directive is a number that identifies the <em>last</em> notification for which this escalation is effective. For instance, if you set this value to 5, this escalation will not be used if more than five notifications are sent out for the host. Setting this value to 0 means to keep using this escalation entry forever (no matter how many notifications go out).</p>\r\n<p><em>Parameter name:</em> last_notification<br> <em>Required:</em> yes</p>
182	hostescalation	notification_intervall	all	default	<p><strong>Hostescalation - </strong><strong>notification interval</strong></p>\r\n<p>This directive is used to determine the interval at which notifications should be made while this escalation is valid. If you specify a value of 0 for the interval, Nagios will send the first notification when this escalation definition is valid, but will then prevent any more problem notifications from being sent out for the host. Notifications are sent out again until the host recovers.</p>\r\n<p>This is useful if you want to stop having notifications sent out after a certain amount of time. Note: If multiple escalation entries for a host overlap for one or more notification ranges, the smallest notification interval from all escalation entries is used.</p>\r\n<p><em>Parameter name:</em> notification_interval<br> <em>Required:</em> yes</p>
183	hostextinfo	host_name	all	default	<p><strong>Hostextinfo - </strong><strong>host name</strong></p>\r\n<p>This variable is used to identify the <em>short name</em> of the host which the data is associated with.</p>\r\n<p><em>Parameter name:</em> host_name<br> <em>Required:</em> yes</p>
184	hostextinfo	icon_image	all	default	<p><strong>Hostextinfo - </strong><strong>icon image</strong></p>\r\n<p>This variable is used to define the name of a GIF, PNG, or JPG image that should be associated with this host. This image will be displayed in the status and extended information CGIs.  The image will look best if it is 40x40 pixels in size.</p>\r\n<p>Images for hosts are assumed to be in the <strong>logos/</strong> subdirectory in your HTML images directory (i.e. <em>/usr/local/nagios/share/images/logos</em>).</p>\r\n<p><em>Parameter name:</em> icon_image<br> <em>Required:</em> no</p>
185	hostextinfo	notes	all	default	<p><strong>Hostextinfo - </strong><strong>notes</strong><strong></strong></p>\r\n<p>This directive is used to define an optional string of notes pertaining to the host. If you specify a note here, you will see the it in the extended information CGI (when you are viewing information about the specified host).</p>\r\n<p><em>Parameter name:</em> notes<br> <em>Required:</em> no</p>
186	hostextinfo	icon_image_alt_text	all	default	<p><strong>Hostextinfo - </strong><strong>icon image alt</strong><strong></strong></p>\r\n<p>This variable is used to define an optional string that is used in the ALT tag of the image specified by the <em>&lt;icon_image&gt;</em> argument.  The ALT tag is used in the status, extended information and statusmap CGIs.</p>\r\n<p><em>Parameter name:</em> icon_image_alt<br> <em>Required:</em> no</p>
199	serviceescalation	first_notification	all	default	<p><strong>Serviceescalation - </strong><strong>first notification</strong></p>\r\n<p>This directive is a number that identifies the <em>first</em> notification for which this escalation is effective. For instance, if you set this value to 3, this escalation will only be used if the service is in a non-OK state long enough for a third notification to go out.</p>\r\n<p><em>Parameter name:</em> first_notification<br> <em>Required:</em> yes</p>
187	hostextinfo	notes_url	all	default	<p><strong>Hostextinfo - </strong><strong>notes url</strong></p>\r\n<p>This variable is used to define an optional URL that can be used to provide more information about the host. If you specify an URL, you will see a link that says "Extra Host Notes" in the extended information CGI (when you are viewing information about the specified host). Any valid URL can be used. If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>). This can be very useful if you want to make detailed information on the host, emergency contact methods, etc. available to other support staff.</p>\r\n<p><em>Parameter name:</em> notes_url<br> <em>Required:</em> no</p>
188	hostextinfo	vrml_image	all	default	<p><strong>Hostextinfo - </strong><strong>vrml image</strong><strong></strong></p>\r\n<p>This variable is used to define the name of a GIF, PNG, or JPG image that should be associated with this host. This image will be used as the texture map for the specified host in the <a href="http://nagios.sourceforge.net/docs/3_0/cgis.html#statuswrl_cgi">statuswrl</a> CGI.  Unlike the image you use for the <em>icon_image</em> variable, this one should probably <em>not</em> have any transparency.  If it does, the host object will look a bit wierd.</p>\r\n<p>Images for hosts are assumed to be in the <strong>logos/</strong> subdirectory in your HTML images directory (i.e. <em>/usr/local/nagios/share/images/logos</em>).</p>\r\n<p><em>Parameter name:</em> vrml_image<br> <em>Required:</em> no</p>
189	hostextinfo	action_url	all	default	<p><strong>Hostextinfo - </strong><strong>action url</strong></p>\r\n<p>This directive is used to define an optional URL that can be used to provide more actions to be performed on the host. If you specify an URL, you will see a link that says "Extra Host Actions" in the extended information CGI (when you are viewing information about the specified host). Any valid URL can be used. If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>).</p>\r\n<p><em>Parameter name:</em> action_url<br> <em>Required:</em> no</p>
190	hostextinfo	status_image	all	default	<p><strong>Hostextinfo - </strong><strong>statusmap image</strong></p>\r\n<p>This variable is used to define the name of an image that should be associated with this host in the statusmap CGI. You can specify a JPEG, PNG, and GIF image if you want, although I would strongly suggest using a GD2 format image, as other image formats will result in a lot of wasted CPU time when the statusmap image is generated.</p>\r\n<p>GD2 images can be created from PNG images by using the <strong>pngtogd2</strong> utility supplied with Thomas Boutell's gd library.  The GD2 images should be created in <em>uncompressed</em> format in order to minimize CPU load when the statusmap CGI is generating the network map image.</p>\r\n<p>The image will look best if it is 40x40 pixels in size. You can leave these option blank if you are not using the statusmap CGI. Images for hosts are assumed to be in the <strong>logos/</strong> subdirectory in your HTML images directory (i.e. <em>/usr/local/nagios/share/images/logos</em>).</p>\r\n<p><em>Parameter name:</em> statusmap_image<br> <em>Required:</em> no</p>
191	hostextinfo	2d_coords	all	default	<p><strong>Hostextinfo - </strong><strong>2d coords</strong></p>\r\n<p>This variable is used to define coordinates to use when drawing the host in the statusmap CGI. Coordinates should be given in positive integers, as they correspond to physical pixels in the generated image. The origin for drawing (0,0) is in the upper left hand corner of the image and extends in the positive x direction (to the right) along the top of the image and in the positive y direction (down) along the left hand side of the image. For reference, the size of the icons drawn is usually about 40x40 pixels (text takes a little extra space). The coordinates you specify here are for the upper left hand corner of the host icon that is drawn.</p>\r\n<p>Note: Don't worry about what the maximum x and y coordinates that you can use are. The CGI will automatically calculate the maximum dimensions of the image it creates based on the largest x and y coordinates you specify.</p>\r\n<p><em>Parameter name:</em> 2d_coords<br> <em>Required:</em> no</p>
192	hostextinfo	3d_coords	all	default	<p><strong>Hostextinfo - </strong><strong>3d coords</strong></p>\r\n<p>This variable is used to define coordinates to use when drawing the host in the statuswrl CGI. Coordinates can be positive or negative real numbers. The origin for drawing is (0.0,0.0,0.0). For reference, the size of the host cubes drawn is 0.5 units on each side (text takes a little more space). The coordinates you specify here are used as the center of the host cube.</p>\r\n<p><em>Parameter name:</em> 3d_coords<br> <em>Required:</em> no</p>
193	serviceescalation	host	all	default	<p><strong>Serviceescalation - </strong><strong>host name</strong><strong></strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the host(s) that the service escalation should apply to or is associated with.</p>\r\n<p><em>Parameter name:</em> host_name<br> <em>Required:</em> yes (no, if a hostgroup name is defined)</p>
194	serviceescalation	hostgroup	all	default	<p><strong>Serviceescalation - </strong><strong>hostgroup name</strong></p>\r\n<p>This directive is used to specify the <em>short name(s)</em> of the hostgroup(s) that the service escalation should apply to or is associated with. Multiple hostgroups should be separated by commas. The hostgroup_name may be used instead of, or in addition to, the host_name directive.</p>\r\n<p><em>Parameter name:</em> hostgroup_name<br> <em>Required:</em> yes (no, if a host name is defined)</p>
195	serviceescalation	contact	all	default	<p><strong>Serviceescalation - </strong><strong>contacts</strong></p>\r\n<p>This is a list of the <em>short names</em> of the contacts that should be notified whenever there are problems (or recoveries) with this service. Multiple contacts should be separated by commas. Useful if you want notifications to go to just a few people and don't want to configure contact groups.  You must specify at least one contact or contact group in each service escalation definition.</p>\r\n<p><em>Parameter name:</em> contacts<br> <em>Required:</em> yes (no, if a contact group is defined)</p>
196	serviceescalation	contactgroup	all	default	<p><strong>Serviceescalation - </strong><strong>contact groups</strong></p>\r\n<p>This directive is used to identify the <em>short name</em> of the contact group that should be notified when the service notification is escalated. Multiple contact groups should be separated by commas. You must specify at least one contact or contact group in each service escalation definition.</p>\r\n<p><em>Parameter name:</em> contact_groups<br> <em>Required:</em> yes (no, if a contact is defined)</p>
197	serviceescalation	config_name	all	default	<p><strong>Serviceescalation - config name</strong></p>\r\n<p>This directive is used to specify a common config name for a serviceescalation configration. This is a NagiosQL parameter and it will not be written to the configuration file.</p>
198	serviceescalation	service	all	default	<p><strong>Serviceescalation - </strong><strong>service description</strong><strong></strong></p>\r\n<p>This directive is used to identify the <em>description</em> of the service the escalation should apply to.</p>\r\n<p><em>Parameter name:</em> service_description<br> <em>Required:</em> yes</p>
200	serviceescalation	last_notification	all	default	<p><strong>Serviceescalation - </strong><strong>last notification</strong></p>\r\n<p>This directive is a number that identifies the <em>last</em> notification for which this escalation is effective. For instance, if you set this value to 5, this escalation will not be used if more than five notifications are sent out for the service. Setting this value to 0 means to keep using this escalation entry forever (no matter how many notifications go out).</p>\r\n<p><em>Parameter name:</em> last_notification<br> <em>Required:</em> yes</p>
201	serviceescalation	notification_intervall	all	default	<p><strong>Serviceescalation - </strong><strong>notification interval</strong></p>\r\n<p>This directive is used to determine the interval at which notifications should be made while this escalation is valid. If you specify a value of 0 for the interval, Nagios will send the first notification when this escalation definition is valid, but will then prevent any more problem notifications from being sent out for the host. Notifications are sent out again until the host recovers.</p>\r\n<p>This is useful if you want to stop having notifications sent out after a certain amount of time. Note: If multiple escalation entries for a host overlap for one or more notification ranges, the smallest notification interval from all escalation entries is used.</p>\r\n<p><em>Parameter name:</em> notification_interval<br> <em>Required:</em> yes</p>
202	serviceescalation	escalation_period	all	default	<p><strong>Serviceescalation - </strong><strong>escalation period</strong></p>\r\n<p>This directive is used to specify the short name of the time period during which this escalation is valid. If this directive is not specified, the escalation is considered to be valid during all times.</p>\r\n<p><em>Parameter name:</em> escalation_period<br> <em>Required:</em> no</p>
203	serviceescalation	escalation_options	all	default	<p><strong>Serviceescalation - </strong><strong>escalation options</strong></p>\r\n<p>This directive is used to define the criteria that determine when this service escalation is used. The escalation is used only if the service is in one of the states specified in this directive. If this directive is not specified in a service escalation, the escalation is considered to be valid during all service states. Valid options are a combination of one or more of the following: <strong><br>r</strong> = escalate on an OK (recovery) state, <br><strong>w</strong> = escalate on a WARNING state, <strong><br>u</strong> = escalate on an UNKNOWN state, and <br><strong>c</strong> = escalate on a CRITICAL state.</p>\r\n<p>Example: If you specify <strong>w</strong> in this field, the escalation will only be used if the service is in a WARNING state.</p>\r\n<p><em>Parameter name:</em> escalation_options<br> <em>Required:</em> no</p>
204	servicedependency	dependent_host	all	default	<p><strong>Servicedependency - </strong><strong>dependent host</strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the host(s) that the <em>dependent</em> service "runs" on or is associated with. Multiple hosts should be separated by commas. Leaving this directive blank can be used to create "same host" dependencies.</p>\r\n<p><em>Parameter name:</em> dependent_host<br> <em>Required:</em> yes (no, if a dependent hostgroup is defined)</p>
205	servicedependency	host	all	default	<p><strong>Servicedependency -</strong><strong> </strong><strong>host name</strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the host(s) that the service <em>that is being depended upon</em> (also referred to as the master service) "runs" on or is associated with.  Multiple hosts should be separated by commas.</p>\r\n<p><em>Parameter name:</em> host_name<br> <em>Required:</em> yes (no, if a hostgroup is defined)</p>
206	servicedependency	dependent_hostgroup	all	default	<p><strong>Servicedependency - </strong><strong>dependent hostgroup</strong></p>\r\n<p>This directive is used to specify the <em>short name(s)</em> of the hostgroup(s) that the <em>dependent</em> service "runs" on or is associated with. Multiple hostgroups should be separated by commas. The dependent_hostgroup may be used instead of, or in addition to, the dependent_host directive.</p>\r\n<p><em>Parameter name:</em> dependent_hostgroup<br> <em>Required:</em> yes (no, if a dependent host is defined)</p>
207	servicedependency	hostgroup	all	default	<p><strong>Servicedependency -</strong><strong> </strong><strong>hostgroup name</strong></p>\r\n<p>This directive is used to identify the <em>short name(s)</em> of the hostgroup(s) that the service <em>that is being depended upon</em> (also referred to as the master service) "runs" on or is associated with. Multiple hostgroups should be separated by commas. The hostgroup_name may be used instead of, or in addition to, the host_name directive.</p>\r\n<p><em>Parameter name:</em> hostgroup_name<br> <em>Required:</em> yes (no, if a host is defined)</p>
208	servicedependency	dependent_services	all	default	<p><strong>Servicedependency -</strong><strong> dependent service description</strong><strong></strong></p>\r\n<p>This directive is used to identify the <em>description</em> of the <em>dependent</em> service.</p>\r\n<p><em>Parameter name:</em> dependent_service_description<br> <em>Required:</em> yes</p>
209	servicedependency	services	all	default	<p><strong>Servicedependency -</strong><strong> </strong><strong>service description</strong><strong></strong></p>\r\n<p>This directive is used to identify the <em>description</em> of the service <em>that is being depended upon</em> (also referred to as the master service).</p>\r\n<p><em>Parameter name:</em> service_description<br> <em>Required:</em> yes</p>
210	servicedependency	config_name	all	default	<p><strong>Servicedependency - config name</strong></p>\r\n<p>This directive is used to specify a common config name for a servicedependency configration. This is a NagiosQL parameter and it will not be written to the configuration file.</p>
211	servicedependency	inherit_parents	all	default	<p><strong>Servicedependency -</strong><strong> </strong><strong>inherits parent</strong></p>\r\n<p>This directive indicates whether or not the dependency inherits dependencies of the service <em>that is being depended upon</em> (also referred to as the master service). In other words, if the master service is dependent upon other services and any one of those dependencies fail, this dependency will also fail.</p>\r\n<p><em>Parameter name:</em> inherits_parent<br> <em>Required:</em> no</p>
212	servicedependency	dependency_period	all	default	<p><strong>Servicedependency -</strong><strong> </strong><strong>dependency period</strong><strong></strong></p>\r\n<p>This directive is used to specify the short name of the time period during which this dependency is valid. If this directive is not specified, the dependency is considered to be valid during all times.</p>\r\n<p><em>Parameter name:</em> dependency_period<br> <em>Required:</em> no</p>
226	user	adminenable	all	default	<p><strong>User - enable group administration<br /></strong></p>\r\n<p>If this option is selected, the specified user is able to modify the access group for every object definition. This should be restricted only to administrators; otherwise a user might be able to lock himself out.<span id="result_box" lang="en"><span></span></span></p>
213	servicedependency	execution_failure_criteria	all	default	<p><strong>Servicedependency -</strong><strong> </strong><strong>execution failure criteria</strong><strong></strong></p>\r\n<p>This directive is used to specify the criteria that determine when the dependent service should <em>not</em> be actively checked.  If the <em>master</em> service is in one of the failure states we specify, the <em>dependent</em> service will not be actively checked. Valid options are a combination of one or more of the following (multiple options are separated with commas): <br><strong>o</strong> = fail on an OK state, <br><strong>w</strong> = fail on a WARNING state, <strong><br>u</strong> = fail on an UNKNOWN state, <br><strong>c</strong> = fail on a CRITICAL state, and <br><strong>p</strong> = fail on a pending state (e.g. the service has not yet been checked).  <br>If you specify <strong>n</strong> (none) as an option, the execution dependency will never fail and checks of the dependent service will always be actively checked (if other conditions allow for it to be).</p>\r\n<p>Example: If you specify <strong>o,c,u</strong> in this field, the <em>dependent</em> service will not be actively checked if the <em>master</em> service is in either an OK, a CRITICAL, or an UNKNOWN state.</p>\r\n<p><em>Parameter name:</em> execution_failure_criteria<br> <em>Required:</em> no</p>
214	servicedependency	notification_failure_criteria	all	default	<p><strong>Servicedependency -</strong><strong> </strong><strong>notification failure criteria</strong><strong></strong></p>\r\n<p>This directive is used to define the criteria that determine when notifications for the dependent service should <em>not</em> be sent out.  If the <em>master</em> service is in one of the failure states we specify, notifications for the <em>dependent</em> service will not be sent to contacts.  Valid options are a combination of one or more of the following: <strong><br>o</strong> = fail on an OK state, <br><strong>w</strong> = fail on a WARNING state, <strong><br>u</strong> = fail on an UNKNOWN state, <br><strong>c</strong> = fail on a CRITICAL state, and <br><strong>p</strong> = fail on a pending state (e.g. the service has not yet been checked).  <br>If you specify <strong>n</strong> (none) as an option, the notification dependency will never fail and notifications for the dependent service will always be sent out.</p>\r\n<p>Example: If you specify <strong>w</strong> in this field, the notifications for the <em>dependent</em> service will not be sent out if the <em>master</em> service is in a WARNING state.</p>\r\n<p><em>Parameter name:</em> notification_failure_criteria<br> <em>Required:</em> no</p>
216	serviceextinfo	host_name	all	default	<p><strong>Serviceextinfo -</strong><strong> </strong><strong>host name</strong></p>\r\n<p>This directive is used to identify the <em>short name</em> of the host that the service is associated with.</p>\r\n<p><em>Parameter name:</em> host_name<br> <em>Required:</em> yes</p>
217	serviceextinfo	icon_image	all	default	<p><strong>Serviceextinfo -</strong><strong> </strong><strong>icon image</strong></p>\r\n<p>This variable is used to define the name of a GIF, PNG, or JPG image that should be associated with this host. This image will be displayed in the status and extended information CGIs.</p>\r\n<p>The image will look best if it is 40x40 pixels in size.  Images for hosts are assumed to be in the <strong>logos/</strong> subdirectory in your HTML images directory (i.e. <em>/usr/local/nagios/share/images/logos</em>).</p>\r\n<p><em>Parameter name:</em> icon_image<br> <em>Required:</em> no</p>
218	serviceextinfo	service_description	all	default	<p><strong>Serviceextinfo -</strong><strong> </strong><strong>service description</strong></p>\r\n<p>This directive is description of the service which the data is associated with.</p>\r\n<p><em>Parameter name:</em> service_description<br> <em>Required:</em> yes</p>
219	serviceextinfo	notes	all	default	<p><strong>Serviceextinfo -</strong><strong> </strong><strong>notes</strong></p>\r\n<p>This directive is used to define an optional string of notes pertaining to the service. If you specify a note here, you will see the it in the extended information CGI (when you are viewing information about the specified service).</p>\r\n<p><em>Parameter name:</em> notes<br> <em>Required:</em> no</p>
220	serviceextinfo	action_url	all	default	<p><strong>Serviceextinfo -</strong><strong> </strong><strong>action url</strong></p>\r\n<p>This directive is used to define an optional URL that can be used to provide more actions to be performed on the service. If you specify an URL, you will see a link that says "Extra Service Actions" in the extended information CGI (when you are viewing information about the specified service). Any valid URL can be used. If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>).</p>\r\n<p><em>Parameter name:</em> action_url<br> <em>Required:</em> no</p>
221	serviceextinfo	notes_url	all	default	<p><strong>Serviceextinfo -</strong><strong> </strong><strong>notes url</strong></p>\r\n<p>This directive is used to define an optional URL that can be used to provide more information about the service. If you specify an URL, you will see a link that says "Extra Service Notes" in the extended information CGI (when you are viewing information about the specified service). Any valid URL can be used.</p>\r\n<p>If you plan on using relative paths, the base path will the the same as what is used to access the CGIs (i.e. <em>/cgi-bin/nagios/</em>). This can be very useful if you want to make detailed information on the service, emergency contact methods, etc. available to other support staff.</p>\r\n<p><em>Parameter name:</em> notes_url<br> <em>Required:</em> no</p>
222	serviceextinfo	icon_image_alt	all	default	<p><strong>Serviceextinfo -</strong><strong> </strong><strong>icon image alt</strong><strong></strong></p>\r\n<p>This variable is used to define an optional string that is used in the ALT tag of the image specified by the <em>&lt;icon_image&gt;</em> argument.  The ALT tag is used in the status, extended information and statusmap CGIs.</p>\r\n<p><em>Parameter name:</em> icon_image_alt<br> <em>Required:</em> no</p>
223	host	services	all	default	<p><strong>Host - service settings</strong></p>\r\n<p><span id="result_box" lang="en"><span>This box can be used to allocate already existing services to a host.&nbsp;</span></span></p>\r\n<p>This is an internal function of NagiosQL.</p>\r\n<p><span id="result_box" lang="en"><span><strong>Note:</strong> To activate the changes, the corresponding service definitions have to be rewritten!</span></span></p>
224	timeperiod	name	all	default	<p><strong>Timeperiod - </strong><strong>name</strong></p>\r\n<p>Its just a "template" name that can be referenced in other object  definitions so they can inherit the objects properties/variables.   Template names must be unique amongst objects of the same type, so you  can't have two or more time definitions that have "mytemplate" as  their template name.</p>\r\n<p><em>Parameter name:</em> name<br /> <em>Required:</em> no</p>
225	timeperiod	include	3	default	<p><strong>Timeperiod - </strong><strong>include</strong></p>\r\n<p>This directive is used to specify the short names (template names) of other timeperiod  definitions whose time ranges should be included to this timeperiod.  Multiple timeperiod names should be separated with a comma.</p>\r\n<p><em>Parameter name:</em> use<br /> <em>Required:</em> no</p>
227	group	userrights	all	default	<p><strong>Group - user rights</strong></p>\r\n<p>Define the object access rights for a user.</p>\r\n<p><strong>READ</strong> = The user can see the objects belong to this group<br /><strong>WRITE</strong> = The user can modify the objects belong to this group<br /><strong>LINK</strong> = The user can use the objects belong to this group to link them in other objects*<br /><br />* <em>Example:</em> If a time object belongs to this group - the user can add (link) this time object to his contact objects.</p>
228	domain	conffile	all	default	<p>Absolute path to your Nagios config file.<br /><br />Examples:<br />/etc/nagios/nagios.cfg<br />/usr/local/nagios/etc/nagios.cfg<br /><br />This is used to verify your Nagios configuration directly from NagiosQL.</p>
229	domain	enable_common	all	default	<p>This option is used to enable or disable the global common domain functionality.</p>\r\n<p>If this option is enabled, all objects from the global common domain will be added to this domains configuration files. The global common domain can be used to define objects like timeperiods or contacts that are used in all domains the same.</p>
230	domain	utf8_decode	all	default	<p>This is an experimental option!</p>\r\n<p>If this option is enabled, UTF8 data from database will be translated to ISO in configuration file. So, the configuration files will be in ISO mode. This could be helpful, if nagios does not understand the UTF8 data from NagiosQL.</p>\r\n<p>Tested only with western european configurations!</p>
231	domain	picturedir	all	default	<p><strong>Relative</strong> path to your nagios icon images.<br /><br />Example:<br />/my/own/images/</p>\r\n<p>This path is based on your nagios standard image path. Images are assumed to be in the <strong>logos/</strong> subdirectory in your HTML images directory (i.e. /usr/local/nagios/share/images/logos).</p>\r\n<p>So in the example above, the images are located in:</p>\r\n<p>/usr/local/nagios/share/images/logos<span style="color: #ff0000;">/my/own/images/</span></p>
232	common	accessgroup	all	default	<p><strong>Access group</strong></p>\r\n<p>Select an access group name to restrict this object to the group members.</p>
233	common	registered	all	default	<p><strong>Register</strong></p>\r\n<p>This variable is used to indicate whether or not the object definition should be "registered" with Nagios. By default, all object definitions are registered. If you are using a partial object definition as a template, you would want to prevent it from being registered (an example of this is provided later). Values are as follows: 0 = do NOT register object definition, 1 = register object definition (this is the default). This variable is NOT inherited; every (partial) object definition used as a template must explicitly set the <em>register</em> directive to be <em>0</em>. This prevents the need to override an inherited <em>register</em> directive with a value of <em>1</em> for every object that should be registered.</p>\r\n<p><em>Parameter name:</em> register<br> <em>Required:</em> yes</p>
234	servicedependency	dependent_servicegroup_name	all	default	<p><strong>Servicedependency -</strong><strong> dependent servicegroup name</strong><strong></strong></p>\r\n<p>This directive is used to identify the <em>name</em> of the <em>dependent</em> servicegroup.</p>\r\n<p><em>Parameter name:</em> dependent_servicegroup_name<br> <em>Required:</em> yes (no, if a dependent service is defined)</p>
235	servicedependency	servicegroup_name	all	default	<p><strong>Servicedependency -</strong><strong> </strong><strong>servicegroup name</strong><strong></strong></p>\r\n<p>This directive is used to identify the <em>name</em> of the servicegroup <em>that is being depended upon</em> (also referred to as the master service).</p>\r\n<p><em>Parameter name:</em> servicegroup_name<br> <em>Required:</em> yes (no, if a service is defined)</p>
236	serviceescalation	servicegroup	all	default	<p><strong>Serviceescalation - </strong><strong>servicegroup name</strong><strong></strong></p>\r\n<p>This directive is used to identify the <em>name</em> of the servicegroup the escalation should apply to.</p>\r\n<p><em>Parameter name:</em> servicegroup_name<br> <em>Required:</em> yes (no, if a service is defined)</p>
237	user	language	all	default	<p><strong>User - language<br /></strong></p>\r\n<p>Defines a default UI language for the user.</p>
238	user	standarddomain	all	default	<p><strong>User - standard domain<br /></strong></p>\r\n<p>Defines a standard domain for the user. After the user has logged in, the defined domain is pre-selected.</p>
239	domain	targets	all	default	<p>Select a configuration domain which is assigned to this data domain</p>\r\n<p>The settings where to store the configuration files are defined in a configuration domain. Select here the desired target for your configuration files.</p>
240	domain	ssh_host_key	all	default	Absolute path to the ssh key directory for the defined ssh user.<br><br>Examples:<br>/etc/nagiosql/ssh/ <br>/usr/local/nagios/etc/.ssh/<br><br>This directory includes the key file (id_rsa) for the user to connect to the remote system. Note, that the file name is set to id_rsa!
\.


--
-- Data for Name: tbl_ipmidetailinfo; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_ipmidetailinfo (ipmi_device_id, ipmi_device_ip, ipmi_device_user, ipmi_device_pwd, host_id) FROM stdin;
\.


--
-- Data for Name: tbl_language; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_language (id, language, locale, active, last_modified) FROM stdin;
1	English	en_GB	1	2012-06-20 14:25:24
2	German	de_DE	1	2012-06-20 14:25:24
3	Chinese (Simplified)	zh_CN	1	2012-06-20 14:25:24
5	Italian	it_IT	1	2012-06-20 14:25:24
6	French	fr_FR	1	2012-06-20 14:25:24
7	Russian	ru_RU	1	2012-06-20 14:25:24
8	Spanish	es_ES	1	2012-06-20 14:25:24
9	Portuguese (Brazilian)	pt_BR	1	2012-06-20 14:25:24
11	Dutch	nl_NL	1	2012-06-20 14:25:24
13	Danish	da_DK	1	2012-06-20 14:25:24
\.


--
-- Data for Name: "tbl_lnkContactgroupToContact"; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContactgroupToContact" ("idMaster", "idSlave", exclude) FROM stdin;
1	1	0
\.


--
-- Data for Name: "tbl_lnkContactgroupToContact"group; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContactgroupToContactgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: "tbl_lnkContacttemplateToCommandHost"; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContacttemplateToCommandHost" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: "tbl_lnkContacttemplateToCommandService"; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContacttemplateToCommandService" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: "tbl_lnkContacttemplateToContactgroup"; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContacttemplateToContactgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: "tbl_lnkContacttemplateToContacttemplate"; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContacttemplateToContacttemplate" ("idMaster", "idSlave", "idSort","idTable") FROM stdin;
\.


--
-- Data for Name: tbl_lnkcontacttemplateoVariabledefinition; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContacttemplateToVariabledefinition" ("idMaster", "idSlave") FROM stdin;
\.


--
-- Data for Name: tbl_lnkcontacttocommandhost; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContactToCommandHost" ("idMaster", "idSlave", exclude) FROM stdin;
1	1	0
2	1	0
3	1	0
\.


--
-- Data for Name: tbl_lnkcontacttocommandservice; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContactToCommandService" ("idMaster", "idSlave", exclude) FROM stdin;
1	2	0
2	2	0
3	2	0
\.


--
-- Data for Name: tbl_lnkcontacttocontactgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContactToContactgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkcontacttocontacttemplate; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContactToContacttemplate" ("idMaster", "idSlave", "idSort", "idTable") FROM stdin;
1	1	1	1
\.


--
-- Data for Name: tbl_lnkcontacttovariabledefinition; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkContactToVariabledefinition" ("idMaster", "idSlave") FROM stdin;
\.


--
-- Data for Name: tbl_lnkgrouptouser; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkGroupToUser" ("idMaster", "idSlave", read, write, link) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhostdependencytohost_dh; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostdependencyToHost_DH" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhostdependencytohost_h; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostdependencyToHost_H" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhostdependencytohostgroup_dh; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostdependencyToHostgroup_DH" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhostdependencytohostgroup_h; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostdependencyToHostgroup_H" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhostescalationtocontact; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostescalationToContact" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhostescalationtocontactgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostescalationToContactgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhostescalationtohost; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostescalationToHost" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhostescalationtohostgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostescalationToHostgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhostgrouptohost; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostgroupToHost" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhostgrouptohostgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostgroupToHostgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhosttemplatetocontact; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHosttemplateToContact" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhosttemplatetocontactgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHosttemplateToContactgroup" ("idMaster", "idSlave", exclude) FROM stdin;
2	1	0
3	1	0
4	1	0
5	1	0
\.


--
-- Data for Name: tbl_lnkhosttemplatetohost; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHosttemplateToHost" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhosttemplatetohostgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHosttemplateToHostgroup" ("idMaster", "idSlave", exclude) FROM stdin;
3	1	0
\.


--
-- Data for Name: tbl_lnkhosttemplatetohosttemplate; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHosttemplateToHosttemplate" ("idMaster", "idSlave", "idSort", "idTable") FROM stdin;
2	1	1	1
3	1	1	1
4	1	1	1
5	1	1	1
\.


--
-- Data for Name: tbl_lnkhosttemplatetovariabledefinition; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHosttemplateToVariabledefinition" ("idMaster", "idSlave") FROM stdin;
\.


--
-- Data for Name: tbl_lnkhosttocontact; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostToContact" ("idMaster", "idSlave", exclude) FROM stdin;
1	1	0
\.


--
-- Data for Name: tbl_lnkhosttocontactgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostToContactgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhosttohost; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostToHost" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhosttohostgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostToHostgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkhosttohosttemplate; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostToHosttemplate" ("idMaster", "idSlave", "idSort", "idTable") FROM stdin;
\.


--
-- Data for Name: tbl_lnkhosttovariabledefinition; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkHostToVariabledefinition" ("idMaster", "idSlave") FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicedependencytohost_dh; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicedependencyToHost_DH" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicedependencytohost_h; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicedependencyToHost_H" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicedependencytohostgroup_dh; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicedependencyToHostgroup_DH" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicedependencytohostgroup_h; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicedependencyToHostgroup_H" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicedependencytoservice_ds; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicedependencyToService_DS" ("idMaster", "idSlave", "strSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicedependencytoservice_s; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicedependencyToService_S" ("idMaster", "idSlave", "strSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicedependencytoservicegroup_ds; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicedependencyToServicegroup_DS" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicedependencytoservicegroup_s; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicedependencyToServicegroup_S" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkserviceescalationtocontact; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceescalationToContact" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkserviceescalationtocontactgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceescalationToContactgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkserviceescalationtohost; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceescalationToHost" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkserviceescalationtohostgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceescalationToHostgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkserviceescalationtoservice; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceescalationToService" ("idMaster", "idSlave", "strSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkserviceescalationtoservicegroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceescalationToServicegroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicegrouptoservice; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicegroupToService" ("idMaster", "idSlaveH", "idSlaveHG", "idSlaveS", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicegrouptoservicegroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicegroupToServicegroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicetemplatetocontact; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicetemplateToContact" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicetemplatetocontactgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicetemplateToContactgroup" ("idMaster", "idSlave", exclude) FROM stdin;
1	1	0
\.


--
-- Data for Name: tbl_lnkservicetemplatetohost; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicetemplateToHost" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicetemplatetohostgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicetemplateToHostgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicetemplatetoservicegroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicetemplateToServicegroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicetemplatetoservicetemplate; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicetemplateToServicetemplate" ("idMaster", "idSlave", "idSort","idTable") FROM stdin;
2	1	1	1
\.


--
-- Data for Name: tbl_lnkservicetemplatetovariabledefinition; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServicetemplateToVariabledefinition" ("idMaster", "idSlave") FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicetocontact; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceToContact" ("idMaster", "idSlave", exclude) FROM stdin;
25	1	0
26	1	0
27	1	0
28	1	0
29	1	0
30	1	0
31	1	0
32	1	0
\.


--
-- Data for Name: tbl_lnkservicetocontactgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceToContactgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicetohost; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceToHost" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicetohostgroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceToHostgroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicetoservicegroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceToServicegroup" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicetoservicetemplate; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceToServicetemplate" ("idMaster", "idSlave", "idSort", "idTable") FROM stdin;
\.


--
-- Data for Name: tbl_lnkservicetovariabledefinition; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkServiceToVariabledefinition" ("idMaster", "idSlave") FROM stdin;
\.


--
-- Data for Name: tbl_lnktimeperiodtotimeperiod; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkTimeperiodToTimeperiod" ("idMaster", "idSlave", exclude) FROM stdin;
\.


--
-- Data for Name: tbl_lnktimeperiodtotimeperioduse; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY "tbl_lnkTimeperiodToTimeperiodUse" ("idMaster", "idSlave", exclude) FROM stdin;
5	4	0
\.


--
-- Data for Name: tbl_logbook; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_logbook (id, "time", "user", ipadress, domain, entry) FROM stdin;
\.


--
-- Data for Name: tbl_menu; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_menu ("mnuId", "mnuTopid", "mnuGrpid","mnuCntid", "mnuName", "mnuLink", "mnuActive", "mnuOrderId") FROM stdin;
1	0	0	1	Main page	admin.php	1	1
2	0	0	1	Supervision	admin/monitoring.php	1	2
3	0	0	1	Alarming	admin/alarming.php	1	3
4	0	0	1	Commands	admin/commands.php	1	4
5	0	0	1	Specialties	admin/specials.php	1	5
6	0	0	1	Tools	admin/tools.php	1	6
7	0	0	1	Administration	admin/administration.php	1	7
8	2	0	1	Host	admin/hosts.php	1	1
9	2	0	1	Services	admin/services.php	1	2
10	2	0	1	Host groups	admin/hostgroups.php	1	3
11	2	0	1	Service groups	admin/servicegroups.php	1	4
12	2	0	1	Host templates	admin/hosttemplates.php	1	5
13	2	0	1	Service templates	admin/servicetemplates.php	1	6
14	3	0	1	Contact data	admin/contacts.php	1	1
15	3	0	1	Contact groups	admin/contactgroups.php	1	2
16	3	0	1	Time periods	admin/timeperiods.php	1	3
17	3	0	1	Contact templates	admin/contacttemplates.php	1	4
18	4	0	1	Definitions	admin/checkcommands.php	1	1
19	5	0	1	Host dependency	admin/hostdependencies.php	1	1
20	5	0	1	Host escalation	admin/hostescalations.php	1	2
21	5	0	1	Extended Host	admin/hostextinfo.php	1	3
22	5	0	1	Service dependency	admin/servicedependencies.php	1	4
23	5	0	1	Service escalation	admin/serviceescalations.php	1	5
24	5	0	1	Extended Service	admin/serviceextinfo.php	1	6
25	6	0	1	Data import	admin/import.php	1	1
26	6	0	1	Delete backup files	admin/delbackup.php	1	2
27	6	0	1	Delete config files	admin/delconfig.php	1	3
28	6	0	1	Nagios config	admin/nagioscfg.php	1	4
29	6	0	1	CGI config	admin/cgicfg.php	1	5
30	6	0	1	Nagios control	admin/verify.php	1	6
31	7	0	1	New password	admin/password.php	1	1
32	7	0	1	User admin	admin/user.php	1	2
33	7	0	1	Group admin	admin/group.php	1	3
34	7	0	1	Menu access	admin/menuaccess.php	1	4
35	7	0	1	Data domains	admin/datadomain.php	1	5
36	7	0	1	Config targets	admin/configtargets.php	1	6
37	7	0	1	Logbook	admin/logbook.php	1	7
38	7	0	1	Settings	admin/settings.php	1	8
39	7	0	1	Help editor	admin/helpedit.php	1	9
40	7	0	1	Support	admin/support.php	1	10
\.


--
-- Data for Name: tbl_relationinformation; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_relationinformation (id, master, "tableName1", "tableName2", "fieldName", "linkTable", target1, target2, "targetKey", "fullRelation", flags, type) FROM stdin;
1	tbl_timeperiod	tbl_timeperiod		exclude	"tbl_lnkTimeperiodToTimeperiod"	timeperiod_name			0		2
2	tbl_contact	tbl_command		host_notification_commands	"tbl_lnkContactToCommandHost"	command_name			0		2
3	tbl_contact	tbl_command		service_notification_commands	"tbl_lnkContactToCommandService"	command_name			0		2
4	tbl_contact	tbl_contactgroup		contactgroups	"tbl_lnkContactToContactgroup"	contactgroup_name			0		2
5	tbl_contact	tbl_timeperiod		host_notification_period		timeperiod_name			0		1
6	tbl_contact	tbl_timeperiod		service_notification_period		timeperiod_name			0		1
7	tbl_contact	tbl_contacttemplate	tbl_contact	use_template	"tbl_lnkContactToContacttemplate"	template_name	name		0		3
8	tbl_contact	tbl_variabledefinition		use_variables	"tbl_lnkContactToVariabledefinition"	name			0		4
9	tbl_contacttemplate	tbl_command		host_notification_commands	"tbl_lnkContacttemplateToCommandHost"	command_name			0		2
10	tbl_contacttemplate	tbl_command		service_notification_commands	"tbl_lnkContacttemplateToCommandService"	command_name			0		2
11	tbl_contacttemplate	tbl_contactgroup		contactgroups	"tbl_lnkContacttemplateToContactgroup"	contactgroup_name			0		2
12	tbl_contacttemplate	tbl_timeperiod		host_notification_period		timeperiod_name			0		1
13	tbl_contacttemplate	tbl_timeperiod		service_notification_period		timeperiod_name			0		1
14	tbl_contacttemplate	tbl_contacttemplate	tbl_contact	use_template	"tbl_lnkContacttemplateToContacttemplate"	template_name	name		0		3
15	tbl_contacttemplate	tbl_variabledefinition		use_variables	"tbl_lnkContacttemplateToVariabledefinition"	name			0		4
16	tbl_contactgroup	tbl_contact		members	"tbl_lnkContactgroupToContact"	contact_name			0		2
17	tbl_contactgroup	tbl_contactgroup		contactgroup_members	"tbl_lnkContactgroupToContactgroup"	contactgroup_name			0		2
18	tbl_hosttemplate	tbl_host		parents	"tbl_lnkHosttemplateToHost"	host_name			0		2
19	tbl_hosttemplate	tbl_hostgroup		hostgroups	"tbl_lnkHosttemplateToHostgroup"	hostgroup_name			0		2
20	tbl_hosttemplate	tbl_contactgroup		contact_groups	"tbl_lnkHosttemplateToContactgroup"	contactgroup_name			0		2
21	tbl_hosttemplate	tbl_contact		contacts	"tbl_lnkHosttemplateToContact"	contact_name			0		2
22	tbl_hosttemplate	tbl_timeperiod		check_period		timeperiod_name			0		1
23	tbl_hosttemplate	tbl_command		check_command		command_name			0		1
24	tbl_hosttemplate	tbl_timeperiod		notification_period		timeperiod_name			0		1
25	tbl_hosttemplate	tbl_command		event_handler		command_name			0		1
26	tbl_hosttemplate	tbl_hosttemplate	tbl_host	use_template	"tbl_lnkHosttemplateToHosttemplate"	template_name	name		0		3
27	tbl_hosttemplate	tbl_variabledefinition		use_variables	"tbl_lnkHosttemplateToVariabledefinition"	name			0		4
28	tbl_host	tbl_host		parents	"tbl_lnkHostToHost"	host_name			0		2
29	tbl_host	tbl_hostgroup		hostgroups	"tbl_lnkHostToHostgroup"	hostgroup_name			0		2
30	tbl_host	tbl_contactgroup		contact_groups	"tbl_lnkHostToContactgroup"	contactgroup_name			0		2
31	tbl_host	tbl_contact		contacts	"tbl_lnkHostToContact"	contact_name			0		2
32	tbl_host	tbl_timeperiod		check_period		timeperiod_name			0		1
33	tbl_host	tbl_command		check_command		command_name			0		1
34	tbl_host	tbl_timeperiod		notification_period		timeperiod_name			0		1
35	tbl_host	tbl_command		event_handler		command_name			0		1
36	tbl_host	tbl_hosttemplate	tbl_host	use_template	"tbl_lnkHostToHosttemplate"	template_name	name		0		3
37	tbl_host	tbl_variabledefinition		use_variables	"tbl_lnkHostToVariabledefinition"	name			0		4
38	tbl_hostgroup	tbl_host		members	"tbl_lnkHostgroupToHost"	host_name			0		2
39	tbl_hostgroup	tbl_hostgroup		hostgroup_members	"tbl_lnkHostgroupToHostgroup"	hostgroup_name			0		2
40	tbl_servicetemplate	tbl_host		host_name	"tbl_lnkServicetemplateToHost"	host_name			0		2
41	tbl_servicetemplate	tbl_hostgroup		hostgroup_name	"tbl_lnkServicetemplateToHostgroup"	hostgroup_name			0		2
42	tbl_servicetemplate	tbl_servicegroup		servicegroups	"tbl_lnkServicetemplateToServicegroup"	servicegroup_name			0		2
43	tbl_servicetemplate	tbl_contactgroup		contact_groups	"tbl_lnkServicetemplateToContactgroup"	contactgroup_name			0		2
44	tbl_servicetemplate	tbl_contact		contacts	"tbl_lnkServicetemplateToContact"	contact_name			0		2
45	tbl_servicetemplate	tbl_timeperiod		check_period		timeperiod_name			0		1
46	tbl_servicetemplate	tbl_command		check_command		command_name			0		1
47	tbl_servicetemplate	tbl_timeperiod		notification_period		timeperiod_name			0		1
48	tbl_servicetemplate	tbl_command		event_handler		command_name			0		1
49	tbl_servicetemplate	tbl_servicetemplate	tbl_service	use_template	"tbl_lnkServicetemplateToServicetemplate"	template_name	name		0		3
50	tbl_servicetemplate	tbl_variabledefinition		use_variables	"tbl_lnkServicetemplateToVariabledefinition"	name			0		4
51	tbl_service	tbl_host		host_name	"tbl_lnkServiceToHost"	host_name			0		2
52	tbl_service	tbl_hostgroup		hostgroup_name	"tbl_lnkServiceToHostgroup"	hostgroup_name			0		2
53	tbl_service	tbl_servicegroup		servicegroups	"tbl_lnkServiceToServicegroup"	servicegroup_name			0		2
54	tbl_service	tbl_contactgroup		contact_groups	"tbl_lnkServiceToContactgroup"	contactgroup_name			0		2
55	tbl_service	tbl_contact		contacts	"tbl_lnkServiceToContact"	contact_name			0		2
56	tbl_service	tbl_timeperiod		check_period		timeperiod_name			0		1
57	tbl_service	tbl_command		check_command		command_name			0		1
58	tbl_service	tbl_timeperiod		notification_period		timeperiod_name			0		1
59	tbl_service	tbl_command		event_handler		command_name			0		1
60	tbl_service	tbl_servicetemplate	tbl_service	use_template	"tbl_lnkServiceToServicetemplate"	template_name	name		0		3
61	tbl_service	tbl_variabledefinition		use_variables	"tbl_lnkServiceToVariabledefinition"	name			0		4
62	tbl_servicegroup	tbl_host	tbl_service	members	"tbl_lnkServicegroupToService"	host_name	service_description		0		5
63	tbl_servicegroup	tbl_servicegroup		servicegroup_members	"tbl_lnkServicegroupToServicegroup"	servicegroup_name			0		2
64	tbl_hostdependency	tbl_host		dependent_host_name	"tbl_lnkHostdependencyToHost_DH"	host_name			0		2
65	tbl_hostdependency	tbl_host		host_name	"tbl_lnkHostdependencyToHost_H"	host_name			0		2
66	tbl_hostdependency	tbl_hostgroup		dependent_hostgroup_name	"tbl_lnkHostdependencyToHostgroup_DH"	hostgroup_name			0		2
67	tbl_hostdependency	tbl_hostgroup		hostgroup_name	"tbl_lnkHostdependencyToHostgroup_H"	hostgroup_name			0		2
68	tbl_hostdependency	tbl_timeperiod		dependency_period		timeperiod_name			0		1
69	tbl_hostescalation	tbl_host		host_name	"tbl_lnkHostescalationToHost"	host_name			0		2
70	tbl_hostescalation	tbl_hostgroup		hostgroup_name	"tbl_lnkHostescalationToHostgroup"	hostgroup_name			0		2
71	tbl_hostescalation	tbl_contact		contacts	"tbl_lnkHostescalationToContact"	contact_name			0		2
72	tbl_hostescalation	tbl_contactgroup		contact_groups	"tbl_lnkHostescalationToContactgroup"	contactgroup_name			0		2
73	tbl_hostescalation	tbl_timeperiod		escalation_period		timeperiod_name			0		1
74	tbl_hostextinfo	tbl_host		host_name		host_name			0		1
75	tbl_servicedependency	tbl_host		dependent_host_name	"tbl_lnkServicedependencyToHost_DH"	host_name			0		2
76	tbl_servicedependency	tbl_host		host_name	"tbl_lnkServicedependencyToHost_H"	host_name			0		2
77	tbl_servicedependency	tbl_hostgroup		dependent_hostgroup_name	"tbl_lnkServicedependencyToHostgroup_DH"	hostgroup_name			0		2
78	tbl_servicedependency	tbl_hostgroup		hostgroup_name	"tbl_lnkServicedependencyToHostgroup_H"	hostgroup_name			0		2
79	tbl_servicedependency	tbl_service		dependent_service_description	"tbl_lnkServicedependencyToService_DS"	service_description			0		6
80	tbl_servicedependency	tbl_service		service_description	"tbl_lnkServicedependencyToService_S"	service_description			0		6
81	tbl_servicedependency	tbl_timeperiod		dependency_period		timeperiod_name			0		1
82	tbl_serviceescalation	tbl_host		host_name	"tbl_lnkServiceescalationToHost"	host_name			0		2
83	tbl_serviceescalation	tbl_hostgroup		hostgroup_name	"tbl_lnkServiceescalationToHostgroup"	hostgroup_name			0		2
84	tbl_serviceescalation	tbl_service		service_description	"tbl_lnkServiceescalationToService"	service_description			0		6
85	tbl_serviceescalation	tbl_contact		contacts	"tbl_lnkServiceescalationToContact"	contact_name			0		2
86	tbl_serviceescalation	tbl_contactgroup		contact_groups	"tbl_lnkServiceescalationToContactgroup"	contactgroup_name			0		2
87	tbl_serviceescalation	tbl_timeperiod		escalation_period		timeperiod_name			0		1
88	tbl_serviceextinfo	tbl_host		host_name		host_name			0		1
89	tbl_serviceextinfo	tbl_service		service_description		service_description			0		1
90	tbl_command	"tbl_lnkContacttemplateToCommandHost"		"idSlave"		tbl_contacttemplate		template_name	1	0,0,0,1	0
91	tbl_command	"tbl_lnkContacttemplateToCommandService"		"idSlave"		tbl_contacttemplate		template_name	1	0,0,0,1	0
92	tbl_command	"tbl_lnkContactToCommandHost"		"idSlave"		tbl_contact		contact_name	1	1,1,0,1	0
93	tbl_command	"tbl_lnkContactToCommandService"		"idSlave"		tbl_contact		contact_name	1	1,1,0,1	0
94	tbl_command	tbl_host		check_command				host_name	1	0,2,2,0	0
95	tbl_command	tbl_host		event_handler				host_name	1	0,2,2,0	0
96	tbl_command	tbl_service		check_command				config_name,service_description	1	1,1,2,0	0
97	tbl_command	tbl_service		event_handler				config_name,service_description	1	0,2,2,0	0
98	tbl_contact	"tbl_lnkContactgroupToContact"		"idSlave"		tbl_contactgroup		contactgroup_name	1	1,2,0,1	0
99	tbl_contact	"tbl_lnkContactToCommandHost"		"idMaster"		tbl_command		command_name	1	0,0,0,1	0
100	tbl_contact	"tbl_lnkContactToCommandService"		"idMaster"		tbl_command		command_name	1	0,0,0,1	0
101	tbl_contact	"tbl_lnkContactToContactgroup"		"idMaster"		tbl_contactgroup		contactgroup_name	1	0,0,0,1	0
102	tbl_contact	"tbl_lnkContactToContacttemplate"		"idMaster"		tbl_contacttemplate		template_name	1	0,0,0,1	0
103	tbl_contact	"tbl_lnkContactToVariabledefinition"		"idMaster"		tbl_variabledefinition		name	1	0,0,0,2	0
104	tbl_contact	"tbl_lnkHostescalationToContact"		"idSlave"		tbl_hostescalation		config_name	1	1,1,0,1	0
105	tbl_contact	"tbl_lnkHosttemplateToContact"		"idSlave"		tbl_hosttemplate		template_name	1	0,0,0,1	0
106	tbl_contact	"tbl_lnkHostToContact"		"idSlave"		tbl_host		host_name	1	1,1,0,1	0
107	tbl_contact	"tbl_lnkServiceescalationToContact"		"idSlave"		tbl_serviceescalation		config_name	1	1,1,0,1	0
108	tbl_contact	"tbl_lnkServicetemplateToContact"		"idSlave"		tbl_servicetemplate		template_name	1	0,0,0,1	0
109	tbl_contact	"tbl_lnkServiceToContact"		"idSlave"		tbl_service		config_name,service_description	1	1,1,0,1	0
110	tbl_contactgroup	"tbl_lnkContactgroupToContact"		"idMaster"		tbl_contact		contact_name	1	0,0,0,1	0
111	tbl_contactgroup	"tbl_lnkContactgroupToContactgroup"		"idMaster"		tbl_contactgroup		contactgroup_name	1	0,0,0,1	0
112	tbl_contactgroup	"tbl_lnkContactgroupToContactgroup"		"idSlave"		tbl_contactgroup		contactgroup_name	1	0,0,0,1	0
113	tbl_contactgroup	"tbl_lnkContacttemplateToContactgroup"		"idSlave"		tbl_contacttemplate		template_name	1	0,0,0,1	0
114	tbl_contactgroup	"tbl_lnkContactToContactgroup"		"idSlave"		tbl_contact		contact_name	1	0,0,0,1	0
115	tbl_contactgroup	"tbl_lnkHostescalationToContactgroup"		"idSlave"		tbl_hostescalation		config_name	1	1,1,0,1	0
116	tbl_contactgroup	"tbl_lnkHosttemplateToContactgroup"		"idSlave"		tbl_hosttemplate		template_name	1	0,0,0,1	0
117	tbl_contactgroup	"tbl_lnkHostToContactgroup"		"idSlave"		tbl_host		host_name	1	1,1,0,1	0
118	tbl_contactgroup	"tbl_lnkServiceescalationToContactgroup"		"idSlave"		tbl_serviceescalation		config_name	1	1,1,0,1	0
119	tbl_contactgroup	"tbl_lnkServicetemplateToContactgroup"		"idSlave"		tbl_servicetemplate		template_name	1	0,0,0,1	0
120	tbl_contactgroup	"tbl_lnkServiceToContactgroup"		"idSlave"		tbl_service		config_name,service_description	1	1,1,0,1	0
121	tbl_contacttemplate	"tbl_lnkContacttemplateToCommandHost"		"idMaster"		tbl_command		command_name	1	0,0,0,1	0
122	tbl_contacttemplate	"tbl_lnkContacttemplateToCommandService"		"idMaster"		tbl_command		command_name	1	0,0,0,1	0
123	tbl_contacttemplate	"tbl_lnkContacttemplateToContactgroup"		"idMaster"		tbl_contactgroup		contactgroup_name	1	0,0,0,1	0
124	tbl_contacttemplate	"tbl_lnkContacttemplateToContacttemplate"		"idMaster"		tbl_contacttemplate		template_name	1	0,0,0,1	0
125	tbl_contacttemplate	"tbl_lnkContacttemplateToContacttemplate"		"idSlave"		tbl_contacttemplate		template_name	1	0,0,0,1	0
126	tbl_contacttemplate	"tbl_lnkContacttemplateToVariabledefinition"		"idMaster"		tbl_variabledefinition		name	1	0,0,0,2	0
127	tbl_contacttemplate	"tbl_lnkContactToContacttemplate"		"idSlave"		tbl_contact		contact_name	1	0,0,0,1	0
128	tbl_host	"tbl_lnkHostdependencyToHost_DH"		"idSlave"		tbl_hostdependency		config_name	1	1,1,0,1	0
129	tbl_host	"tbl_lnkHostdependencyToHost_H"		"idSlave"		tbl_hostdependency		config_name	1	1,1,0,1	0
130	tbl_host	"tbl_lnkHostescalationToHost"		"idSlave"		tbl_hostescalation		config_name	1	1,1,0,1	0
131	tbl_host	"tbl_lnkHosttemplateToHost"		"idSlave"		tbl_hosttemplate		template_name	1	0,0,0,1	0
132	tbl_host	"tbl_lnkHostToContact"		"idMaster"		tbl_contact		contact_name	1	0,0,0,1	0
133	tbl_host	"tbl_lnkHostToContactgroup"		"idMaster"		tbl_contactgroup		contactgroup_name	1	0,0,0,1	0
134	tbl_host	"tbl_lnkHostToHost"		"idMaster"		tbl_host		host_name	1	0,0,0,1	0
135	tbl_host	"tbl_lnkHostToHost"		"idSlave"		tbl_host		host_name	1	0,0,0,1	0
136	tbl_host	"tbl_lnkHostToHostgroup"		"idMaster"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
137	tbl_host	"tbl_lnkHostgroupToHost"		"idSlave"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
138	tbl_host	"tbl_lnkHostToHosttemplate"		"idMaster"		tbl_hosttemplate		template_name	1	0,0,0,1	0
139	tbl_host	"tbl_lnkHostToVariabledefinition"		"idMaster"		tbl_variabledefinition		name	1	0,0,0,2	0
140	tbl_host	"tbl_lnkServicedependencyToHost_DH"		"idSlave"		tbl_servicedependency		config_name	1	1,1,0,1	0
141	tbl_host	"tbl_lnkServicedependencyToHost_H"		"idSlave"		tbl_servicedependency		config_name	1	1,1,0,1	0
142	tbl_host	"tbl_lnkServiceescalationToHost"		"idSlave"		tbl_serviceescalation		config_name	1	1,1,0,1	0
143	tbl_host	"tbl_lnkServicetemplateToHost"		"idSlave"		tbl_servicetemplate		template_name	1	0,0,0,1	0
144	tbl_host	"tbl_lnkServiceToHost"		"idSlave"		tbl_service		config_name,service_description	1	1,1,0,1	0
145	tbl_host	"tbl_lnkServicegroupToService"		"idSlaveH"		tbl_servicegroup		servicegroup_name	1	0,0,0,1	0
146	tbl_host	tbl_hostextinfo		host_name				host_name	1	0,0,0,0	0
147	tbl_host	tbl_serviceextinfo		host_name				host_name	1	0,0,0,0	0
148	tbl_hostdependency	"tbl_lnkHostdependencyToHostgroup_DH"		"idMaster"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
149	tbl_hostdependency	"tbl_lnkHostdependencyToHostgroup_H"		"idMaster"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
150	tbl_hostdependency	"tbl_lnkHostdependencyToHost_DH"		"idMaster"		tbl_host		host_name	1	0,0,0,1	0
151	tbl_hostdependency	"tbl_lnkHostdependencyToHost_H"		"idMaster"		tbl_host		host_name	1	0,0,0,1	0
152	tbl_hostescalation	"tbl_lnkHostescalationToContact"		"idMaster"		tbl_contact		contact_name	1	0,0,0,1	0
153	tbl_hostescalation	"tbl_lnkHostescalationToContactgroup"		"idMaster"		tbl_contactgroup		contactgroup_name	1	0,0,0,1	0
154	tbl_hostescalation	"tbl_lnkHostescalationToHost"		"idMaster"		tbl_host		host_name	1	0,0,0,1	0
155	tbl_hostescalation	"tbl_lnkHostescalationToHostgroup"		"idMaster"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
156	tbl_hostgroup	"tbl_lnkHostdependencyToHostgroup_DH"		"idSlave"		tbl_hostdependency		config_name	1	0,0,0,1	0
157	tbl_hostgroup	"tbl_lnkHostdependencyToHostgroup_H"		"idSlave"		tbl_hostdependency		config_name	1	0,0,0,1	0
158	tbl_hostgroup	"tbl_lnkHostescalationToHostgroup"		"idSlave"		tbl_hostescalation		config_name	1	0,0,0,1	0
159	tbl_hostgroup	"tbl_lnkHostgroupToHost"		"idMaster"		tbl_host		host_name	1	0,0,0,1	0
160	tbl_hostgroup	"tbl_lnkHostgroupToHostgroup"		"idMaster"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
161	tbl_hostgroup	"tbl_lnkHostgroupToHostgroup"		"idSlave"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
162	tbl_hostgroup	"tbl_lnkHosttemplateToHostgroup"		"idSlave"		tbl_hosttemplate		template_name	1	0,0,0,1	0
163	tbl_hostgroup	"tbl_lnkHostToHostgroup"		"idSlave"		tbl_host		host_name	1	0,0,0,1	0
164	tbl_hostgroup	"tbl_lnkServicedependencyToHostgroup_DH"		"idSlave"		tbl_servicedependency		config_name	1	0,0,0,1	0
165	tbl_hostgroup	"tbl_lnkServicedependencyToHostgroup_H"		"idSlave"		tbl_servicedependency		config_name	1	0,0,0,1	0
166	tbl_hostgroup	"tbl_lnkServiceescalationToHostgroup"		"idSlave"		tbl_serviceescalation		config_name	1	0,0,0,1	0
167	tbl_hostgroup	"tbl_lnkServicetemplateToHostgroup"		"idSlave"		tbl_servicetemplate		template_name	1	0,0,0,1	0
168	tbl_hostgroup	"tbl_lnkServiceToHostgroup"		"idSlave"		tbl_service		config_name,service_description	1	0,0,0,1	0
169	tbl_hostgroup	"tbl_lnkServicegroupToService"		"idSlaveHG"		tbl_servicegroup		servicegroup_name	1	0,0,0,1	0
170	tbl_hosttemplate	"tbl_lnkHosttemplateToContact"		"idMaster"		tbl_contact		contact_name	1	0,0,0,1	0
171	tbl_hosttemplate	"tbl_lnkHosttemplateToContactgroup"		"idMaster"		tbl_contactgroup		contactgroup_name	1	0,0,0,1	0
172	tbl_hosttemplate	"tbl_lnkHosttemplateToHost"		"idMaster"		tbl_host		host_name	1	0,0,0,1	0
173	tbl_hosttemplate	"tbl_lnkHosttemplateToHostgroup"		"idMaster"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
174	tbl_hosttemplate	"tbl_lnkHosttemplateToHosttemplate"		"idMaster"		tbl_service		config_name,service_description	1	0,0,0,1	0
175	tbl_hosttemplate	"tbl_lnkHosttemplateToHosttemplate"		"idSlave"		tbl_hosttemplate		template_name	1	0,0,0,1	0
176	tbl_hosttemplate	"tbl_lnkHosttemplateToVariabledefinition"		"idMaster"		tbl_variabledefinition		name	1	0,0,0,2	0
177	tbl_hosttemplate	"tbl_lnkHostToHosttemplate"		"idSlave"		tbl_host		host_name	1	0,0,0,1	0
178	tbl_service	"tbl_lnkServicedependencyToService_DS"		"idSlave"		tbl_servicedependency		config_name	1	1,1,0,1	0
179	tbl_service	"tbl_lnkServicedependencyToService_S"		"idSlave"		tbl_servicedependency		config_name	1	1,1,0,1	0
180	tbl_service	"tbl_lnkServiceescalationToService"		"idSlave"		tbl_serviceescalation		config_name	1	1,1,0,1	0
181	tbl_service	"tbl_lnkServicegroupToService"		"idSlaveS"		tbl_servicegroup		servicegroup_name	1	0,0,0,1	0
182	tbl_service	"tbl_lnkServiceToContact"		"idMaster"		tbl_contact		contact_name	1	0,0,0,1	0
183	tbl_service	"tbl_lnkServiceToContactgroup"		"idMaster"		tbl_contactgroup		contactgroup_name	1	0,0,0,1	0
184	tbl_service	"tbl_lnkServiceToHost"		"idMaster"		tbl_host		host_name	1	0,0,0,1	0
185	tbl_service	"tbl_lnkServiceToHostgroup"		"idMaster"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
186	tbl_service	"tbl_lnkServiceToServicegroup"		"idMaster"		tbl_servicegroup		servicegroup_name	1	0,0,0,1	0
187	tbl_service	"tbl_lnkServiceToServicetemplate"		"idMaster"		tbl_servicetemplate		template_name	1	0,0,0,1	0
188	tbl_service	"tbl_lnkServiceToVariabledefinition"		"idMaster"		tbl_variabledefinition		name	1	0,0,0,2	0
189	tbl_service	tbl_serviceextinfo		service_description				host_name	1	0,0,0,0	0
190	tbl_servicedependency	"tbl_lnkServicedependencyToHostgroup_DH"		"idMaster"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
191	tbl_servicedependency	"tbl_lnkServicedependencyToHostgroup_H"		"idMaster"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
192	tbl_servicedependency	"tbl_lnkServicedependencyToHost_DH"		"idMaster"		tbl_host		host_name	1	0,0,0,1	0
193	tbl_servicedependency	"tbl_lnkServicedependencyToHost_H"		"idMaster"		tbl_host		host_name	1	0,0,0,1	0
194	tbl_servicedependency	"tbl_lnkServicedependencyToService_DS"		"idMaster"		tbl_service		config_name,service_description	1	0,0,0,1	0
195	tbl_servicedependency	"tbl_lnkServicedependencyToService_S"		"idMaster"		tbl_service		config_name,service_description	1	0,0,0,1	0
196	tbl_serviceescalation	"tbl_lnkServiceescalationToContact"		"idMaster"		tbl_contact		contact_name	1	0,0,0,1	0
197	tbl_serviceescalation	"tbl_lnkServiceescalationToContactgroup"		"idMaster"		tbl_contactgroup		contactgroup_name	1	0,0,0,1	0
198	tbl_serviceescalation	"tbl_lnkServiceescalationToHost"		"idMaster"		tbl_host		host_name	1	0,0,0,1	0
199	tbl_serviceescalation	"tbl_lnkServiceescalationToHostgroup"		"idMaster"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
200	tbl_serviceescalation	"tbl_lnkServiceescalationToService"		"idMaster"		tbl_service		config_name,service_description	1	0,0,0,1	0
201	tbl_servicegroup	"tbl_lnkServicegroupToService"		"idMaster"		tbl_service		config_name,service_description	1	0,0,0,1	0
202	tbl_servicegroup	"tbl_lnkServicegroupToServicegroup"		"idMaster"		tbl_servicegroup		servicegroup_name	1	0,0,0,1	0
203	tbl_servicegroup	"tbl_lnkServicegroupToServicegroup"		"idSlave"		tbl_servicegroup		servicegroup_name	1	0,0,0,1	0
204	tbl_servicegroup	"tbl_lnkServicetemplateToServicegroup"		"idSlave"		tbl_servicetemplate		template_name	1	0,0,0,1	0
205	tbl_servicegroup	"tbl_lnkServiceToServicegroup"		"idSlave"		tbl_service		config_name,service_description	1	0,0,0,1	0
206	tbl_servicetemplate	"tbl_lnkServicetemplateToContact"		"idMaster"		tbl_contact		contact_name	1	0,0,0,1	0
207	tbl_servicetemplate	"tbl_lnkServicetemplateToContactgroup"		"idMaster"		tbl_contactgroup		contactgroup_name	1	0,0,0,1	0
208	tbl_servicetemplate	"tbl_lnkServicetemplateToHost"		"idMaster"		tbl_host		host_name	1	0,0,0,1	0
209	tbl_servicetemplate	"tbl_lnkServicetemplateToHostgroup"		"idMaster"		tbl_hostgroup		hostgroup_name	1	0,0,0,1	0
210	tbl_servicetemplate	"tbl_lnkServicetemplateToServicegroup"		"idMaster"		tbl_servicegroup		servicegroup_name	1	0,0,0,1	0
211	tbl_servicetemplate	"tbl_lnkServicetemplateToServicetemplate"		"idMaster"		tbl_servicetemplate		template_name	1	0,0,0,1	0
212	tbl_servicetemplate	"tbl_lnkServicetemplateToServicetemplate"		"idSlave"		tbl_servicetemplate		template_name	1	0,0,0,1	0
213	tbl_servicetemplate	"tbl_lnkServicetemplateToVariabledefinition"		"idMaster"		tbl_variabledefinition		name	1	0,0,0,2	0
214	tbl_servicetemplate	"tbl_lnkServiceToServicetemplate"		"idSlave"		tbl_service		config_name,service_description	1	0,0,0,1	0
215	tbl_timeperiod	"tbl_lnkTimeperiodToTimeperiod"		"idMaster"		tbl_timeperiod		timeperiod_name	1	0,0,0,1	0
216	tbl_timeperiod	"tbl_lnkTimeperiodToTimeperiod"		"idSlave"		tbl_timeperiod		timeperiod_name	1	0,0,0,1	0
217	tbl_timeperiod	tbl_contact		host_notification_period				contact_name	1	1,1,2,0	0
218	tbl_timeperiod	tbl_contact		service_notification_period				contact_name	1	1,1,2,0	0
219	tbl_timeperiod	tbl_contacttemplate		host_notification_period				template_name	1	0,2,2,0	0
220	tbl_timeperiod	tbl_contacttemplate		service_notification_period				template_name	1	0,2,2,0	0
221	tbl_timeperiod	tbl_host		check_period				host_name	1	1,1,2,0	0
222	tbl_timeperiod	tbl_host		notification_period				host_name	1	1,1,2,0	0
223	tbl_timeperiod	tbl_hosttemplate		check_period				template_name	1	0,2,2,0	0
224	tbl_timeperiod	tbl_hosttemplate		notification_period				template_name	1	0,2,2,0	0
225	tbl_timeperiod	tbl_hostdependency		dependency_period				config_name	1	0,2,2,0	0
226	tbl_timeperiod	tbl_hostescalation		escalation_period				config_name	1	0,2,2,0	0
227	tbl_timeperiod	tbl_service		check_period				config_name,service_description	1	1,1,2,0	0
228	tbl_timeperiod	tbl_service		notification_period				config_name,service_description	1	0,2,2,0	0
229	tbl_timeperiod	tbl_servicetemplate		check_period				template_name	1	0,2,2,0	0
230	tbl_timeperiod	tbl_servicetemplate		notification_period				template_name	1	1,1,2,0	0
231	tbl_timeperiod	tbl_servicedependency		dependency_period				config_name	1	0,2,2,0	0
232	tbl_timeperiod	tbl_serviceescalation		escalation_period				config_name	1	0,2,2,0	0
233	tbl_timeperiod	tbl_timedefinition		"tipId"				id	1	0,0,0,3	0
234	tbl_timeperiod	tbl_timeperiod		use_template	"tbl_lnkTimeperiodToTimeperiodUse"	timeperiod_name			0		2
235	tbl_timeperiod	"tbl_lnkTimeperiodToTimeperiodUse"		"idMaster"		tbl_timeperiod		timeperiod_name	1	0,0,0,1	0
236	tbl_timeperiod	"tbl_lnkTimeperiodToTimeperiodUse"		"idSlave"		tbl_timeperiod		timeperiod_name	1	0,0,0,1	0
237	tbl_group	tbl_user		users	"tbl_lnkGroupToUser"	username			0		0
238	tbl_group	"tbl_lnkGroupToUser"		"idMaster"		tbl_user		username	1	0,0,0,1	0
239	tbl_servicedependency	tbl_servicegroup		dependent_servicegroup_name	"tbl_lnkServicedependencyToServicegroup_DS"	servicegroup_name			0		2
240	tbl_servicedependency	tbl_servicegroup		servicegroup_name	"tbl_lnkServicedependencyToServicegroup_S"	servicegroup_name			0		2
241	tbl_servicedependency	"tbl_lnkServicedependencyToServicegroup_DS"		"idMaster"		tbl_servicegroup		servicegroup_name	1	0,0,0,1	0
242	tbl_servicedependency	"tbl_lnkServicedependencyToServicegroup_S"		"idMaster"		tbl_servicegroup		servicegroup_name	1	0,0,0,1	0
243	tbl_serviceescalation	tbl_servicegroup		servicegroup_name	"tbl_lnkServiceescalationToServicegroup"	servicegroup_name			0		2
244	tbl_serviceescalation	"tbl_lnkServiceescalationToServicegroup"		"idMaster"		tbl_servicegroup		servicegroup_name	1	0,0,0,1	0
\.


--
-- Data for Name: tbl_service; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_service (id, config_name, host_name, host_name_tploptions, hostgroup_name, hostgroup_name_tploptions, service_description, display_name, servicegroups, servicegroups_tploptions, use_template, use_template_tploptions, check_command, is_volatile, initial_state, max_check_attempts, check_interval, retry_interval, active_checks_enabled, passive_checks_enabled, check_period, parallelize_check, obsess_over_service, check_freshness, freshness_threshold, event_handler, event_handler_enabled, low_flap_threshold, high_flap_threshold, flap_detection_enabled, flap_detection_options, process_perf_data, retain_status_information, retain_nonstatus_information, notification_interval, first_notification_delay, notification_period, notification_options, notifications_enabled, contacts, contacts_tploptions, contact_groups, contact_groups_tploptions, stalking_options, notes, notes_url, action_url, icon_image, icon_image_alt, use_variables, name, register, active, last_modified, access_group, config_id, import_hash) FROM stdin;
\.


--
-- Data for Name: tbl_servicedependency; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_servicedependency (id, config_name, dependent_host_name, dependent_hostgroup_name, dependent_service_description, dependent_servicegroup_name, host_name, hostgroup_name, service_description, servicegroup_name, inherits_parent, execution_failure_criteria, notification_failure_criteria, dependency_period, register, active, last_modified, access_group, config_id, import_hash) FROM stdin;
\.


--
-- Data for Name: tbl_serviceescalation; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_serviceescalation (id, config_name, host_name, hostgroup_name, service_description, servicegroup_name, contacts, contact_groups, first_notification, last_notification, notification_interval, escalation_period, escalation_options, register, active, last_modified, access_group, config_id, import_hash) FROM stdin;
\.


--
-- Data for Name: tbl_serviceextinfo; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_serviceextinfo (id, host_name, service_description, notes, notes_url, action_url, statistic_url, icon_image, icon_image_alt, register, active, last_modified, access_group, config_id, import_hash) FROM stdin;
\.


--
-- Data for Name: tbl_servicegroup; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_servicegroup (id, servicegroup_name, alias, members, servicegroup_members, notes, notes_url, action_url, register, active, last_modified, access_group, config_id) FROM stdin;
\.


--
-- Data for Name: tbl_servicetemplate; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_servicetemplate (id, template_name, host_name, host_name_tploptions, hostgroup_name, hostgroup_name_tploptions, service_description, display_name, servicegroups, servicegroups_tploptions, use_template, use_template_tploptions, check_command, is_volatile, initial_state, max_check_attempts, check_interval, retry_interval, active_checks_enabled, passive_checks_enabled, check_period, parallelize_check, obsess_over_service, check_freshness, freshness_threshold, event_handler, event_handler_enabled, low_flap_threshold, high_flap_threshold, flap_detection_enabled, flap_detection_options, process_perf_data, retain_status_information, retain_nonstatus_information, notification_interval, first_notification_delay, notification_period, notification_options, notifications_enabled, contacts, contacts_tploptions, contact_groups, contact_groups_tploptions, stalking_options, notes, notes_url, action_url, icon_image, icon_image_alt, use_variables, register, active, last_modified, access_group, config_id, import_hash) FROM stdin;
1	generic-service	0	2	0	2			0	2	0	2	0	0		3	10	2	1	1	1	1	1	0	\N	0	1	\N	\N	1		1	1	1	60	\N	1	w,u,c,r	1	0	2	1	2							0	0	1	2012-05-22 16:33:44	0	1	
2	local-service	0	2	0	2			0	2	1	2	0	2		4	5	1	2	2	0	2	2	2	\N	0	2	\N	\N	2		2	2	2	\N	\N	0		2	0	2	0	2							0	0	1	2012-05-22 16:33:44	0	1	
\.


--
-- Data for Name: tbl_settings; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_settings (id, category, name, value) FROM stdin;
1	db	version	3.2.0
2	db	type	mysql
3	path	protocol	http
4	path	tempdir	/tmp
5	path	base_url	/nagiosql32/
6	path	base_path	/var/www/html/nagiosql32/
7	data	locale	en_GB
8	data	encoding	utf-8
9	security	logofftime	3600
10	security	wsauth	0
11	common	pagelines	15
12	common	seldisable	1
13	common	tplcheck	0
14	common	updcheck	1
15	network	proxy	0
16	network	proxyserver	
17	network	proxyuser	
18	network	proxypasswd	
19	network	onlineuptimestamp	0
\.


--
-- Data for Name: tbl_tablestatus; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_tablestatus (id, tablename, domainid, uptimestamptime) FROM stdin;
1	tbl_hostgroup	1	2012-07-11 16:29:57
2	tbl_service	1	2012-07-11 16:34:30
3	tbl_host	1	2012-07-11 16:34:39
4	tbl_contact	1	2012-07-16 10:34:16
5	tbl_contactgroup	1	2012-07-11 16:31:17
6	tbl_contacttemplate	1	2012-07-11 16:31:32
\.


--
-- Data for Name: tbl_timedefinition; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_timedefinition (id, "tipId", definition, range, last_modified) FROM stdin;
28	1	sunday	00:00-23:59	2012-05-22 16:33:44
27	1	saturday	00:00-23:59	2012-05-22 16:33:44
26	1	monday	00:00-23:59	2012-05-22 16:33:44
25	1	friday	00:00-23:59	2012-05-22 16:33:44
46	2	thursday	09:00-17:00	2012-05-22 16:33:44
45	2	monday	09:00-17:00	2012-05-22 16:33:44
44	2	friday	09:00-17:00	2012-05-22 16:33:44
35	5	sunday	00:00-00:00	2012-05-22 16:33:44
34	5	saturday	00:00-00:00	2012-05-22 16:33:44
33	5	monday	00:00-23:59	2012-05-22 16:33:44
32	5	friday	00:00-23:59	2012-05-22 16:33:44
29	1	thursday	00:00-23:59	2012-05-22 16:33:44
30	1	tuesday	00:00-23:59	2012-05-22 16:33:44
31	1	wednesday	00:00-23:59	2012-05-22 16:33:44
36	5	thursday	00:00-23:59	2012-05-22 16:33:44
37	5	tuesday	00:00-23:59	2012-05-22 16:33:44
38	5	wednesday	00:00-23:59	2012-05-22 16:33:44
47	2	tuesday	09:00-17:00	2012-05-22 16:33:44
48	2	wednesday	09:00-17:00	2012-05-22 16:33:44
50	2	sunday	00:00-00:00	2012-05-22 16:33:44
51	2	saturday	00:00-00:00	2012-05-22 16:33:44
52	3	sunday	00:00-00:00	2012-05-22 16:33:44
53	3	monday	00:00-00:00	2012-05-22 16:33:44
54	3	tuesday	00:00-00:00	2012-05-22 16:33:44
55	3	wednesday	00:00-00:00	2012-05-22 16:33:44
56	3	thursday	00:00-00:00	2012-05-22 16:33:44
57	3	friday	00:00-00:00	2012-05-22 16:33:44
58	3	saturday	00:00-00:00	2012-05-22 16:33:44
\.


--
-- Data for Name: tbl_timeperiod; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_timeperiod (id, timeperiod_name, alias, exclude, use_template, name, register, active, last_modified, access_group, config_id) FROM stdin;
1	24x7	24 Hours A Day, 7 Days A Week	0	0		1	1	2012-05-22 16:33:44	0	1
2	workhours	Normal Work Hours	0	0		1	1	2012-05-22 16:33:44	0	1
3	none	No Time Is A Good Time	0	0		1	1	2012-05-22 16:33:44	0	1
5	24x5	24x5 Sans Holidays	0	1		1	1	2012-05-22 16:33:44	0	1
\.


--
-- Data for Name: tbl_user; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_user (id, username, alias, password, admin_enable, wsauth, active, nodelete, language, domain, last_login, last_modified) FROM stdin;
1	admin	Administrator	200820e3227815ed1756a6b531e7e0d2	1	0	1	1	1	1	2012-07-19 11:17:11	2012-05-22 16:33:44
\.


--
-- Data for Name: tbl_variabledefinition; Type: TABLE DATA; Schema: public; Owner: icinga
--

COPY tbl_variabledefinition (id, name, value, last_modified) FROM stdin;
\.


--
-- Name: tbl_autodiscovery_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_autodiscovery
    ADD CONSTRAINT tbl_autodiscovery_pkey PRIMARY KEY (id);


--
-- Name: tbl_command_command_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_command
    ADD CONSTRAINT tbl_command_command_name_key UNIQUE (command_name, config_id);


--
-- Name: tbl_command_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_command
    ADD CONSTRAINT tbl_command_pkey PRIMARY KEY (id);


--
-- Name: tbl_configtarget_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_configtarget
    ADD CONSTRAINT tbl_configtarget_pkey PRIMARY KEY (id);


--
-- Name: tbl_configtarget_target_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_configtarget
    ADD CONSTRAINT tbl_configtarget_target_key UNIQUE (target);


--
-- Name: tbl_contact_contact_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_contact
    ADD CONSTRAINT tbl_contact_contact_name_key UNIQUE (contact_name, config_id);


--
-- Name: tbl_contact_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_contact
    ADD CONSTRAINT tbl_contact_pkey PRIMARY KEY (id);


--
-- Name: tbl_contactgroup_contactgroup_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_contactgroup
    ADD CONSTRAINT tbl_contactgroup_contactgroup_name_key UNIQUE (contactgroup_name, config_id);


--
-- Name: tbl_contactgroup_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_contactgroup
    ADD CONSTRAINT tbl_contactgroup_pkey PRIMARY KEY (id);


--
-- Name: tbl_contacttemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_contacttemplate
    ADD CONSTRAINT tbl_contacttemplate_pkey PRIMARY KEY (id);


--
-- Name: tbl_contacttemplate_template_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_contacttemplate
    ADD CONSTRAINT tbl_contacttemplate_template_name_key UNIQUE (template_name, config_id);


--
-- Name: tbl_datadomain_domain_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_datadomain
    ADD CONSTRAINT tbl_datadomain_domain_key UNIQUE (domain);


--
-- Name: tbl_datadomain_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_datadomain
    ADD CONSTRAINT tbl_datadomain_pkey PRIMARY KEY (id);


--
-- Name: tbl_group_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_group
    ADD CONSTRAINT tbl_group_pkey PRIMARY KEY (id);


--
-- Name: tbl_host_host_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_host
    ADD CONSTRAINT tbl_host_host_name_key UNIQUE (host_name, config_id);


--
-- Name: tbl_host_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_host
    ADD CONSTRAINT tbl_host_pkey PRIMARY KEY (id);


--
-- Name: tbl_hostdependency_config_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hostdependency
    ADD CONSTRAINT tbl_hostdependency_config_name_key UNIQUE (config_name, config_id);


--
-- Name: tbl_hostdependency_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hostdependency
    ADD CONSTRAINT tbl_hostdependency_pkey PRIMARY KEY (id);


--
-- Name: tbl_hostdistribution_distribution_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hostdistribution
    ADD CONSTRAINT tbl_hostdistribution_distribution_name_key UNIQUE (distribution_name);


--
-- Name: tbl_hostdistribution_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hostdistribution
    ADD CONSTRAINT tbl_hostdistribution_pkey PRIMARY KEY (id);


--
-- Name: tbl_hostescalation_config_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hostescalation
    ADD CONSTRAINT tbl_hostescalation_config_name_key UNIQUE (config_name, config_id);


--
-- Name: tbl_hostescalation_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hostescalation
    ADD CONSTRAINT tbl_hostescalation_pkey PRIMARY KEY (id);


--
-- Name: tbl_hostextinfo_host_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hostextinfo
    ADD CONSTRAINT tbl_hostextinfo_host_name_key UNIQUE (host_name, config_id);


--
-- Name: tbl_hostextinfo_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hostextinfo
    ADD CONSTRAINT tbl_hostextinfo_pkey PRIMARY KEY (id);


--
-- Name: tbl_hostgroup_hostgroup_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hostgroup
    ADD CONSTRAINT tbl_hostgroup_hostgroup_name_key UNIQUE (hostgroup_name, config_id);


--
-- Name: tbl_hostgroup_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hostgroup
    ADD CONSTRAINT tbl_hostgroup_pkey PRIMARY KEY (id);


--
-- Name: tbl_hosthardwaretype_hosthardware_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hosthardwaretype
    ADD CONSTRAINT tbl_hosthardwaretype_hosthardware_name_key UNIQUE (hosthardware_name);


--
-- Name: tbl_hosthardwaretype_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hosthardwaretype
    ADD CONSTRAINT tbl_hosthardwaretype_pkey PRIMARY KEY (id);


--
-- Name: tbl_hosttemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hosttemplate
    ADD CONSTRAINT tbl_hosttemplate_pkey PRIMARY KEY (id);


--
-- Name: tbl_hosttemplate_template_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hosttemplate
    ADD CONSTRAINT tbl_hosttemplate_template_name_key UNIQUE (template_name, config_id);


--
-- Name: tbl_hosttype_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hosttype
    ADD CONSTRAINT tbl_hosttype_pkey PRIMARY KEY (id);


--
-- Name: tbl_hosttype_type_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_hosttype
    ADD CONSTRAINT tbl_hosttype_type_name_key UNIQUE (type_name);


--
-- Name: tbl_info_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_info
    ADD CONSTRAINT tbl_info_pkey PRIMARY KEY (id);


--
-- Name: tbl_ipmidetailinfo_host_id_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_ipmidetailinfo
    ADD CONSTRAINT tbl_ipmidetailinfo_host_id_key UNIQUE (host_id);


--
-- Name: tbl_ipmidetailinfo_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_ipmidetailinfo
    ADD CONSTRAINT tbl_ipmidetailinfo_pkey PRIMARY KEY (ipmi_device_id);


--
-- Name: tbl_language_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_language
    ADD CONSTRAINT tbl_language_pkey PRIMARY KEY (id);


--
-- Name: tbl_logbook_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_logbook
    ADD CONSTRAINT tbl_logbook_pkey PRIMARY KEY (id);


--
-- Name: tbl_menu_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_menu
    ADD CONSTRAINT tbl_menu_pkey PRIMARY KEY ("mnuId");


--
-- Name: tbl_relationinformation_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_relationinformation
    ADD CONSTRAINT tbl_relationinformation_pkey PRIMARY KEY (id);


--
-- Name: tbl_service_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_service
    ADD CONSTRAINT tbl_service_pkey PRIMARY KEY (id);


--
-- Name: tbl_servicedependency_config_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_servicedependency
    ADD CONSTRAINT tbl_servicedependency_config_name_key UNIQUE (config_name, config_id);


--
-- Name: tbl_servicedependency_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_servicedependency
    ADD CONSTRAINT tbl_servicedependency_pkey PRIMARY KEY (id);


--
-- Name: tbl_serviceescalation_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_serviceescalation
    ADD CONSTRAINT tbl_serviceescalation_pkey PRIMARY KEY (id);


--
-- Name: tbl_serviceextinfo_host_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_serviceextinfo
    ADD CONSTRAINT tbl_serviceextinfo_host_name_key UNIQUE (host_name, service_description, config_id);


--
-- Name: tbl_serviceextinfo_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_serviceextinfo
    ADD CONSTRAINT tbl_serviceextinfo_pkey PRIMARY KEY (id);


--
-- Name: tbl_servicegroup_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_servicegroup
    ADD CONSTRAINT tbl_servicegroup_pkey PRIMARY KEY (id);


--
-- Name: tbl_servicegroup_servicegroup_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_servicegroup
    ADD CONSTRAINT tbl_servicegroup_servicegroup_name_key UNIQUE (servicegroup_name, config_id);


--
-- Name: tbl_servicetemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_servicetemplate
    ADD CONSTRAINT tbl_servicetemplate_pkey PRIMARY KEY (id);


--
-- Name: tbl_servicetemplate_template_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_servicetemplate
    ADD CONSTRAINT tbl_servicetemplate_template_name_key UNIQUE (template_name, config_id);


--
-- Name: tbl_settings_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_settings
    ADD CONSTRAINT tbl_settings_name_key UNIQUE (name);


--
-- Name: tbl_settings_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_settings
    ADD CONSTRAINT tbl_settings_pkey PRIMARY KEY (id);


--
-- Name: tbl_tablestatus_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_tablestatus
    ADD CONSTRAINT tbl_tablestatus_pkey PRIMARY KEY (id);


--
-- Name: tbl_timedefinition_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_timedefinition
    ADD CONSTRAINT tbl_timedefinition_pkey PRIMARY KEY (id);


--
-- Name: tbl_timeperiod_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_timeperiod
    ADD CONSTRAINT tbl_timeperiod_pkey PRIMARY KEY (id);


--
-- Name: tbl_timeperiod_timeperiod_name_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_timeperiod
    ADD CONSTRAINT tbl_timeperiod_timeperiod_name_key UNIQUE (timeperiod_name, config_id);


--
-- Name: tbl_user_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_user
    ADD CONSTRAINT tbl_user_pkey PRIMARY KEY (id);


--
-- Name: tbl_user_username_key; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_user
    ADD CONSTRAINT tbl_user_username_key UNIQUE (username);


--
-- Name: tbl_variabledefinition_pkey; Type: CONSTRAINT; Schema: public; Owner: icinga; Tablespace: 
--

ALTER TABLE ONLY tbl_variabledefinition
    ADD CONSTRAINT tbl_variabledefinition_pkey PRIMARY KEY (id);


--
-- Name: public; Type: ACL; Schema: -; Owner: icinga
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM icinga;
GRANT ALL ON SCHEMA public TO icinga;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--
